2004-08-18  David Fraser  <davidf@sjsoft.com>

	* patches/apply.pl is_old_patch_version(): impl,
	check for old patch versions & prune trailing DOS
	LFs if so.

	* configure.in: bin patch version check.

2004-08-18  Raul Siddhartha  <rsiddhartha@novell.com>

	* patches/vclplug/fpicker-gnome-filepicker-cxx.diff,
	* patches/vclplug/fpicker-gnome-filepicker-hxx.diff: #62955 fix for
	the GTK File picker

2004-08-18  Michael Meeks  <michael@ximian.com>

	* sw/source/core/doc/acmplwrd.cxx: auto complete-foo.

	* patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply,
	* patches/OOO_1_1/gui-autocomplete.diff: remove.

	* patches/OOO_1_1/sc-merge-cell.diff: add
	missing FID_MERGE_CENTER definition (doh).

	* fonts/opens___.ttf: re-generate from .sfd.
	* fonts/OpenSymbol.sfd: more cut/paste to get the
	(broken) Wingdings layout sorted out.

	* test/draw/bullet-chars.ppt: 1 font per slide
	  to aid debugging.

2004-08-18  Michael Meeks  <michael@ximian.com>

	* www/ooo-build.html: update ssh key generation blurb.

	* patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply: 
	enable merge cell bits.

	* configure.in, download: update to -10 icons -
	new merge cell icon.

	* patches/OOO_1_1/gui-new-icons.diff: add FID_MERGE_CELL
	* patches/OOO_1_1/sc-merge-cell.diff: add default toolbar
	button & code to implement it.

2004-08-17  Petr Mladek  <pmladek@suse.cz>

	* bin/font-munge: fix cut&paste mistake; substitute timesnewroman
	  with timesnewroman and nimbusromanno9l

2004-08-17  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/sc-merge-cell.diff: the start of the
	cell merge logic.

	* patches/OOO_1_1/novell-filebug.diff: re-make, adding
	more context for 1.1.2.

	* patches/OOO_1_1/helper-programs.diff: re-hash to
	rename desktop launch to 'Desktop Mailer' and use
	'attachment' instead of 'attach' to attach URIs.

	* patches/OOO_1_1/desktop-integration.diff: axe, obsolete.

	* Makefile.shared (unpack): re-hash weirdo OOBUILDDIR
	directory dependencies; adding a stamp-exists; file as
	a dep for unpack.

2004-08-17  Petr Mladek  <pmladek@suse.cz>

	* bin/package-lang: set $Xlate before it is used

	* bin/setup.in: do not replace OODESTDIR with empty $DESTDIR; this
	  hack allows to source bin/setup twice

	* patches/OOO_1_1/print-do-not-change-document.diff,
	  patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply: do not set
	  "document modified" status after printing by default

2004-08-17  Ashwanth Premchandran  <apremchandran@novell.com>

	* patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply, 
	* patches/OOO_1_1/crash-sw-import.diff: fix crasher.

2004-08-17  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* patches/vclplug/vcl-unx-gtk-menu-style.diff: forget Mist. Do it
	the "right" way. Fixes Simple, PrettyOkayish, Redmond95. Breaks
	Mist.

2004-08-16  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* patches/vclplug/vcl-unx-gtk-menu-style.diff,
	patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply:
	special case menu colors to fix them for themes
	like Mist. (cf. 2004-02-13  Dan Williams <dcbw@redhat.com>)

2004-08-16  Dan Williams <dcbw@redhat.com>

	* bin/build-ooo: fix missed ARCHITECTURE->INPATH

2004-08-16  Michael Meeks  <michael@ximian.com>

	* Tag: ODI_1_1_2_BETA1

	* bin/package-lang-win32: run setofficelang
	after install, sort out where stuff is installed,
	fix empty path problems etc.

2004-08-16  Jayant Balraj Madavi <mjayant@novell.com>

	* patches/evo2/evoab2_default.diff: default to
	the evo. addressbook radio-button.

2004-08-16  Michael Meeks  <michael@ximian.com>

	* patches/vclplug/vcl-source-gdi.diff: fix alloca
	related conditional compile snafu.

	* www/name-account.html: add Sunil & Ashwanth.

2004-05-14  Ashwanth Premchandran  <apremchandran@novell.com>

	* patches/OOO_1_1/sc-lotus-code.diff: fix / test the
	formulae import logic. Add the note importing code
	from Sunil Gandhi (tyro).
	
2004-08-16  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/gcc-i18n.diff: Fix stupid gcc
	translation issue identified by: Ernst Persson.

2004-08-16  Michael Meeks  <michael@ximian.com>

	* patches/vclplug/vcl-source-glyphs.diff,
	* patches/vclplug/vcl-source-gdi.diff: restore
	alloca defines / includes.

2004-08-14  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* patches/vclplug/vcl-util.diff: update for 1.1.3. With the
	system-nas and the vcl-xinerama-link-dynamic changes it should
	work with 1.1.2 as well.

	* patches/vclplug/vcl-unx-source-app.diff: remove some context to
	make it apply to both 1.1.2 and 1.1.3.

	* patches/OOO_1_1_2/xinerama-pic-on-all-archs.diff: remove, use
	the OOO_1_1 one.

	* patches/OOO_1_1/xinerama-pic-on-all-archs.diff: update for
	current 1.1.3.
	
	* patches/OOO_1_1/system-nas.diff: upstreamed, move to
	patches/OOO_1_1_2, change it to apply before vcl-util.diff.

	* patches/OOO_1_1_2/vcl-xinerama-link-dynamic.diff: backport of a
	1.1.3 change by Philipp and Rene to link to Xinerama more sensibly.

	* patches/OOO_1_1_2/apply: move system-nas.diff to the top,
	add vcl-xinerama-link-dynamic.diff.

	* patches/OOO_1_1_2/config-switches.diff: copy of OOO_1_1/...,
	added Rene's Xinerama checks from 1.1.3

	* patches/OOO_1_1/java_build_with_ibm_1_4.diff:
	* patches/OOO_1_1/system-freetype.diff:
	* patches/OOO_1_1/system-neon.diff: upstreamed,
	move to patches/OOO_1_1_2.

	* patches/OOO_1_1/system-curl.diff: ditto, remove obsolete
	hunk (which was meant for Debian Woody)

	* patches/OOO_1_1_3/apply: remove upstreamed patches.

	* patches/OOO_1_1/config-switches.diff: remove upstreamed hunks,
	rediff.
	
	* patches/apply.pl (apply_patches): post-increment patch_num, makes
	the patch numbering start at 1, not 2.

2004-08-13  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* www/name-account.html: add David Fraser, spell out Bettina H.

2004-08-13  Michael Meeks  <michael@ximian.com>

	* bin/package-lang-win32: produces something that at
	least installs the files - attempting to coerce the
	Win32 machine to use a different language is more
	interesting though.

	* bin/package-lang: handle both SCPPOST values.x

	* bin/setup: bin ARCHITECTURE

	* bin/package-ooo: source the Set.sh here too.

	* bin/package-lang: suck & parse the *.Set.sh script.

	* patches/OOO_1_1/sc-csv-newline.diff,
	* patches/OOO_1_1_2/apply: fix newline importing bug.

2004-08-12  Jan Holesovsky  <kendy@suse.cz>

	* patches/vclplug/fpicker-desktop-environment.diff: Backport. Current
	  context's getValueByName() can return value of the
	  "system.desktop-environment".
	* patches/vclplug/fpicker-svtools-gtk-or-kde.diff: Search for
	  GtkFilePicker or KDEFilePicker instead of SystemFilePicker when
	  running Gnome resp. KDE.

	* patches/OOO_1_1/fpicker-common.diff,
	  patches/OOO_1_1/fpicker-kde.diff,
	  patches/OOO_1_1/fpicker-show-checkbox.diff: Changed some paths and
	  filenames to work with Gtk file picker implementation.

	* patches/OOO_1_1/fpicker-build.diff,
	  patches/OOO_1_1/fpicker-scp.diff: Removed.

	* patches/vclplug/fpicker-gnome-build.diff,
	  patches/vclplug/fpicker-gnome-scp.diff: Add build and scp bits for
	  KDE file picker.

	* patches/vclplug/fpicker-gnome-filepicker-cxx.diff,
	  patches/vclplug/fpicker-gnome-serviceinfo.diff: Register itself as
	  GtkFilePicker instead of SystemFilePicker.

	* patches/OOO_1_1_2/apply,
	  patches/OOO_1_1_3/apply: introduced "FilePickers" rule, removed
	  "VCLPlugFPickerGtk" and "FilePickerKDE" rules. The file pickers are
	  built according to --enable-gtk, resp. --enable-kde.

	* bin/setup.in, patches/vclplug/config-office-plug.diff: Removed
	  --enable-kde-fpicker configure switch.

2004-08-12  Michael Meeks  <michael@ximian.com>

	* bin/package-lang-win32: impl.

	* bin/package-lang: add --lang argument.

	* test/draw/bullets.ppt: add - it seems the
	opens___ mapping has radically changed in the
	back-ported 2.x work (argh).

2004-08-12  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* patches/vclplug/vcl-source-gdi.diff: whitespace fixes.

2004-08-12  Raul Siddhartha  <rsiddhartha@novell.com>

	* patches/vclplug/vcl-source-gdi.diff: Further change
	for the win32 build

2004-08-12  Raul Siddhartha  <rsiddhartha@novell.com>

	* patches/vclplug/vcl-inc.diff,
	* patches/vclplug/vcl-prj.diff,
	* patches/vclplug/vcl-source-control.diff,
	* patches/vclplug/vcl-source-gdi.diff,
	* patches/vclplug/vcl-win-source-window.diff: Changes
	required for the win32 build of 1.1.2

2004-08-11  Rene Engelhard  <rene@debian.org>

	* bin/scale-icons: add res/basq
	* patches/OOO_1_1_3/apply: add GnomeVFS to the Debian
	  set

2004-08-11  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* patches/OOO_1_1/i18n-build-hindi-thai.diff,
	* patches/OOO_1_1_3/apply: remove, integrated upstream.

2004-08-11  Michael Meeks  <michael@ximian.com>

	* www/index.html: add 'New' button for Ximian bugzilla.

2004-08-11  Raul Siddhartha  <rsiddhartha@novell.com>

	* patches/OOO_1_1_2/lingucomponent-memleaks.diff: Prefixed the
	source path to lingucomponent

2004-08-11  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1_2/lingucomponent-memleaks.diff,
	  patches/OOO_1_1_2/apply: add memleak
	  fixes for lingucomponent from Issue 30486

2004-08-10  Michael Meeks  <michael@ximian.com>

	* sc/source/ui/dbgui/asciiopt.cxx: Text import dialog:
	RID_SCDLG_ASCII, seems to consume 100% CPU, doing
	nothing ... actual importing in
	* sc/source/ui/docshell/impex.cxx (ExtText2Doc)

	* patches/vclplug/psprint-m46-backport.diff: enable
	fontconfig with FONTCONFIG_FONTS not ENABLE_FONTCONFIG,
	so they work again.

	* bin/package-lang: allow args to clobber environment.

	* patches/OOO_1_1/speed-status-bar.diff: bin printf.

2004-08-09  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/win32-odma-gw-fix.diff: Scott Clayton's
	ODMA fix for GroupWise.

	* bin/unpack, bin/setup.in: re-enable ODMA bits.
	* download.in: re-instate odma download for win32.

	* patches/OOO_1_1/speed-status-bar.diff: don't spend 1/2 our
	CPU time loading spreadsheets, re-scheduling the status bar
	rendering.

2004-08-05  Petr Mladek  <pmladek@suse.cz>

	* bin/install-dictionaries: install also the Czech thesaurus if
	  available

2004-08-05  Dan Williams  <dcbw@redhat.com>

	* bin/setup.in: add configure options for RHL9

	* patches/OOO_1_1_2/apply
	  patches/OOO_1_1_3/apply: switch names for RHShrike/RHTaroon to RHL9/RHEL3

2004-08-05  Raul Siddhartha  <rsiddhartha@novell.com>

	* patches/vclplug/fpicker-gnome-entry.diff: Change GTK version check
	to use the gtk_version variables instead of the gtk_check function

2004-08-05  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1_3/apply: remove java-build.diff, obsolete
          in cws_srx645_ooo113fix2

2004-08-04  Rene Engelhard  <rene@debian.org>

	* patches/vclplug/scp-plug.diff: fix a cut'n'paste error to actually
	install the gtk vclplug lib

2004-08-04  Raul Siddhartha  <rsiddhartha@novell.com>

	* patches/vclplug/fpicker-gnome-entry.diff: Add GTK+ 2.4 check
	to the File selector

2004-08-02  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1_3/apply: remove fontooo and msfontextract stuff,
	  now in cws_srx645_ooo113fix2

2004-08-02  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1_3/apply: remove desktop-mozwrapper.diff since
	  I just committed it to cws_srx645_oo113fix2 :-)

2004-08-02  Petr Mladek  <pmladek@suse.cz>

	* patches/OOO_1_1/desktop-mozwrapper.diff, patches/OOO_1_1_2/apply,
	  patches/OOO_1_1_3/apply: add extra mozwrapper (issue #29514)
	* patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply: bin obsolete
	  nswrapper-mozilla-not-netscape.diff

2004-08-02  Petr Mladek  <pmladek@suse.cz>

	* patches/OOO_1_1/help-fallback.diff, patches/OOO_1_1_2/apply,
	  patches/OOO_1_1_3/apply: improved help-fallback-en.diff
	  to test also the localization used for menu before the ultimate
	  fallback to the English help
	* patches/OOO_1_1_2/apply, patches/OOO_1_1_3/apply: bin obsolete
	  help-fallback-en.diff

	* bin/package-ooo, bin/setup.in: mark config files in the generated
	  file lists

	* bin/package-ooo: remove list.fixdir.txt when it is no longer needed;
	  fix the prefix for lang_en_list.txt when ooo${BUILD_MAGIC}01.res is
	  written in

	* bin/package-lang: rename variable $Id to $BuildId to avoid problems
	  with cvs checkout (hopefully)

2004-07-31  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* patches/vclplug/config-office-plug.diff: fix gtk/kde typo.

	* patches/vclplug/fpicker-gnome-build.diff: only build fps_gnome
	if ENABLE_GTK is TRUE.

2004-07-30  Michael Meeks  <michael@ximian.com>

	* bin/gen: tool for easily (re-)generating patch-sets.

	* patches/wpd/writerperfect-source-filter-*: add.

2004-07-30  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* patches/apply.pl (export_series): quote the interpolated
	$patch_dir inside the substitution regex.

	* 680 is so painful to build, let's update patches for 1.1.3
	
	* patches/OOO_1_1_3: create.

	* patches/Makefile.am, configure.in: add patches/OOO_1_1_3

	* patches/OOO_1_1_3/apply: from OOO_1_1_2 minus obsolete patches:
	stl-port-compile-fix, neon-control-characters, security-soname,
	sparc-v8-fixes, hungarian-help, crash-statusbar, readd-lzwc,
	shellexec_allow_params

	* patches/OOO_1_1/fpicker-build.diff,
	* patches/OOO_1_1/i18n-build-hindi-thai.diff,
	* patches/OOO_1_1/sysui-translations.diff,
	* patches/OOO_1_1/win32-nojava.diff,
	* patches/OOO_1_1/xinerama-pic-on-all-archs.diff: rediff

	* patches/OOO_1_1_2: copy changed/obsolete patches here for 1.1.2.

2004-07-30  Michael Meeks  <michael@ximian.com>

	* patches/wpd/writerperfect-source-ooo-*: add
	writerfilter helper code from CVS & makefile glue for
	the other bits; update prj/ files too.

	* patches/wpd/writerperfect-*: add first parts of the
	filter glue.

	* patches/wpd/*: start of libwpd integration bits,
	requires un-released libwpd + uncommitted patch to it &
	is incomplete ;-)

2004-07-30  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* www/name-account.html: ssa is Stephan Schaefer, added rodarvus.

2004-07-30  Srinivasa Ragavan <sragavan@novell.com>

	* www/name-account.html: Added my own details
 
	* patches/evo2/evoab2_contacts.diff: Fix for evolution integration
	  Added support for reading multiple address books.

	* patches/evo2/evoab2_dbmetadata.diff: Fix for evolution integration
	  Added reading multiple tables instead of the hardcoded "contacts".
 
	* patches/evo2/evoab2_resultset.diff: Fix for evolution integration
	  Made the resultset to read the contacts for the selected table.

	* patches/evo2/evoab2_statement.diff: Fix for evolution integration
	  Passed the sql query to evolution for getting the selected table.

2004-07-29  Dan Williams  <dcbw@redhat.com>

	* patches/OOO_1_1_2/apply: Add iiimf, build-opt-size patches to RedHatOnly

2004-07-29  Dan Williams  <dcbw@redhat.com>

	* patches/OOO_1_1/build-opt-size.diff
		Use -Os rather than -O1/-O2 when compiling on x86/PPC

2004-07-29  Dan Williams  <dcbw@redhat.com>

	* bin/build-ooo: when forcing gcc33, use ARCHITECTURE to set correct
	  ARCH_FLAGS

2004-07-29  Dan Williams  <dcbw@redhat.com>

	* configure.in
	  bin/setup.in
	  	Introduce --with-arch=[x86|ppc|sparc] configure switch to allow
	  people to target a particular arch without having to patch ooo-build.
	  This now substitutes the correct "unxlng*" string for ARCHITECTURE,
	  which no longer has to be hardcoded in setup.in.

2004-07-29  Michael Meeks  <michael@ximian.com>

	* patches/vclplug/scp-plug.diff: switch vcl to a
	STD_SETUPZIP_LIB_FILE, not an UNO_SETUPZIP_LIB_FILE,
	no idea how this worked previously on win32.

2004-07-28  Dan Williams  <dcbw@redhat.com>

	* configure.in: Add switch to force gcc 3.3 usage, sets FORCE_GCC33=YES

	* bin/build-ooo: if FORCE_GCC33=YES, tell configure about gcc33/g++33

	* bin/setup.in: update some Fedora options, teach setup about FORCE_GCC33

	* patches/OOO_1_1_2/apply
	  patches/OOO_1_1/nas-use-arch-flags.diff: Make NAS use ARCH_FLAGS if present

2004-07-28  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* www/index.html: upd. bonsai links to ooo20040815.

2004-07-28  Raul Siddhartha  <rsiddhartha@novell.com>

	* patches/vclplug/fpicker-gnome-filepicker-cxx.diff,
	* patches/vclplug/fpicker-gnome-filepicker-cxx.diff: Cleanup
	of the file selector code

2004-07-27  Jakub Bogusz  <qboosh@pld-linux.org>

	* bin/openoffice-xlate-lang: Change english_us->english,
	  northern_sotho->northernsotho, norwegian_bokmal->norwegian,
	  nowegian_nynorsk->norwegian_nynorsk. Add portuguese_brazilian.

2004-07-27  Arkadiusz Miskiewicz  <arekm@pld-linux.org>

	* src/openintro_pld.bmp: Back to intro with 1.1 version.
	
2004-07-27  Petr Mladek  <pmladek@suse.cz>

	* bin/install-help: remove potential CVS directories (used for example
	  in helpcontent_50_unix)

	* bin/install-help: create the full list of files again because the
	  .css files could/should be marked as %config

	* bin/install-help: fix permission of the installed files because also
	  the users which do not use the file list wants to have right
	  persmissions

	* patches/OOO_1_1_2/apply: introduce NovellOnly; merge all NLDOnly
	  and SUSEOnly patches to NovellOnly; the only exception remains
	  the patch suse-splash.diff resp. nld-splash.diff wich is still
	  NLDOnly resp. SUSEOnly

	* patches/OOO_1_1/disable-pyuno.diff,
	  patches/OOO_1_1/helper-programs-suse.diff, patches/OOO_1_1_2/apply:
	  removed obsolete patches

2004-07-25  Jakub Bogusz  <qboosh@pld-linux.org>

	* bin/install-help: Work with helpcontent_*_unix.tgz files, too.
	
	* bin/install-help: Removed bashizm.

	* bin/install-help: Put one, single %files entry for help directory
	  since that's enough for rpm.
	
	* bin/package-ooo: Add PLD to list of vendors that want groff link to
	  oo* manual files.

2004-07-23  Petr Mladek  <pmladek@suse.cz>

	* bin/install-help: test all known localizations whether the localized
	  help content is available

2004-07-23  Petr Mladek  <pmladek@suse.cz>

	* bin/package-ooo: create file lists for gnome and kde subpackages

	* bin/package-lang: removed a mess added by merging two versions

	* patches/OOO_1_1/java_build_with_ibm_1_4.diff, patches/OOO_1_1_2/apply:
	  fix build with IBM Java2, version 1.4

	* patches/OOO_1_1/nld-splash.diff, patches/OOO_1_1_2/apply
	  src/openabout_nld.bmp, src/openintro_nld.bmp, src/Makefile.am
	  (NLDOnly): add NLD specific about and intro images

	* patches/OOO_1_1/helper-programs.diff, , patches/OOO_1_1_2/apply
	  (NLDOnly): NLD specific external programs, an attempt to propose
	  a vendor independent solution (by Kendy and Michael)

2004-07-21  Raul Siddhartha  <rsiddhartha@novell.com>

	* patches/vclplug/fpicker-gnome-fpicker-cxx.diff: Include
	Federico's review corrections for the GTK File Selector
	* www/name-account.html: Add own details

2004-07-21  Michael Meeks  <michael@ximian.com>

	* patches/vclplug/win32-msvs-vclplug: add .diff.

	* patches/OOO_1_1_2/apply: fix vcl-win* patch names ...

	* patches/apply.pl (remove_patches, apply_patches):
	split out / share (applied_patches_list), which skips
	backup files ..., fix -R -R issue on remove.

	* patches/OOO_1_1/gui-insensitive.diff: don't use
	the CreateDisplayBitmap call, it creates a bitmap with
	the display's depth, converting an 8bit alpha channel
	to a 24bit broken-thing on Win32; also - hopefully not
	necessary to have on the server for our client-side
	compositing.

2004-07-21  Petr Mladek  <pmladek@suse.cz>

	* bin/package-ooo: use Novell instead of NLD as the VENDORNAME;
	  use $MANDIR instead of $PREFIX/man; install the sonames for
	  manual pages also for SUSE; install the desktop files to the
	  correct place for the vendor Novell; removed the latest obsolete
	  part stripping more versions of libvcl

	* bin/setup.in: do not install myspell dictionaries also for
	  the distro NLD

	* configure.in, bin/font-munge, bin/package-ooo, bin/setup.in,
	  patches/OOO_1_1_2/apply, www/name-account.html: use SUSE
	  instead of SuSE

2004-07-21  Dan Williams <dcbw@redhat.com>

	* patches/OOO_1_1_2/apply: fix up Red Hat sections

2004-07-21  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/icon-render.diff: BitmapEx::Scale
	return the Mask to 8bit grey alpha afterwards.
	cf. sfx2/source/toolbox/tbxitem.cxx

	* patches/vclplug/vcl-win-m46-backport.diff: split it.

	* patches/OOO_1_1/crash-statusbar.diff,
	* patches/OOO_1_1_2/apply: fix silly status bar
	crasher, with help from Ashwanth.

	* patches/vclplug/dbhandle-win-handle.diff,
	* patches/OOO_1_1_2/apply: more nasty back-ported hacks.

2004-07-20  Michael Meeks  <michael@ximian.com>

	* patches/vclplug/framework-win-handle.diff,
	* patches/vclplug/sj2-win-handle.diff,
	* patches/OOO_1_1_2/apply: nasty hack back-ported.

2004-07-20  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1/system-curl.diff: fix includes for newer curls
	  where curl/types.h is just "/* not used */"

2004-07-20  Dan Williams  <dcbw@redhat.com>

	* patches/evo2/evoab2_debug.diff: Include stdio.h to get stderr,
		and fix redefinition of printf->fprintf due to compile
		errors on PPC Linux.

	* patches/OOO_1_1/iiimf-multilingual-extension-2-enable.diff:
		Real fix for RH #124538, htt_server returning double-encoded
		characters when active for all non-ASCII chars.

2004-07-20  Michael Meeks  <michael@ximian.com>

	* patches/vclplug/win32-msvs-2003-vclplug.diff,
	* patches/OOO_1_1_2/apply: add fixes for .Net 2003.

	* patches/vclplug/vcl-win-m46-backport.diff:
	prune some mingled Image re-work dependencies.

	* patches/OOO_1_1/gui-splash-redraw.diff: stub the
	windows virtual method.

	* patches/OOO_1_1/java-build.diff: fix the no-java
	build on Win32.

	* patches/OOO_1_1/win32-msvs-2003-misc.diff: for for
	VCLPlug.

	* patches/OOO_1_1/psprint_config-no-orig.diff: add a ^M
	to the end of the @@ -1,2 +3,4 @@ line to make it patch
	well on Win and Linux.

	* patches/OOO_1_1_2/apply: bin win32-cygwin.diff patch.

	* patches/vclplug/vcl-win-m46-backport.diff,
	* patches/OOO_1_1_2/apply: start this.

	* patches/vclplug/vcl-unx-kde-sm.diff: fix confusion.
	* patches/vclplug/vcl-unx-kde-nwf.diff: fix sm.hxx include.
	* patches/OOO_1_1_2/apply: add vcl-unx-kde-sm.diff (doh).

2004-07-20  Raul Siddhartha  <michael@ximian.com>

	* patches/vclplug/fpicker-gnome-eventnotification.diff: Added
	eventnotification.hxx for the GTK file selector

2004-07-19  Petr Mladek  <pmladek@suse.cz>

	* configure.in: extend the switch --with-icons to accept more icons sets
	* download.in, bin/build-ooo, bin/install-artwork, bin/package-ooo,
	  bin/setup.in, bin/unpack: add support for more icons sets;
	  the place where to download icons is in download.in where it
	  belongs
	* Makefile.shared, bin/unpack-icons, save-resources: removed the
	  obsolete targets save.resources, rebuild.resources and related
	  helper tools

	* patches/OOO_1_1/scp-no-ooo-res.diff, patches/OOO_1_1_2/apply
	  (SuSEOnly, NLDOnly): remove the unused ooo-res after it is copied
	  to the really used iso-res by gid_Procedure_Copy_Iso_Res

	* build-wizard-bitmap-scp.diff: to SuSEOnly, NLDOnly,
	* print-type42.diff: to SuSEOnly, NLDOnly, PLDOnly

	* bin/package-lang: set $Target and $Id from the related environment
	  variables set by bin/setup; install correctly ooo-res as the really
	  used iso-res

2004-07-19  Raul Siddhartha  <rsiddhartha@novell.com>

	* patches/vclplug/fpicker-gnome-eventnotification.diff, 
	* patches/vclplug/fpicker-gnome-asynceventnotifier.diff: implements
	the notifier in the GTK file picker
	* patches/OOO_1_1_2/apply: add the files above to be patched
	* patches/vclplug/fpicker-gnome-build.diff: makefile additions to 
	build the two new files
	* patches/vclplug/fpicker-gnome-filepicker-cxx.diff,
	* patches/vclplug/fpicker-gnome-filepicker-hxx.diff: Implement the
	notifier

	Caolan's addition of the notifier to the GTK file-picker 

2004-07-19  Michael Meeks  <michael@ximian.com>

	* patches/vclplug/psprint-m64-backport.diff:
	pull out psprint/util/makefile.mk and
	psprint/source/helper/helper.cxx Java changes.

	* patches/OOO_1_1/gui-keybindings.diff: sc Ctrl-D to
	fill-down, cf #61543

	* configure.in: SuSE uses gnome-vfs too.

2004-07-16  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/gui-kde-dtint.diff: bin, obsolete.
	
	* patches/OOO_1_1/nativewidgets-no-sessionmanager.diff: bin
	* patches/vclplug/vcl-unx-kde-data-hxx.diff,
	* patches/vclplug/vcl-unx-kde-nwf.diff,
	* patches/vclplug/vcl-unx-kde-sm.diff: add API to
	disable SM when KDE plug running.
	
	* patches/OOO_1_1/system-xrender.diff: hack out
	the one (redundant) section causing problems.

	* patches/OOO_1_1/system-freetype.diff: hack out
	duplicate pieces from VCL plug bits.

2004-07-15  Michael Meeks  <michael@ximian.com>

	* bin/elfsum: helper for generating elf statistics.

	* patches/OOO_1_1/gui-splash-redraw.diff: re-work for
	VCL plug abstraction, so we don't SEGV on startup with
	the gtk plug (doh).

	* patches/vclplug/scp-plug.diff: rename the gtk install
	so it doesn't conflict with the KDE one and not happen.

2004-07-15  Michael Meeks  <michael@ximian.com>

	* patches/vclplug/config-office-plug.diff: fix configure.

	* Test build completed from here.

	* patches/apply.pl (apply_patches): bin backup files.

	* patches/OOO_1_1/gui-splash-redraw.diff: re-hash for
	VCL plug salbmp.cxx

	* bin/install-artwork: bin -v on icon install / copy.

	* patches/vclplug/vcl-util.diff: add KDE plug linking.

	* configure.in, bin/setup.in: hack out WIDGET_SETS, in
	favour of --enable-kde / --enable-gtk, OOO_WIDGET_FLAGS

	* patches/OOO_1_1/nativewidgets-config_office.diff: rm.
	* patches/vclplug/config-office-plug.diff: add
	* patches/OOO_1_1_2/apply: upd.

2004-07-15  Michael Meeks  <michael@ximian.com>

	* bin/package-ooo: hack out installing multiple vcl versions.
	
	* bin/build-ooo: hack out multiple build per widget set.

	* bin/ooo-wrapper.in: hack out widgets set logic,
	use SAL_USE_VCLPLUGIN instead if --widgets-set=...

	* patches/OOO_1_1/nativewidgets-installation-in-parallel.diff: bin.

2004-07-14  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/gui-menu-fixes.diff,
	* patches/OOO_1_1/system-nas.diff: accomodate to
	the VCL plug patch.

	* patches/vclplug/vcl-unx-source-app.diff,
	* patches/vclplug/vcl-source-window.diff,
	* patches/vclplug/vcl-util.diff: remove bits of
	other patches they depended on - for a more
	HEAD-friendly experience.

2004-07-14  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1_2/apply, patches/OOO_1_1/sparc-v8-fixes.diff: add
	  new patch for fixing sparc sal library build - thanks Jim Watson

2004-07-14  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/gui-ft-pt-not-pixel.diff: axe
	* patches/OOO_1_1/gui-gtk-pt-not-pixel.diff: add.
	* patches/OOO_1_1_2/apply: upd.

	* patches/OOO_1_1/print-fontconfig.diff: remove.
	* patches/OOO_1_1/gui-font-fontconfig-only.diff: add
	* patches/OOO_1_1_2/apply: upd.

	* patches/OOO_1_1/gui-splash-redraw.diff,
	* patches/OOO_1_1/gui-scale-ruler.diff: re-gen.

	* patches/OOO_1_1_2/apply (VCLPlug): move up to HEAD.

	* patches/OOO_1_1/gui-font-scale.diff: re-work / shrink.

	* patches/OOO_1_1/valgrind-clean-noplug.diff: bin.

2004-07-14  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1_2/apply s/Ximian/NLD/, re-work
	misc. sets.

	* patches/OOO_1_1/nativewidgets-vcl.diff: remove,
	deprecated.

	* patches/OOO_1_1_2/apply (SuSEOnly, PLDOnly): add
	the print-type42 patch. (FilePicker) -> (FilePickerKDE).

	* patches/OOO_1_1/print-cups.diff,
	* patches/OOO_1_1/print-generic-gui.diff,
	* patches/OOO_1_1/print-psprint-rehash.diff,
	* patches/OOO_1_1/print-spadmin-disable.diff
	* patches/OOO_1_1_2/apply (GnomeCUPS): bin, subsumed
	by VCL plug psprint back-port.

	* patches/OOO_1_1/psprint-cups.diff,
	* patches/OOO_1_1_2/apply (OOoCUPS): bin, included in
	VCL plug (modulo some fixes), remove from all targets.

	* patches/OOO_1_1_1: remove.
	* configure.in, patches/Makefile.am: update.

2004-07-14  Michael Meeks  <michael@ximian.com>

	* configure.in: Bump version to 1.3.0

	* Branch off ooo-build-1-1 - a branch for more stable
	non-VCL-plug development.
	* This branch will see several large clean-ups.

	* Tag: OOO_BUILD_1_1_BASE

2004-07-14  Petr Mladek  <pmladek@suse.cz>

	* bin/install-help, bin/package-ooo: fix list of files to contain really
	  all directories which should be removed after the rpm package is
	  removed
	  
	* bin/package-lang: create also the required empty directories like
	  share/samples/english, share/samples/german

2004-07-13  Michael Meeks  <michael@ximian.com>

	* patches/vclplug/vcl-unx-kde-nwf.diff: fix
	regions / sizing issues.

	* bin/linkoo: add kde bit.

	* patches/vclplug/scp-plug.diff: ship the kde
	plug too.

	* patches/vclplug/vcl-unx-kde*,
	* patches/vclplug/vcl-prj.diff: turn kde nwf into
	a basic NWF plug thing.

	* patches/OOO_1_1/vcl-unx-gtk.diff: revert snafu.

2004-07-13  Ashwanth Premchandran  <apremchandran@novell.com>

	* patches/OOO_1_1/sc-lotus-code.diff: support basic
	formulae.

2004-07-12  Michael Meeks  <michael@ximian.com>

	* patches/vclplug/vcl-unx-source.gdi.diff: fix
	endianness change.

2004-07-11  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1/config-switches.diff: Hmm. system-xrender pieces
	  got lost too, readd

2004-07-10  Michael Meeks  <michael@ximian.com>

	* patches/vclplug/fpicker-gnome-fpicker-cxx.diff:
	fix over-long filter extension lists problem, fix
	huge preview image problem (more refactoring required)

	* patches/vclplug/fpicker-gnome-resource.diff:
	do the mnemonic replacement ~ -> _.

2004-07-09  Michael Meeks  <michael@ximian.com>

	* patches/vclplug/fpicker-gnome-entry.diff: don't
	function if the gtkplug is not in use.
	* patches/vclplug/fpicker-gnome-scp.diff: get the
	fpicker library name right (not a .dll)

2004-07-09  Petr Mladek  <pmladek@suse.cz>

	* bin/build-ooo: remove extra quotation marks, so the libvcl
	  is rebuilt correctly for non-original widgets sets again

2004-07-09  Dan Williams  <dcbw@redhat.com>

	* patches/vclplug/vcl-unx-gtk.diff
	  Fix bug with Crux/LightHouseBlue where radio buttons
	  always showed up checked.  (Ximian #59323)

2004-07-09  Michael Meeks  <michael@ximian.com>

	* bin/ooo-wrapper.in: simplify InstallDirDefault* setup.

2004-07-01  Petr Mladek  <pmladek@suse.cz>

	* patches/OOO_1_1_2/apply: add GnomeVFS, OOoCUPS to SuSE
	
	* patches/OOO_1_1_2/apply: copy FilePicker tag from
	  patches/OOO_1_1_1/apply; move nativewidgets-config_office.diff
	  to NativeWidgets, FilePicker; add FilePicker to KDEBase

	* patches/OOO_1_1/resmgr-resource-path.diff, patches/OOO_1_1_1/apply,
	  patches/OOO_1_1_2/apply (SuSEOnly): the environment variable
	  OOO_PREFERRED_RESOURCE_PATH can be used to prefer an alternative
	  path for resource files; add one more default path for resources

	* patches/OOO_1_1/helper-programs-suse.diff, patches/OOO_1_1_1/apply,
	  patches/OOO_1_1_2/apply (SuSEOnly): use a new launcher
	  "call-browser" as the external program for HTTP,HTTPS,FTP;
	  thanks to Kendy

	* patches/OOO_1_1/helper-programs-kde.diff, patches/OOO_1_1_1/apply,
	  patches/OOO_1_1_2/apply: to KDEOnly, PLDOnly

	* ooo-build/Makefile.shared: two new targets (save.resources,
	  rebuild.resources which allows to build second version of
	  resources with an other set of icons
	* bin/save-resources, bin/Makefile.am: save current resource files;
	  helper script for the Makefile target "save.resource"
	* bin/unpack-icons, bin/Makefile.am: unpack the actually selected
	  extra set of icons if needed; helper script for the Makefile
	  target "rebuild.resources"

	* bin/scale-icons: restore original icons from backup if called
	  with --remove

	* configure.in: use new version of KDE icons; the new size of icons
	  is the same as of Ximian's icons (24x24 instead of 26x26);
	  thanks to Kendy
	  
	* bin/ooo-wrapper.in: add the option --config-path to define another
	  path for the user configuration; add the options --enable-update
	  and --disable-update which allow to change default behaviour within
	  an update; the update is still enabled by default; it makes sense
	  to disable it if the user shares the configuration over net (NFS
	  home) and uses more versions of OOo in parallel; add new option
	  --icons-set to select another set of icons; do not longer insist
	  on one exact path to the user configuration; use the default path
	  like $HOME/.ooo-1.1 instead of $HOME/.xopenoffice1.1; use an
	  alternative default path like $HOME/.ooo-1.1.2 if the update is
	  disabled and the default path is already in use; do not longer use
	  /etc/openoffice/autoresponse.conf but generate the autoresponse
	  file in /tmp by occasion; process two more links (ooweb,
	  oofromtemplate)
	  
	* bin/package-ooo: creates two more links to ooo-wrapper (ooweb,
	  oofromtemplate); do not install autoresponse.conf into /etc

2004-07-09  Michael Meeks  <michael@ximian.com>

	* bin/linkoo: link the fpicker.

	* patches/vclplug/fpicker-gnome-filepicker-cxx.diff:
	fix mnemonics, re-work some code, fix '*.*' problem.

	* patches/vclplug/fpicker-scp.diff: install it.

	* patches/vclplug/scp-plug.diff: fix snafu.

	* patches/vclplug/fpicker-*,
	* patches/OOO_1_1_2/apply: add Gnome file-selector
	integration work from Raul.

	* bin/linkoo: as we re-link, write fname.

	* configure.in: default to system-gcc, prune misc.
	distro specific bits doing the same thing.

	* www/hackers-guide.html: re-hash the cvs account
	aquisition section.

	* bin/linkoo: link libspa.

	* Makefile.shared (patch.apply): touch the offwrp
	wrapper, so we get filter re-linking as appropriate.

2004-07-08  Michael Meeks  <michael@ximian.com>

	* patches/vclplug/vcl-unx-dummy.diff: add 32bit
	bitmap support.

	* bin/relocate: abstract out 'sed_file' pass function
	pointers around, re-write the 'bootstrap' file.

2004-07-08  Chris Halls  <halls@debian.org>

	* patches/OOO_1_1/psprint-cups.diff: Add missing
	logic that disabled 'Add a printer' button in
	padmin (it doesn't do anything when CUPS is used).
	Debian bug#251888

2004-07-08  Michael Meeks  <michael@ximian.com>

	* patches/vclplug/scp-plug.diff,
	* patches/OOO_1_1_2/apply: package the vclplug
	libraries, and stop shipping the nasty msgbox / getstyle
	binaries.

	* patches/OOO_1_1/module-buildset-padmin.diff: move
	* patches/OOO_1_1_1/module-buildset-padmin.diff: here
	* patches/OOO_1_1_2/apply: include padmin, even though
	it sucks great hairy rocks.

	* www/name-account.html: update Joerg.

2004-07-08  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1_{1,2}/apply, patches/OOO_1_1/disable-lzwc.diff:
	  bin and
	* patches/OOO_1_1_{1,2}/apply, patches/OOO_1_1/readd-lzwc.diff:
	  add this.

2004-07-08  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/sw-dont-beep.diff: move
	* patches/OOO_1_1_1/sw-dont-beep.diff: here
	* patches/OOO_1_1_2/apply: clean cruft.

	* patches/evo2/e-iterator-fix.diff,
	* patches/OOO_1_1_2/apply: fix for foot-dragging
	C++ 'delete' keyword removal from e-d-s headers.

	* patches/vclplug/psprint-m46-backport.diff:
	re-add from vcl24 branch, including IZ#30914 fix.

	* patches/vclplug/svtools-bmpmaker.diff,
	* patches/OOO_1_1_2/apply: initialize vcl so we
	don't SEGV as we use ImplGetSVData()->mpDefInst

	* patches/vclplug/vcl-unx-inc-plugins.diff: fix
	/tmp/empty file creation.

2004-07-08  Arkadiusz Miskiewicz  <arekm@pld-linux.org>

	* bin/Makefile.am: include bin/install-dictionaries.
	
2004-07-08  Chris Halls  <halls@debian.org>

	* patches/OOO_1_1/psprint-cups.diff: Backport
	pl's multiple CUPS instances fixes from IZ#30914/7.
	Debian bug #250981.

2004-07-07  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/valgrind-clean.diff: split out
	* patches/OOO_1_1/valgrind-clean-noplug.diff: this
	to help vclplug.

	* patches/OOO_1_1/startup-fix.diff: prune
	redundant, conflicting code.

	* patches/OOO_1_1_2/apply (XimianOnly): bin
	the layout test code, conflicts with vclplug.

	* patches/OOO_1_1/client-wait.diff,
	* patches/OOO_1_1_1/apply,
	* patches/OOO_1_1_2/apply: bin this - always was a
	bad idea.

	* patches/vclplug/psprint-m46-backport.diff:
	bin bogus $Repository style patches.
	
	* patches/OOO_1_1/*-m46-backport.diff: bin,
	now in vclplug.

	* patches/evo2, patches/vclplug: dist / add.

	* configure.in, patches/Makefile.am,
	* patches/OOO_1_1_0: expunge.

	* Tag: LAST_OOO_1_1_0

	* patches/nwf/*: remove - hopefully defunct.

	* patches/vclplug/*: split vcl-m46-backport.diff
	into here, add psprint patch.

2004-07-07  Arkadiusz Miskiewicz  <arekm@pld-linux.org>

	* bin/build-ooo, bin/package-ooo: kill new bashizm.
	* bin/setup.in: store CONFIGURE_OPTIONS in setup.configure
	file and use it (avoids loosing options if they were specified
	on command line instead of hardcoding in setup).
	
2004-07-06  Dan Wililams  <dcbw@redhat.com>

	* bin/package-ooo: fix name conflict between system's install
	  binary and instsetoo/$ARCHITECTURE/*/normal/install script,
	  which ended up getting the OOo one called instead

2004-07-06  Michael Meeks  <michael@ximian.com>

	* bin/scale-icons (handle_scaled): only make
	symbols backup dir, if $backupdir exists -
	thanks to Arek.

	* patches/OOO_1_1_2/apply: bin non-existant patch
	used for testing apply.pl bug fix (doh).

2004-07-05  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/psprint-m46-backport.diff: dependant
	back-port of misc. psprint pieces.

	* patches/OOO_1_1/vcl-m46-backport.diff: partially
	complete back-port of m46's vclplug / nwf code.

2004-07-05  Ashwanth Premchandran  <apremchandran@novell.com>

	* patches/OOO_1_1/sc-lotus-code.diff: support
	large numbers too.

2004-07-05  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1_1/apply, patches/OOO_1_1_2/apply: move
	  build-wizard-bitmap-scp.diff to  SuSEOnly; creates file
	  conflicts between openoffice.org and openoffice.org-l10n-en
	  on Debian...	  

2004-07-05  Michael Meeks  <michael@ximian.com>

	* Version 1.1.61.

	* patches/OOO_1_1_2/apply (Ximian): disable Evo2,
	NativeWidgetSplit over the release.

2004-07-05  Chris Halls <halls@debian.org>

	* patches/OOO_1_1/gui-fonts-kde.diff: Fix case where font size is -1
	  points and size must be obtained from pixel height field.  Debian
	  bug #254543.

2004-07-05  Michael Meeks  <michael@ximian.com>

	* doc/vcl-HEAD.txt: notes on back-porting all
	HEAD vcl/ changes.

	* tests/lotus/*.123: add tests from Ashwanth.

2004-07-03  Michael Meeks  <michael@ximian.com>

	* patches/evo2/evoab2_debug.diff: fix emacs patch
	mangling.

2004-07-02  Michael Meeks  <michael@ximian.com>

	* patches/evo2/evoab2_scp.diff: disable distribution of
	the evo 1.4 connector, if we target evo 2.0

	* bin/setup.in: enable native widgets for Ximian set.

2003-10-24  Jayant Balraj Madavi <mjayant@novell.com>

	* patches/evo2/evoab2_contacts.diff: fix for e-d-s
	API changes.

2004-07-01  Dan Williams <dcbw@redhat.com>

	* bin/package-ooo: use "rm -f" when removing the setup-installed
	  vcl widget library, prevents rm from asking for confirmation

2004-07-02  Michael Meeks  <michael@ximian.com>

	* www/hackers-guide.html: do some 1.1.2 sedding here.

	* patches/apply.pl (export_series): add cow-catcher
	for idiots like me using apply.pl with --dry-run.
	(list_patches): fix the grep, to do a correct sub-set;
	otherwise 'NativeWidgetsSplit' matches 'NativeWidgets'
	first.

	* patches/nwf: split patches/OOO_1_1/nativewidgets-vcl.diff
	into more manageable chunks instead of a single 10k line diff.

	* patches/gtk: remove.

	* patches/OOO_1_1/sc-lotus-code.diff: add missing
	header bits.

	* Makefile.shared: force an unpack if we have no
	source directory (allows manual deletion).

2004-07-01  Petr Mladek  <pmladek@suse.cz>

	* configure.in: set OOO_VERSION to 1.1.2
	
	* bin/font-munge: make sure that the MS compatible fonts like Albany,
	  Arial are preferred over the Bitstream Vera fonts

	* bin/package-ooo: install the desktop files and icons to the right
	  prefix /opt/gnome for SuSE
	
	* patches/OOO_1_1/psprint_config-no-orig.diff,
	  patches/OOO_1_1_1/apply, patches/OOO_1_1_2/apply: do not pack
	  any potential .orig files with ppds
	  
	* patches/OOO_1_1_2/apply: add
	  nativewidgets-installation-in-parallel.diff

2004-07-01  Dan Williams <dcbw@redhat.com>

	* patches/OOO_1_1_2/apply: neon sysmacro patch no longer
	  needed for 1.1.2, _do_ build padmin on Fedora now since
	  we are using OOoCUPS

	* bin/setup.in: some more options for fedora: system curl,
	  no built-in fonts, specify db4 version

2004-07-01  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1_2/apply: add Lotus to Ximian target.

2004-05-14  Ashwanth Premchandran  <apremchandran@novell.com>

	* patches/OOO_1_1/sc-lotus-code.diff: first drop of some
	lotus 123 reading action.

2004-07-01  Michael Meeks  <michael@ximian.com>

	* desktop/*.desktop.in: add StartupNotify to non 1.1
	variants - since they're all 1.1 now.

2004-06-29  Petr Mladek  <pmladek@suse.cz>

	* configure.in, bin/setup.in: add option --with-docdir to define path
	  where the extra documentation should be installed (the typical value
	  for RPM packages is %_docdir/%name)
	* bin/install-dictionaries: support the names of source archives
	  available at http://openoffice.org now; however, it supports the
	  .tar.bz2 compression rather than .zip; installs the documentation
	  (readme files) into docdir
	* bin/package-ooo: call bin/install-dictionaries to install extra
	  dictionaries if any available
	
	* bin/install-dict.in: is able to link myspell dictionaries from
	  /usr/share/myspell (myspell dictionaries can be shared with
	  Mozilla Composer there)
	
	* bin/ooo-wrapper.in: add new option --widgets-set and support for
	  more widgets sets installed in parallel
	
	* OOO_1_1/gui-font-default-size.diff: increased the font size for gui
	  from 9 to 10
	
	* OOO_1_1/nativewidgets-vcl.diff: fixed the size of the 1st hunk for
	  vcl/unx/source/gdi/salnativewidgets-gtk.cxx
	  
	* OOO_1_1/build-wizard-bitmap-scp.diff, OOO_1_1_1/apply,
	  OOO_1_1_2/apply: mark the files in share/template/<lang>/wizard/bitmap
	  as lang specific
	
	* OOO_1_1/fromtemplate-wrapper-install.diff, OOO_1_1_1/apply,
	  OOO_1_1_2/apply: install the wrapper fromtemplate even if the KDE
	  integration is not installed

2005-06-29  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1/print-fontconfig.diff: fix psprint/util/ hunk

2004-06-27  Michael Meeks  <michael@ximian.com>

	* www/index.html: add NEWS file link.

2004-06-27  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1/system-myspell.diff,
	  patches/OOO_1_1/system-altlinuxhyph.diff: grr, fix - ulingu
	  isn't built with SYSTEM_MYSPELL on now so don't try to
	  link against it in the lingucomponent stuff and don't include the
	  headers, use the system myspell ones (part in
	  system-altlinuxhyph.diff because it patches nearly the same place)

2004-06-27  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1/print-fonconfig.diff: doh, hunk for
	  psprint/util/makefile.mk got lost, readd

2004-06-26  Michael Meeks  <michael@ximian.com>

	* Version 1.1.60

2004-06-24  Luiz Augusto Von Dentz  <luiz@fs.inf.br>

	* doc/macros.txt: more work.

2004-06-24  Petr Mladek  <pmladek@suse.cz>

	* bin/package-ooo, bin/setup.in, bin/install-help, bin/Makefile.am:
	  add support for localized help content; bin/install-help requires
	  SRCDIR to be exported in bin/setup.in

	* Makefile.shared, bin/help-font-munge, bin/Makefile.am,
	  patches/OOO_1_1/gui-font-help-large.diff,
	  patches/OOO_1_1_1/apply, patches/OOO_1_1_2/apply: change the font
	  configuration for help content by a script instead of by a patch
	  SRCDIR must be exported in bin/setup.in
	
	* patches/OOO_1_1/helpcontent-no-bak.diff, patches/OOO_1_1_1/apply,
	  patches/OOO_1_1_2/apply: do not pack *.orig and .bak files
	
	* bin/package-ooo: remove OOINSTDIR (DESTDIR) from some installed
	  files
	  
	* bin/package-ooo, bin/setup.in: the path where the manual page is
	  installed can by changed by the configure switch --mandir

	* bin/setup.in: build three more localizations (ARAB, ESTONIAN,
	  SLOVENIAN)

2004-06-23  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1/system-myspell.diff: fix; was not complete

2004-06-24  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1_2/apply: disable Evo2 - code is stale.

	* bin/setup.in: disable mozilla on win32 too.

2004-06-24  Luiz Augusto Von Dentz  <luiz@fs.inf.br>

	* doc/macros.txt: add more thoughts.

2004-06-24  Michael Meeks  <michael@ximian.com>

	* Makefile.shared: misc. dependency fixes.

	* patches/OOO_1_1_1/win32-cygwin-path.diff: move.
	* patches/OOO_1_1_1/win32-dmake-env.diff: move.
	* patches/OOO_1_1_2/apply: remove.

	* patches/OOO_1_1_1/win32-posixpath.diff: move.
	* patches/OOO_1_1/win32-posixpath.diff: remove.
	* patches/OOO_1_1_2/apply: remove.

	* patches/OOO_1_1_1/win32-msvs-2003-misc3.diff: move.
	* patches/OOO_1_1/win32-msvs-2003-misc3.diff: respin.

	* patches/OOO_1_1_1/win32-msvs-2003-configure.diff: move.
	* patches/OOO_1_1/win32-msvs-2003-configure.diff: remake.

	* patches/OOO_1_1/config-switches.diff: re-instate
	FONTCONFIG_FONTS export.

2004-06-24  Dan Williams <dcbw@redhat.com>

	* patches/OOO_1_1/nativewidgets-vcl.diff:
	  Backport 680 GTK fixes and updates.

2004-06-23  Michael Meeks  <michael@ximian.com>

	* bin/setup.in: add extra disable-mozilla goodness.

	* configure.in, patches/OOO_1_1_2/apply: re-instate
	evolution-data-server tests / usage.

2003-10-24  Jayant Balraj Madavi <mjayant@novell.com>

	* patches/evo2/*: update / fix. misc bugs.

2004-06-23  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1_1/vba-large-files.diff: move.
	* patches/OOO_1_1_1/vba-not-comments.diff: move.
	* patches/OOO_1_1/vba-not-comments.diff: regen.

2004-06-22  Jan Holesovsky  <kendy@suse.cz>

	* patches/OOO_1_1/nativewidgets-vcl.diff: Changed the way of the
	  initialization of display (now KApplication initializes it and
	  passes it to VCL; used to be vice versa). Fixes IZ#29111 and
	  embedding OOo with KDE NWF into cuckooo.

2004-06-22  Michael Meeks  <michael@ximian.com>

	* download.in: add 1.1.2 bits.

	* patches/apply.pl: tolerate trailing / leading
	whitespace in patch lists.

	* patches/OOO_1_1_1/build-instsetoo-lang.diff: move.
	* patches/OOO_1_1/build-instsetoo-lang.diff: regen.

	* patches/OOO_1_1/module-buildset-crashrep.diff: regen.
	* patches/OOO_1_1/module-buildset-padmin.diff: add.
	* patches/OOO_1_1/module-buildset.diff: remove.
	* patches/OOO_1_1_2/apply: upd.

	* patches/OOO_1_1_1/module-buildset-crashrep.diff,
	* patches/OOO_1_1_1/module-buildset.diff: split out.

	* patches/OOO_1_1_1/odk-head-options.diff: move here.
	* patches/OOO_1_1_2/apply: bin odk-head-options

2004-06-21  Jan Holesovsky  <kendy@suse.cz>

	* patches/OOO_1_1/fpicker-build.diff,
	  patches/OOO_1_1/fpicker-common.diff,
	  patches/OOO_1_1/fpicker-kde.diff: Implementation of KDE file picker.
	  Experimental, and not completely finished. Must be enabled using
	  --enable-kde-fpicker switch of OOo's configure; it is not built
	  otherwise. PLEASE LET IT DISABLED FOR NOW.
	  
	* patches/OOO_1_1/fpicker-scp.diff: Add the file picker to the
	  installation set and register it during installation.

	* patches/OOO_1_1/fpicker-show-checkbox.diff: Show "Use OpenOffice.org
	  dialogs" check box in Tools->Options...

	* bin/setup.in: Use --enable-kde-fpicker just for the experimental
	  "KDE" distribution.

	* patches/OOO_1_1/nativewidgets-config_office.diff:
	  --enable-kde-fpicker configure switch.

	* patches/OOO_1_1_1/apply: FilePicker rule.

2004-06-21  Michael Meeks  <michael@ximian.com>

	* Makefile.shared, bin/oowintool: set the
	executable bits on misc. unpacked / installed
	dlls.

	* bin/build-ooo: added some more debug thanks
	to Ken Foskey.

2004-06-21  Volker Quetschke  <quetschke@scytek.de>

	* configure.in: bump AC_PREREQ for win32.

	* www/cpan.html: add to cvs for better mgmt.

2004-06-21  Michael Meeks  <michael@ximian.com>

	* bin/build-ooo: clobber MAKEFLAGS - which was
	crippling sub nmakes.

	* patches/OOO_1_1_1/apply: disable sw-export-crash

	* patches/OOO_1_1_1/sw-export-crash.diff: cleanup.

	* patches/Makefile.am (SUBDIRS): add OOO_1_1_2

2004-06-21  Caolan McNamara  <caolan@redhat.com>
	
	* patches/OOO_1_1_1/sw-export-crash.diff: export to .doc crash backport

2004-06-19  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1_1/config-switches.diff: merge hunks 10 and 11
	  for making unapplying possible. oops.

2004-06-18  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1/psprint-cups.diff: fix typo

2004-06-17  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1/psprint-cups.diff: update for 1.1.2 tarball
	* patches/OOO_1_1/system-freetype.diff: remove bogus hunk

2004-06-17  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1_2/apply,
	  patches/OOO_1_1/javaunohelper-no-target.diff: remove, in 1.1.2
          tarball

2004-06-17  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/win32-transfer-alpha.diff,
	* patches/OOO_1_1_1/apply: fix cut/paste image bug.

2004-06-14  Jan Holesovsky  <kendy@suse.cz>

	* patches/OOO_1_1_1/config-switches.diff: Fixed typo (missing closing
	double quote).
	* patches/OOO_1_1_2/.cvsignore: Added.

2004-06-13  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1_{1,2}/apply,
	  patches/OOO_1_1/disable-vera-extraction.diff: as
	  every little helps ;) disable extraction of the vera tar.gz
	  when we specify --disable-fonts

2004-06-12  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1_2/apply,
	  patches/OOO_1_1/disable-fontooo.diff,
	  patches/OOO_1_1/disable-msfontextract-build.diff,
	  patches/OOO_1_1/system-mspack.diff: conditonal patches
	  to a) disable FontOOo if requested and b) build with
	  system libmspack if wee want FontOOo
	* patches/OOO_1_1/config-switches.diff: add --disable-fontooo
	  and --with-system-mspack
	* patches/OOO_1_1/print-fontconfig: merge michael's changes
	  done in patches/OOO_1_1_1/print-fontconfig
	* bin/openoffice-xlate-lang: add additional/new languages

2004-06-12  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1_1/win32-null-dev.diff: add,
	thanks to Volker.

	* patches/OOO_1_1_1/print-fontconfig.diff: fix 'ttc' font
	collection parsing: TODO, forward port to 1.1.2

2004-06-11  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1/build-pl-conditionals.diff,
	  patches/OOO_1_1/solar-use-fork.diff,
	  patches/OOO_1_1/java-path-blackdown.diff,
	  patches/OOO_1_1/gui-toolbox-large-icons.diff,
	  patches/OOO_1_1/gui-menu-checkitems.diff,
	  patches/OOO_1_1/psprint-cups.diff,
	  patches/OOO_1_1/disable-odk-build.diff,
	  patches/OOO_1_1/print-fontconfig.diff,
	  patches/OOO_1_1/i18n-calc-encoding.diff,
	  patches/OOO_1_1/sysui-translations.diff: resync/fix for 1.1.2,
	  copy to patches/OOO_1_1_1
	* patches/OOO_1_1/sd-export-html.diff: update
	* patches/OOO_1_1_2/apply:
	  -- more obsolete patches:
           - stlport-defeat-includes.diff, sw-ms-bullet-export.diff
          -- temporarily comment out sw-dont-beep.diff,
	     sysui-translations.diff and i18n-calc-enoding.diff
	  -- add disable-myspell-dicts.diff, 
	     nativewidgets-installation-in-parallel and
	     neon-control-characters.diff
	* patches/OOO_1_1_2/apply, 
	  patches/OOO_1_1/i18n-build-hindi-thai.diff: add, build
	  HINDI and THAI resource files
	* patches/OOO_1_1/disable-myspell-dicts.diff: remove
	  configure/set_soenv stuff; rename WITH_MYSPELL_DICTIONARIES
	  to WITH_MYSPELL_DICTS and change TRUE/FALSE to YES/NO for
	  consistency
	* patches/OOO_1_1_1/config-switches.diff,
	  patches/OOO_1_1/config-switches.diff: add option/set_soenv stuff
	  for above; oops, the fontconfig stuff got lost; readd
	* bin/scale-icons: add res/hebrew
	* patches/OOO_1_1{0,1,2}/apply, system-xrender.diff: merge
	  system-x11-extensions.diff into system-xrender.diff
	* patches/OOO_1_1/system-x11-extensions.diff: remove

2004-06-10  Petr Mladek  <pmladek@suse.cz>

	* patches/OOO_1_1/neon-control-characters.diff, patches/OOO_1_1_1/apply:
	  another security fix in neon; fix problems with control characters

2004-06-07  Petr Mladek  <pmladek@suse.cz>

	* Makefile.shared: fix usage of semicolons and backslashes, so
	  font mapping munging is processed again
	
	* bin/font-munge: add a missing semicolon

2004-06-07  Petr Mladek  <pmladek@suse.cz>

	* patches/OOO_1_1/disable-myspell-dicts.diff, patches/OOO_1_1_1/apply:
	  allow to disable installation of myspell dictionaries by a new switch
	  --without-myspell-dictionaries

	* configure.in, bin/setup.in, bin/build-ooo, bin/package-ooo, 
	  patches/OOO_1_1/nativewidgets-installation-in-parallel.diff,
	  patches/OOO_1_1_1/apply:  support installation of more variants of
	  native widgets in parallel; solve building, installation and run
	  time; configurable by a new switch --with-widgetsets

	* bin/package-lang, bin/package-ooo: improve the list of files
	  created by installation; remove DESTDIR; mention directories;
	  create extra lists for English help and English localization
	  
	* bin/setup.in: use --without-myspell-dictionaries for the distro SuSE

2004-06-07  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1_2/apply,
	  patches/OOO_1_1/javaunohelper-no-target.diff: add; fix no-java
 	  builds

2004-06-06  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1_1/officecfg-parallel-build-fix: remove; move to
	  patches/OOO_1_1/officecfg-parallel-build-fix
	* patches/OOO_1_1_2/apply: remove obsolete patch noopt-debug.diff
	* patches/OOO_1_1/config-switches.diff: remove; move to
          patches/OOO_1_1_1/config-switches.diff
	* patches/OOO_1_1/config-switches.diff: add; version for 1.1.2

2004-06-06  Rene Engelhard  <rene@debian.org>

	* start with OOo 1.1.2 stuff
	* patches/OOO_1_1_2/apply: create file; remove obsolete patches:
          - allow-s390x.diff, build-sparc-boost.diff,
          - build-sparc-assembler.diff, bridges-sparc-alignment.diff,
          - glibc234semaphore.diff, neon.patch-CAN-2004-0{179,398}.diff,
          - psprint-bad-ttf-name-table.diff, norwegian-translation.diff,
          - datasources_types_add_mysql.diff, system-getopt.diff,
          - setup-upgrade.diff, extra-languages.diff
	* configure.in: add patches/OOO_1_1_2/Makfile to AC_OUTPUT

2004-06-04  Michael Meeks  <michael@ximian.com>

	* bin/build-issues: add hwpfilter.

	* www/README: upd.

2004-06-04  Michael Meeks  <michael@ximian.com>

	* Version 1.1.59

2004-06-03  Michael Meeks  <michael@ximian.com>

	* download.in: use CVSTAG not TAG - thanks to Rafael.	

2004-06-03  Petr Mladek  <pmladek@suse.cz>

	* patches/OOO_1_1/system-freetype.diff: include all files via
	  macros (FT_XXX_H), not only freetype.h

	* patches/OOO_1_1/gui-font-paranoid-fallback.diff: added Albany;
	  moved Nimbus Sans L after Arial

	* patches/OOO_1_1/helper-programs-kde.diff: add kmail as the default
	  external mailer

	* patches/OOO_1_1_1/apply: add some missing IZ numbers

2004-06-02  Michael Meeks  <michael@ximian.com>

	* bin/setup.in: bin stamp.
	* bin/package-ooo: don't check for a stamp we
	don't create: thanks to Bernhard.

	* Version 1.1.58

2004-06-01  Chris Halls  <halls@debian.org>

	* patches/OOO_1_1/java-path-blackdown.diff: The blackdown
	  .debs distribute the JDK in /usr/lib/j2se/<ver>; add
	  this to JDK search directories
	* patches/OOO_1_1/java-blackdown-ver.diff: The blackdown
	  1.4.1_01 beta debs report themselves as "1.4.1" so remove
	  1.4.1 from the exclude list.
	* patches/OOO_1_1_1/apply: add java-path-blackdown for everyone
	  but java-blackdown-ver to DebianOnly

2004-06-01  Rafal Roszak  <rmrmg@wp.pl>

	* bin/unpack: Change function names to deal with shells like
	  ksh93.

2004-05-29  Rene Engelhard  <rene@debian.org>
	
	* patches/OOO_1_1_1/apply,
	  patches/OOO_1_1/security-sonames.diff: dlopen() libcrypt.so.1
	  and libpam.so.0 instead of libcrypt.so / libpam.so which requires
	  -dev package installation
	* patches/OOO_1_1_1/xinerama-pic-on-all-archs.diff: fix to not
	  be useless of !i386, saldisp.cxx contained #if defined ( X86 );
	  change to #if defined ( LINUX )
	* patches/OOO_1_1/config-switches.diff: cleanup and fix some minor
	  problems
	* patches/OOO_1_1/system-nas.diff, patches/OOO_1_1/system-curl.diff:
	  add (temporarily unconditional) -lXt because some curl/nas versions
	  need it...

2004-05-28  Michael Meeks  <michael@ximian.com>

	* Version 1.1.57

2004-05-28  Arkadiusz Miskiewicz  <arekm@pld-linux.org>

	* bin/build-ooo, bin/build-tools, bin/install-artwork,
	  bin/install-dictionaries, bin/package-ooo,
	  bin/snapshot-build: Kill all bashizm (again).

	* bin/build-tools: Don't build gcc/binutils when using
	  --with-system-gcc.

2004-05-28  Michael Meeks  <michael@ximian.com>

	* Version 1.1.56

	* bin/Makefile.am (script_files): add missing
	scripts.

2004-05-28  Michael Meeks  <michael@ximian.com>

	* README: update with correct cvs details.

	* www/hackers-guide.html: add more fool-proofing
	to section-5.8.

	* Makefile.shared (revert_font_munge): drop
	un-stamped foo.
	(patch.apply): depend only on the .diff/.patch
	files & 'apply' itself; not the Makefile* bits.
	(artwork.install): make stamp depend on prebuild
	not rule itself.

2004-05-27  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/sc-lotus-filter.diff,
	* patches/OOO_1_1_1/apply: detect smartsuite97
	files / funnel them to lotus.c

	* www/hackers-guide.html: filter re-write.

	* Makefile.shared: beef up unpack / prebuild
	dependencies; unpack has to revert any patches
	beforehand.

2004-05-13  Arkadiusz Miskiewicz  <arekm@pld-linux.org>

	* bin/package-lang: build per-lang file lists of
	i18n contents.

2004-05-26  Michael Meeks  <michael@ximian.com>

	* bin/unpack: create build/ don't check for stuff
	until it's there.

	* lots of tedious lotus importer chasing;
	SfxFactoryFilterContainer needs a SetDetectFilter to
	set pFunc, cf. sc/source/ui/app/sclib.cxx (DetectFilter)

	* patches/OOO_1_1/speed-sal-string.diff,
	* patches/OOO_1_1_1/apply: add back-port.

2004-05-17  Michael Meeks  <michael@ximian.com>

	* bin/build-tools, bin/unpack, bin/install-artwork,
	* Makefile.shared: add.

2004-05-23  Arkadiusz Miskiewicz  <arekm@pld-linux.org>

	* patches/OOO_1_1_1/officecfg-parallel-build-fix.diff: Parallel
	  build fixed in a better way that doesn't just limit instances
	  to one (OOo #i28842).

2004-05-20  Dan Williams <dcbw@redhat.com>

	* patches/OOO_1_1_1/apply
	  patches/OOO_1_1_1/officecfg-parallel-build-fix.diff: Make the
	  officecfg module parallel build safe (ie MAXPROCESS=1)
	* bin/build-ooo: remove the HALF_CPUS stuff since ooo-build doesn't
	  seem to work well with multiple dmake instances

2004-05-20  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* patches/OOO_1_1/word-count.diff: get translations from Mandrake
	again. This time preserve encodings. Fixes Czech, Hindi, Korean,
	Japanese, Slovak, Chinese (both) Word Count labels. Transcoded
	Greek to MS 1253, Russian to MS 1251 (from UTF-8). Enabled
	Slovenian. Default Thai, Hebrew, Estonian to English (not German).
	Ximian Bug #58??? (Bugzilla is offline ATM)

2004-05-20  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1_1/apply, patches/OOO_1_1/allow-s390x.diff:
	  allow building for S390 with uname -m being s390x
	* patches/OOO_1_1_1/psprint-bad-ttf-name-table-fix.diff: remove
	  first hunk

2004-05-20  Dan Williams <dcbw@redhat.com>

	* patches/OOO_1_1_1/apply
	  patches/OOO_1_1_1/psprint-bad-ttf-name-table-fix.diff:
	  Fix more malformed TrueType fonts (RH #123441, OOo #24286)

2004-05-20  Dan Williams <dcbw@redhat.com>

	* patches/OOO_1_1/neon.patch-CAN-2004-0398.diff: fix up
	  the paths, was "neon.patch", should have been "neon/neon.patch"

2004-05-20  Dan Williams <dcbw@redhat.com>

	* patches/OOO_1_1_1/apply: use gui-i18n-default-font.patch
	  so that the correct UI font is found

	* bin/build-ooo: for multiprocessing builds, do half build.pl
	  processes and half dmake processes

2004-05-18  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1_1/apply,
	  patches/OOO_1_1/neon.patch.CAN-2004-0398.diff: new neon security
	  fix

2004-05-18  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1_1/apply: enable OOoCUPS on Debian

2004-05-14  Michael Meeks  <michael@ximian.com>

	* Makefile.am: Move build logic here.

	* configure.in, Makefile.am, stamp/*: add directory
	for make to leave stamp files.

	* desktop/*.desktop.in: append %U's to Exec for
	D&D panel/desktop opening goodness ...

2004-05-14  Arkadiusz Miskiewicz  <arekm@pld-linux.org>

        * patches/OOO_1_1/nativewidgets-vcl.diff: KDE widgets - set font
          height based on kde settings.

2004-05-14  Jan Holesovsky  <kendy@suse.cz>

	* patches/OOO_1_1/nativewidgets-vcl.diff: suppress the "cannot find
	  .rc file soffice.binui.rc" KDE warning.

2004-05-14  Michael Meeks  <michael@ximian.com>

	* www/name-account.html: some clean-up.

	* patches/OOO_1_1/sc-fn-eng.diff: use approxFloor
	as recommended.

	* www/ooo-build.html: explain the re-root action in
	more detail & add check for the unwary.

2004-05-14  Ashwanth Premchandran  <apremchandran@novell.com>

	* patches/OOO_1_1/sw-ms-fmt-import.diff,
	* patches/OOO_1_1_1/apply: crasher fix / back-port.

2004-05-14  Jim Thompson  <Jimthompson5802@aol.com>

	* test/macro/interaction.xls: new test sheet.

2004-05-13  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/vba-keybinding-f11.diff,
	* patches/OOO_1_1_1/apply: Alt-F11 -> basic foo.

2004-05-13  Utomo  <utomo@hotbox.ru>

	* www/name-account.html: add several more people.

2004-05-13  Arkadiusz Miskiewicz  <arekm@pld-linux.org>

	* patches/OOO_1_1_1/apply: Use gui-font-paranoid-fallback.diff
	  for PLD.

2004-05-10  Arkadiusz Miskiewicz  <arekm@pld-linux.org>

	* bin/build-ooo: set HOME variable only if it's not set or is empty,
	  avoids problems with tools like distcc.

2004-05-08  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1/system-xrender.diff, patches/OOO_1_1_1/apply:
	  add (condtitionalized) system-xrender patch - use system Xrender
	* patches/OOO_1_1/config-switches.diff: add --with-system-xrender,
          enable --with-system-x11-extensions-headers automatically if
          --with-system-xrender specified
	* bin/setup.in: add --with-system-xrender for Ark Linux   

2004-05-07  Michael Meeks  <michael@ximian.com>

	* bin/package-ooo: install the Ximian .desktop
	and icon files & autoresponse for all non RH
	vendors (makes sense). Install man page for
	all but RH.

2004-05-06  Rene Engelhard  <rene@debian.org>

	* bin/scale-icons: use prefix instead of suffix for $dest, avoids
          warning with newer ImageMagick's - thanks
	  Daniel Kobras <kobras@debian.org>

2004-05-06  Michael Meeks  <michael@ximian.com>

	* bin/relocate, patches/apply.pl: check for
	absolute paths.

2004-05-06  Arkadiusz Miskiewicz  <arekm@pld-linux.org>

	* patches/OOO_1_1/module-buildset-crashrep.diff,
	* patches/OOO_1_1/module-buildset.diff,
	* patches/OOO_1_1_1/apply: split out the crashrep
	build disabling from the padmin disabling.

2004-05-06  Michael Meeks  <michael@ximian.com>

	* bin/setup.in: CONFIGURE_OPTIONS append
	CONFIGURE_EXTRA_OPTIONS to allow external tweakage.

	* bin/build-ooo: copy $TOOLSDIR/src/splash bits
	instead of using $SRCDIR which can be empty.
	Thanks Petr Mladek.

2004-05-05  Michael Meeks  <michael@ximian.com>

	* www/tinderbox-setup.html: s/openoffice/ooo-build/
	where appropriate.

	* CVS rename to ooo-build.

2004-05-05  Michael Meeks  <michael@ximian.com>

	* Version 1.1.55

2004-05-05  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/glibc234-semaphore.diff,
	* patches/OOO_1_1_1/apply: add fix for nasty
	cut/paste structure workaround breakage; thanks
	to Arkadiusz.

2004-05-05  Bernhard Rosenkraenzer  <bero@arklinux.org>

	* patches/OOO_1_1/ark-splash.diff
	* patches/OOO_1_1_1/apply: add Ark/ArkOnly
	sections.

2004-05-03  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1/system-db.diff: fix for Java-case; don't use
          $(CC) -E and preprocess the stuff anymore since gcc apparently
          doesn't like .in files.
          Using $(CPP) is no solution since that actually is set to
	  $(CC) -E. Now create the db4.x (x >= 1) java files into db4/
          and build either those or the "normal" ones depending on the db
          version...

2004-05-05  Michael Meeks  <michael@ximian.com>

	* download.in, patches/OOO_1_1_1/apply,
	* bin/build-ooo: disable ODMA download/unpack/patch

2004-05-05  Arkadiusz Miskiewicz  <arekm@pld-linux.org>

	* patches/OOO_1_1/pld-splash.diff: add
	* patches/OOO_1_1_1/apply: add PLD target &
	PLDOnly sections.

2004-05-05  Arkadiusz Miskiewicz  <arekm@pld-linux.org>

	* src/Makefile.am, src/openabout_pld.bmp,
	src/openintro_pld.bmp: add.

2004-05-04  Michael Meeks  <michael@ximian.com>

	* doc/gw-odma.txt: waffle on GW/ODMA integration.

2004-05-04  Jan Holesovsky  <kendy@suse.cz>

	* src/Makefile.am: src/openabout_kde.bmp and src/openintro_kde.bmp to
	  EXTRA_DIST.

	* patches/OOO_1_1/shellexec_allow_params.diff,
	  patches/OOO_1_1/helper-programs-kde.diff,
	  patches/OOO_1_1_1/apply: Allow parameters in
	  Tools->Options->OpenOffice.org->External
	  programs->(HTTP|HTTPS|FTP|MAILTO) (issue #28720), and set it to
	  "kfmclient exec" for the KDE builds.

2004-05-04  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1_1/apply: move gui-font-help-large.diff
	to LinuxOnly - defeated by viciously pathetic win32,
	diff/patch differences of painful proportions.

	* bin/ooo-wrapper.in: switch to OO.o formats by default
	by changing OOO_MS_DEFAULTS export.

	* patches/OOO_1_1/vba-attribute.diff: add missing
	pieces.

2004-05-04  Arkadiusz Miskiewicz <arekm@pld-linux.org>

	* bin/package-ooo: use tcsh -f to not read .cshrc, some people
          have it configured to show extra stuff which breaks without -f
	* bin/ooo-wapper.in, bin/owner: more bashisms fixed

2004-05-03  Chris Halls  <halls@debian.org>

	* patches/OOO_1_1/gui-font-help-large.diff: revert
	back to 1.1 because 1.2 did not apply on my or Jan's
	source, and 1.1 does reverse patch properly too

2004-05-03  Arkadiusz Miskiewicz <arekm@pld-linux.org>

	* bin/package-ooo: chmod binaries before stripping

2004-05-03  Arkadiusz Miskiewicz <arekm@pld-linux.org>

	* bin/setup.in: Remove another bashism

2004-05-03  Jan Holesovsky  <kendy@suse.cz>

	* src/openabout_kde.bmp,
	  src/openintro_kde.bmp,
	  patches/OOO_1_1/kde-splash.diff: KDE splash screen thanks to
	  Dariusz Arciszewski <arciszewski@op.pl>,
	  see http://www.kde-look.org/content/show.php?content=12306
	* patches/OOO_1_1_1/apply: fixed KDE (is a target rule again),
	  made it use kde-splash.diff through KDEOnly.

	* bin/setup.in: Build the SuSE target with --with-widgetset=kde.

2004-05-03  Arkadiusz Miskiewicz <arekm@pld-linux.org>

	* configure.in: Convert tcshism to Posix sh syntax
	* bin/openoffice-xlate-lang: Send usage output to STDERR

2004-04-30  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1/crash-escherex.diff: fix stlport include

2004-04-30  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/win32-cygwin-path.diff,
	* patches/OOO_1_1_1/apply: fix manifold evil and
	wickedness.

	* patches/OOO_1_1/win32-odma.diff: fix targets
	etc.

	* patches/OOO_1_1/gui-font-help-large.diff: bin
	DOS crlf junk so it will reverse patch properly.

	* bin/scale-icons: use a perl loop instead of shell
	expansion to backup/remove the symbols.

2004-04-30  Arkadiusz Miskiewicz  <arekm@pld-linux.org>

	* bin/setup.in: use CONFIGURE_OPTIONS from the
	environment if it's set.

2004-04-30  Michael Meeks  <michael@ximian.com>

	* bin/build-ooo: double unpack ODMA into
	ucb/source/ucp/odma etc.

	* patches/OOO_1_1/win32-odma.diff: drop the bogus
	odma.h header.
	
	* download.in: re-factor to shrink & add ODMA download.

	* patches/OOO_1_1/win32-stlport-build.diff,
	* patches/OOO_1_1_1/apply: build bug hunting patch.

2004-04-30  Bernhard Rosenkraenzer  <bero@arklinux.org>

	* configure.in: with_vendor fix, add Ark specific
	default options: with-system-gcc, with_icons=KDE,
	with_vendor='Ark Linux'.

	* bin/build-ooo: use ooo-icons.tar.bz2 for Ark

	* bin/setup.in: add Ark CONFIGURE_OPTIONS

2004-04-30  Arkadiusz Miskiewicz  <arekm@pld-linux.org>

	* bin/build-ooo: copy splash/branding bits into
	the tree in a more flexible way.

2004-04-30  Arkadiusz Miskiewicz  <arekm@pld-linux.org>

	* patches/OOO_1_1/stlport-compile-fix.diff,
	* patches/OOO_1_1_1/apply: compile with
	STLPort 4.6.x

2004-04-30  Arkadiusz Miskiewicz  <arekm@pld-linux.org>

	* bin/build-ooo: don't assume we can always use
	LD_ASSUME_KERNEL=2.2.5, try various different
	versions for Java's sake.

2004-04-30  Michael Meeks  <michael@ximian.com>

	* bin/setup.in: bin odd/ugly RPM_RELEASE bits,
	thanks to: 

	* patches/OOO_1_1/novell-filebug.diff,
	* patches/OOO_1_1_1/apply: add 'file a bug' icon
	to the toolbar for our Win32 build.

	* bin/build-ooo: install them for Win32.
	* src/file-bug*.bmp: add for internal Novell bug
	filing on Win32. res/5406

2004-04-29  Michael Meeks  <michael@ximian.com>

	* tests/macros/macrobook.xls: update.

	* doc/macros.txt: replace with brain-dump wrt. VBA
	compatibility implementation
	* doc/macro-storage.txt: rename to this.

	* patches/OOO_1_1/vba-compatible.diff,
	* patches/OOO_1_1_1/apply: prefer VBA to legacy
	StarBasic compatibility.

	* patches/OOO_1_1/vba-attribute.diff,
	* patches/OOO_1_1_1/apply: parse attributes right.

2004-04-29  Michael Meeks  <michael@ximian.com>

	* Version 1.1.54

2004-04-29  Michael Meeks  <michael@ximian.com>

	* autogen.sh: add '--clean' option.

	* Makefile.am (EXTRA_DIST): don't try to
	distribute generated mkinstalldirs file.

	* configure.in: don't check for libgnomecups,
	gnome-vfs if using SuSE.

2004-04-29  Chris Halls  <halls@debian.org>

	* patches/OOO_1_1/print-fontconfig.diff: Fix afm metrics
	read for non-fontconfig case (Debian Woody backport)

2004-04-29  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1_1/apply: pull out the Evo2 bits until
	they're fully tested / dependable.

2004-04-28  Chris Halls  <halls@debian.org>

	* patches/OOO_1_1/psprint-cups.diff:
	remove hunk that was merged into 1.1.1 upstream
	yet managed to stay in the patch

2004-04-28  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/print-resolution-generic.diff: improve
	generic printer, resolution.

	* patches/OOO_1_1/build-arch-flags.diff,
	* patches/OOO_1_1/translation-shift.diff,
	* patches/OOO_1_1_1/apply: fix name/lang-map problems,
	use ARCH_FLAGS for build.

	* patches/OOO_1_1/java-use-xslt-filters.diff,
	* patches/OOO_1_1_1/apply: install these if java enabled.

	* configure.in, bin/setup.in: do versioning differently,
	export OOO_BUILD_EXTENSION for version-strike.diff.

	* patches/OOO_1_1/version-strike.diff,
	* patches/OOO_1_1_1/apply: munge OOO_BUILD_EXTENSION
	into the ProductExtension field [ primarily for easier
	user / version debugging ]

2004-04-27  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/vba-sc-import.diff: read the VBA
	only once to save pain.

	* patches/OOO_1_1/setup-upgrade.diff: default to upgrade,
	not keep old install.

	* patches/OOO_1_1/setup-upgrade.diff,
	* patches/OOO_1_1/setup-license.diff,
	* patches/OOO_1_1_1/apply: less pain & proper upgrade.

	* bin/ooo-wrapper.in (clean_symlinks): implement
	to remove 'work' symlink before upgrade, fixing heinous
	debian bug #245561

	* bin/linkoo: check for / enforce absolute paths.

	* bin/setup.in (PATH): add $TOOLSDIR/bin, for easier
	'linkoo'-age etc.

	* www/hackers-guide.html: change my first hack to do
	a sweeter, simpler reverse of the stock toolbar order.

2004-04-26  Michael Meeks  <michael@ximian.com>

	* configure.in: default icon set to KDE on SuSE.

	* autogen.sh: pass args on to configure.

	* patches/OOO_1_1_1/apply: drop gui-kde-dtint.diff,
	obsoleted by some native-widget patch.

	* patches/OOO_1_1/gui-metric-fonts-descr.diff:
	improve MS interop / with metric font mappings.

	* bin/font-munge: add SuSE bits - *nimbus* mappings.

	* patches/OOO_1_1/gui-font-paranoid-fallback.diff: add.

	* patches/OOO_1_1/gui-font-help-large.diff,
	* patches/OOO_1_1_1/apply: enlarge the default
	help point size & search for licensed fonts too.

	* src/Makefile.am (EXTRA_DIST): dist. suse bitmaps.

	* patches/OOO_1_1/i18n-calc-encoding.diff,
	* patches/OOO_1_1/system-libstdcpp.diff,
	* patches/OOO_1_1_1/apply: add.

	* patches/OOO_1_1/build-svtools-dep.diff,
	* patches/OOO_1_1/odk-head-options.diff,
	* patches/OOO_1_1_1/apply: add.

	* patches/OOO_1_1/html-8bit-export-shrink.diff,
	* patches/OOO_1_1_1/apply: add.

	* patches/OOO_1_1/gui-kde-dtint.diff: add.

	* patches/OOO_1_1/suse-splash.diff,
	* patches/OOO_1_1_1/apply: add SuSEOnly section &
	splash.

	* bin/build-ooo: copy SuSE artwork in for right vendorname
	* src/open*suse.bmp: SuSE splash etc.

	* bin/openoffice-xlate-lang: update to SuSE lang-set.

	* patches/OOO_1_1/win32-odma.diff
	* patches/OOO_1_1_1/apply: add ODMA support,
	back-ported from HEAD.

2004-04-26  Amit Shrivastava  <samit@novell.com>

	* patches/evo2
	  Added evo2 directory containing the evo patches 
	  for evolution addressbook driver with the 
	  evolution-data-server support

2004-04-23  Dan Williams  <dcbw@redhat.com>

	* patches/OOO_1_1/gui-disable-spellcheck-all-langs.diff
	  Remove the UI option and force to false.  Not
	  included by default in any 'apply' file.

	* configure.in: support Bluecurve icons

2004-04-22  Michael Meeks  <michael@ximian.com>

	* doc/wait-to-exit.txt: add more crazed ramblings.

2004-04-22  Jan Holesovsky  <kendy@suse.cz>

	* patches/OOO_1_1/nativewidgets-vcl.diff: Fixed KApplication
	inititalization; it produced assert() in kdelibs.

2004-04-21  Dan Williams  <dcbw@redhat.com>

	* bin/setup.in: clean up fedora section of
	  configure options a bit

2004-04-21  Dan Williams  <dcbw@redhat.com>

	* patches/OOO_1_1_1/apply
	  patches/OOO_1_1/helper-programs-redhat:
	     Use gnome-open for default handlers
	  to better integrate with the GNOME desktop
	  (Red Hat only)

2004-04-21  Michael Meeks  <michael@ximian.com>

	* bin/relocate (rewrite_value): bin debug.

	* patches/apply.pl (apply_patches): as we unlink
	obsolete patches, bin them from existing_patches too;
	thanks Chris.

2004-04-21  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/norwegian-translation.diff: fix
	reverse patching issue.

2004-04-20  Michael Meeks  <michael@ximian.com>

	* test/macro/macrobook.xls: add more macros.

	* patches/OOO_1_1/win32-nojava.diff: drop the
	java_uno_accessbridge.dll as well as the .jar.

	* bin/oowintool (copy_dll): set executable bits
	on DLL having copied it.

2004-04-19  Michael Meeks  <michael@ximian.com>

	* test/macro/macrobook.xls: start implementing more
	exhaustive macro test coverage - tedious indeed.

	* patches/OOO_1_1/win32-msvs-2003-misc.diff: bin stray
	trailing \rs causing un-patch to have kittens.

	* bin/build-ooo: don't use --dlv_switch link on win32.

	* patches/OOO_1_1/win32-nojava.diff,
	* patches/OOO_1_1_1/apply: extend disable java
	coverage.

	* patches/OOO_1_1_1/apply: move system-python.diff
	into 'SystemBits' so it doesn't screw up the win32
	build.

	* download.in: prune back crazy & unused attempts to
	detect win32 stuff.

	* bin/build-ooo: copy oowintool into config_office before
	configure.

	* patches/OOO_1_1/win32-msvs-2003-configure.diff:
	use oowintool to: a) detect MSVC compiler paths & versions
	b) copy .dlls into the tree and c) detect psdk home
	configure should (now) only require wdevenv.exe in
	build/bin.
	
	* bin/oowintool: more work.

2004-04-16  Michael Meeks  <michael@ximian.com>

	* bin/oowintool: add start of tool.

2004-04-16  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1/sysui-translation.diff: fix encodings

2004-04-16  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1/sysui-translation.diff: update; fix
          some ca translations (thanks Jordi Mallach) and
	  remove german entries for languages not being german ;)
	* patches/OOO_1_1/system-db.diff: use $(CC) -E instead cpp

2004-04-16  Michael Meeks  <michael@ximian.com>

	* Version 1.1.53

2004-04-16  Michael Meeks  <michael@ximian.com>

	* bin/Makefile.am (script_files): distribute
	oowintool.

	* bin/ooo-wrapper.in (main): call rewrite_paths
	after setup.
	(rewrite_file_paths, rewrite_paths, sniff_old_path):
	implement fix for #27895

2004-04-15  Michael Meeks  <michael@ximian.com>

	* bin/oowintool: add start of tool.

	* patches/OOO_1_1/win32-msvs-2003-misc.diff:
	it seems that '>' doesn't work in dmake land.

	* patches/OOO_1_1/win32-activex-disable.diff,
	* patches/OOO_1_1_1/apply: https problems with the
	activex control.

	* bin/relocate: re-write hyper-escaped, back-slashy
	win32 paths as well.

	* patches/OOO_1_1/win32-msvs-2003-configure.diff:
	fix ml.exe detection based on with_cl_home.

	* patches/OOO_1_1/win32-msvs-2003-configure.diff:
	fix registry based compiler auto-detection.

	* patches/OOO_1_1/win32-sd-vc6.diff: prune
	duplicate fix.

	* patches/OOO_1_1/win32-msvs-2003-configure.diff,
	* patches/OOO_1_1/win32-msvc6-misc.diff: merge the
	latter into the former and prune.

	* patches/apply.pl (apply_patches): detect and
	revert obsolete patches before applying anything
	else - in case the patches overlap.

	* patches/OOO_1_1/win32-msvs-2003-misc.diff:
	fix patch snafu.

2004-04-15  Amit Shrivastava <samit@novell.com>

	* patches/OOO_1_1/win32-msvc6-misc.diff
	* patches/OOO_1_1/win32-sd-vc6.diff
	* patches/OOO_1_1_1/apply
	Support for MSVC6 compiler

2004-04-14  Dan Williams  <dcbw@redhat.com>

	* patches/OOO_1_1/neon.patch-CAN-2004-0179.diff
	  patches/OOO_1_1_0/apply
	  patches/OOO_1_1_1/apply
	  Fix format string vulnerability in neon (#i27789#)

2004-04-14  Michael Meeks  <michael@ximian.com>

	* configure.in: check for cabextract only
	on win32.

	* patches/OOO_1_1/win32-msvs-2003-misc.diff:
	remove LIB_J SOLAR_JAVA conditional.

	* patches/OOO_1_1/win32-bmp32-speedup.diff: fix
	leak / WriteAccess problem.

	* patches/OOO_1_1_1/apply: bin duplicate ximian
	splash patch.

	* tests/draw/polygon-draw.sxd: add interesting libart
	intersection stability test.

	* patches/OOO_1_1/novell-splash.diff,
	* patches/OOO_1_1_1/apply: use new Novell splash
	for win32.

	* download.in, configure.in: update to ooo-icons -9,
	re-work the way the icons URI is generated.

	* bin/build-ooo: copy our improved opens___.ttf
	into the tree, for win32 builds.

	* patches/OOO_1_1/win32-sjlib.diff: distribute
	j645mi_g.dll on win32 too - regardless of random
	_PRODUCT variable setness.

2004-04-13  Jan Holesovsky  <kendy@suse.cz>

	* patches/OOO_1_1/config-switches.diff,
	  patches/OOO_1_1/system-python.diff: Fixed several typos so that
	  python-core-2.2.2.zip is created when --with-python is not used.
	  Fixes "missing python-core-2.2.2.zip" warning dialog during
	  instsetoo/.../setup.

2004-04-13  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1_1/apply: disable odk build.

	* patches/OOO_1_1/disable-java.diff,
	* patches/OOO_1_1_1/apply: fix win32 instset problem.

	* bin/ooo-wrapper.in: don't pass -calc etc. if we
	have filenames - since it screws up with the factory,
	you get blank documents etc. Could have sworn I'd fixed
	this bug before.

	* configure.in: add check for cabextract.

	* download.in, bin/build-ooo: download/unpack/install
	unicows.dll and dbghelp.dll.

	* www/hackers-guide.html: bin 'pitfalls' section,
	we don't want to encourage people to know about
	the rtl_ string functions really. Cross-link to
	simple OUString printout method.

	* patches/OOO_1_1/win32-msvs-2003-misc3.diff:
	deliver external/vcp* bits right.

2004-04-10  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1_1/apply,
	  patches/OOO_1_1/build-pl-conditionals.diff: add Dan's build.pl
	  conditionalizing stuff
	* patches/OOO_1_1/system-x11-extensions.diff,
	  patches/OOO_1_1/system-sane.diff,
	  patches/OOO_1_1/system-unixodbc.diff: use conditionals instead
          of .in files
	* patches/OOO_1_1_1/apply, patches/OOO_1_1/system-preprocess.diff:
	  remove system-preprocess.diff, obsolete now
	* patches/OOO_1_1/system-python.diff: remove stuff belonging to
          config-switches.diff
	* patches/OOO_1_1/config-switches.diff: some cleanup, move stuff
          from system-python.diff here

2004-04-09  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/sd-save-image-context-menu.diff:
	fix indirection snafu of mine.

2004-04-09  Krishnan R  <rkrishnan@novell.com>

	* patches/OOO_1_1/sc-show-sensitize.diff: fix const
	problem hurting VC++.

2004-04-09  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/win32-berkeleydb-toplevel.diff:
	extract HEADER_DIR so it doesn't depend on build_dir.

	* patches/OOO_1_1/win32-berkeleydb-toplevel.diff:
	fix BUILD_DIR should be empty not build_win32 to
	find the right makefile.mk.

2004-04-08  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/win32-berkeleydb.diff,
	* patches/OOO_1_1_1/apply: bin this - all builds are
	no-java builds now, and this conflicted with the
	dmakeization.

	* patches/OOO_1_1/win32-msvs-2003-configure.diff:
	try to detect MSVC location from the registry;

	* bin/relocate: fix windows snafu.

	* bin/Makefile.am: distribute 'owner' and 'relocate'

	* patches/OOO_1_1/win32-bmp32-speedup.diff,
	* patches/OOO_1_1_1/apply: substantial acceleration of
	alpha icon rendering - still somewhat slow but, far better.

	* patches/OOO_1_1/win32-berkeleydb-toplevel.diff:
	fix snafu - thanks Amit.
	
2004-04-07  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/sd-save-image-context-menu.diff:
	fix up const problem for win32.

	* bin/build-ooo: build speedup / space saving
	exercise.

	* www/hackers-guide.html: document it.

	* bin/owner: add app to tell you who owns
	what file.

	* patches/OOO_1_1/win32-sjlib.diff,
	* patches/OOO_1_1_1/apply: add workaround.

	* www/bug.html: bin - auto-generated from bug.tmpl
	as ooo.x.c updates from cvs.

	* doc/calc.txt: add my random ramblings.

2004-04-07  Thorsten Berens  <thorsten.behrens@sun.com>

	* bin/build-issues: add basegfx, canvas, cppcanvas, slideshow.

2004-04-07  Michael Meeks  <michael@ximian.com>
	
	* patches/OOO_1_1/win32-msvs-2003-configure.diff:
	add set_soenv.in fixes.

	* patches/OOO_1_1/win32-bmp32-ssa-fixes.diff,
	* patches/OOO_1_1_1/apply: add vcl fixes from ssa.

	* patches/OOO_1_1/win32-msvs-2003-misc3.diff:
	fixup some ucb typename goodness.

	* patches/OOO_1_1_1/apply: fixup/test and re-instate
	berkelydb bits.

2004-04-07  Jan Holesovsky  <kendy@suse.cz>

	* patches/OOO_1_1/nativewidgets-vcl.diff: backport of the Native
	Widget framework (experimental)
	* patches/OOO_1_1/nativewidgets-config_office.diff: configure stuff
	for NWF
	* patches/OOO_1_1/nativewidgets-no-sessionmanager.diff: do not use
	session manager with NWF, it freezes the KDE NWF.

	* patches/OOO_1_1_1/apply: New targets: KDE (simple top-level target
	for KDE builds), and NativeWidgets (target for NWF).

	* bin/setup.in: use NWF for KDE builds.

2004-04-07  Samúel Jón Gunnarsson  <sammi@techattack.nu>

	* configure.in: Added "is" to ALL_LINGUAS

2004-04-06  Dan Williams <dcbw@redhat.com>

	* patches/OOO_1_1/word-count.diff: fix up hunk location for
	  the menu item text & localizations, it was landing
	  in the completely wrong place without complaints

	* patches/OOO_1_1_1/apply: disable redhat-default-fonts.patch
	  for now since it does not sucessfully apply anymore

2004-04-06  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/win32-internal-libart.diff,
	* patches/OOO_1_1/win32-libart-build.diff: add
	* patches/OOO_1_1/win32-libart.diff: remove
	* patches/OOO_1_1_1/apply: add nasty internal libart
	hack - needs scp support.

	* patches/OOO_1_1/win32-msvs-2003-misc2.diff: remove
	duplicate section.

	* configure.in: bin libart check for win32.

	* patches/OOO_1_1_1/apply: admit defeat and start using
	wdevenv - cue hair-tearing sound.

2004-04-06  Chris Halls  <halls@debian.org>

	* patches/OOO_1_1/redhat-use-old-libart.patch,
	  patches/OOO_1_1_0/apply, patches/OOO_1_1_1/apply: rename
	  to build-use-old-libart.diff, relax pkgconfig libart 
	  version and add to DebianWoody patchset.
	* patches/OOO_1_1/system-freetype.diff: use original FREETYPE_LIBS
	  if SYSTEM_FREETYPE is not enabled
	* patches/OOO_1_1_1/apply: use sensible-browser for all Debian 
	  builds

2004-04-06  Jan Holesovsky  <kendy@suse.cz>

	* src/.cvsignore: Ignore tarballs in this directory.

2004-04-06  Jan Holesovsky  <kendy@suse.cz>

	* configure.in,
	* download.in,
	* bin/build-ooo,
	* bin/setup.in: introduced --with-icons configure switch (to
	allow KDE icons); it sets OOO_ICONS_VER variable. Made the
	respective scripts aware of its setting.

2004-04-06  Chris Halls  <halls@debian.org>

	* patches/OOO_1_1/psprint-cups.diff:
	  this hadn't been tested with ENABLE_CUPS disabled 
	  (it doesn't compile), so unconditionally enable CUPS 
	  in the patch for now.

2004-04-05  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* ChangeLog: Converted ChangeLog file to UTF-8

2004-04-05  Michael Meeks  <michael@ximian.com>

	* doc/cygwin.txt: my random notes on win32 builds.

	* download: remove this.

	* download.in: add - thanks Kendy.

2004-04-03  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/win32-berkeleydb-make.diff: store for
	re-generating convenience.
	* patches/OOO_1_1/win32-berkeleydb-make-patch.diff: patch version
	* patches/OOO_1_1/win32-berkeleydb-toplevel.diff,
	* patches/OOO_1_1_1/apply: bin crack-rock, build it using dmake.

2004-04-04  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* patches/OOO_1_1/system-python.diff: almost done. Some parts
	should move to config-switches.diff. UNO bootstrap rc files are
	not correct yet.

	* patches/OOO_1_1/pyuno-ucs-4-fixes.diff: fix pyuno build for
	ucs-4-enabled pythons.

	* patches/OOO_1_1_1/apply: apply them

2004-04-02  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1_1/apply,
	  patches/OOO_1_1/sysui-translations.diff: add, .fi translation
          for the sysui debtop/shared stuff

2004-04-02  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/win32-msvs-2003-misc2.diff,
	* patches/OOO_1_1_1/apply: fixup xml2cmp misc.
	MSVCIRT.LIB issues.

	* patches/OOO_1_1_/flash-compile-fix.diff:
	back-port my fix for the internal zlib build.

	* patches/OOO_1_1/deliver-compare.diff: catch those
	pesky header files going through the stock 'COPY'
	rule and eliminate timestamp changes on unchanged
	ones: improve incremental rebuild time.

	* patches/OOO_1_1/win32-msvs-2003-misc.diff:
	relax compiler version slightly for COMEX=10.

	* configure.in, download.in: pre-process 'download'
	so we can do funky things on win32 & prune-back out
	of control TAG etc. flags; unconditionally ask for a
	'download'. Fetch ooo-scaled-icons.

	* patches/OOO_1_1/win32-berkeleydb.diff: add
	a .net 2003 snippit.

2004-04-01  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/win32-msvs-2003-misc.diff,
	* patches/OOO_1_1_1/apply: a bus-load of fixes,
	thanks to Darragah.

	* patches/OOO_1_1/win32-msvs-2003-stlport.diff:
	'typename' fixes #1.

	* patches/OOO_1_1/win32-dmake-env.diff,
	* patches/OOO_1_1_1/apply: fix evil environment problem.

	* patches/OOO_1_1/win32-posixpath.diff: fix bug.

	* patches/OOO_1_1/win32-msvs-2003-configure.diff,
	* patches/OOO_1_1_1/apply: start fixing bits.

2004-03-31  Michael Meeks  <michael@ximian.com>

	* Version 1.1.52

	* configure.in, Makefile.am, src/Makefile.am: add.

2004-03-31  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1_/vba-export-dir.diff: extend, ok
	so this is hacked to hard-code specific COMPNAMES,
	but ...

	* doc/macros.txt: more work.

	* patches/OOO_1_1/crash-escherex.diff: back-port a
	fix for escher export nesting depth.

	* bin/build-issues, www/bug.html: add some exceptions /
	special cases / re-work based on Martin's advice.

2004-03-30  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* www/mgp-users.html: how to add your own images to the impress
	backgrounds list.

2004-03-30  Michael Meeks  <michael@ximian.com>

	* doc/macros.txt: yet more work; inching towards
	Office97 compatibility.

	* patches/OOO_1_1/crash-escherex.diff: back-port a
	somewhat better fix from HEAD; still hangs OfficeXP
	on import though.

2004-03-29  Michael Meeks  <michael@ximian.com>

	* www/index.html: link to it / news item.

	* bin/build-issues, www/bugs.html, www/bugs.tmpl:
	implement a usably sorted OO.o issue-zilla gateway.

2004-03-28  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1/disable-lzwc.diff: add patent expiry dates

2004-03-29  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/vba-export-dir.diff,
	* patches/OOO_1_1/vba-export.diff,
	* patches/OOO_1_1_1/apply: un-applied first cut of
	macro export to Office XP, causes grief with older
	offices.

2004-03-25  Vivek HS  <hvivek@novell.com>

	* patches/OOO_1_1_1/apply: add LinuxOnly
	section and move xml-optimize-linkage.patch
	there - it screws with the Win32 build.

	* doc/macros.txt: more work.
	
	* doc/filepicker.txt: update.

2004-03-23  Michael Meeks  <michael@ximian.com>

	* bin/linkoo: shift stuff about to work nicely
	with HEAD.

2004-03-25  Michael Meeks  <michael@ximian.com>

	* bin/setup.in: really fix it; sigh.

2004-03-24  Michael Meeks  <michael@ximian.com>

	* bin/setup.in: fix cretinism with win32 setup
	options; thanks Amit.

2004-03-22  Michael Meeks  <michael@ximian.com>

	* bin/ooo-wrapper.in: prune great hat-boxes full
	of cruft, substantially simplify, use the
	auto-update goodness (thanks Chris).

	* bin/ooo-wrapper.in: Tag BEFORE_CRUFT_PRUNE
	
	* etc/redhat-autoresponse.conf,
	* etc/autoresponse.conf: add UPDATEMODE
	IF_AVAILABLE to both; Dan I assume that's ok.

	* bin/ooo-wrapper.in: add check for /proc.

2004-03-22  Michael Meeks  <michael@ximian.com>

	* test/macro/macrobook.xls: test macro sheet.

	* patches/OOO_1_1/win32-libart.diff,
	* patches/OOO_1_1_1/apply: get linking shaped up.

2004-03-19  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/crash-escherex.diff
	* patches/OOO_1_1_1/apply: kludge/fix daft array
	bounds issue.

	* sd/source/filter/eppt/escherex.cxx:
	OpenContainer - this is incrementing mnLevel to 32
	and shafting the array [ for no good reason ];
	crasher export bug.

	* bin/linkoo (do_linkage): create linked dir on
	the fly, expand to filters, link libemp & a number
	of other filters.

2004-03-18  Dan Williams <dcbw@redhat.com>

	* openabout_redhat.bmp
	  openintro_redhat.bmp: Bluecurve-themed splash & about
	    bitmaps for Red Hat distributed OOo (images are LGPL
	    licensed)
	* bin/build-ooo:
	    copy the redhat splash & about bitmaps into correct
         place before build starts
	* patches/OOO_1_1/redhat-splash.diff:
	    Make Bluecurve-themed splash & about bitmaps replace
	    default OOo ones

2004-03-18  Dan Williams <dcbw@redhat.com>

	* bin/setup.in,
	  configure.in:  unbreak Linux builds from Win32
	  changes...

2004-03-18  Chris Halls <halls@debian.org>

	* patches/OOO_1_1/psprint-cups.diff,
	  patches/OO_1_1_1/apply: Backport CUPS integration
	  from cws_srx645_cups01. (Not yet enabled in the
	  distros)

2004-03-18  Michael Meeks  <michael@ximian.com>

	* bin/setup.in: configure with --with-use-shell=tcsh
	for win32.
	(BUILD_MAGIC, BUILD_MAGIC): fix hideous shocker -
	thanks Dan.

2004-03-18  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/gui-startup-style.diff:
	clobber nasty initial-startup stylist window
	foo, harder.

2004-03-17  Rene Engelhard  <rene@debian.org>
	
	* patches/OOO_1_1/system-unixodbc.diff,
	  patches/OOO_1_1/config-switches.diff, patches/OOO_1_1_1/apply,
	  patches/OOO_1_1/system-preprocess.diff, patches/OOO_1_1_0/apply,
	  patches/OOO_1_1_0/config-switches.diff: build with system unixODBC
	  headers, add configure switch

2004-03-17  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/ximian-splash.diff: cleanup.

	* bin/build-ooo: only dump gcc version if not
	on Win32, source .set.sh on win32.

	* patches/OOO_1_1/system-preprocess.diff,
	* patches/OOO_1_1_1/apply:
	add the AC_OUTPUT fragment of configure.in
	here so we can use BuildBits on Win32 without
	lots of extra cruft, add it to the SystemBits
	set.

2004-03-17  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1/icu-build-no-extras.diff,
	  patches/OOO_1_1_1/apply, patches/OOO_1_1_0/apply: do not build
	  extras/ in icu; works around weird failure on Debian unstable
	  - http://bugs.debian.org/210608 now happening again; we
	  apparently do not need that part of icu anyhow...

2004-03-17  Vivek HS  <hvivek@novell.com>

	* patches/OOO_1_1_1/apply: add systemdb to
	the win32 set.

	* patches/OOO_1_1/win32-berkeleydb.diff,
	* patches/OOO_1_1_1/apply: spelling fix.

	* bin/build-ooo: fix scaled icons snafu.

	* patches/apply.pl, bin/package-lang:
	sed bogus \rs out of the stream for Win32,
	chomp barfs there.

2004-03-17  Michael Meeks  <michael@ximian.com>
	
	* configure.in: make various checks
	unconditional, autoconf is really dumber than
	believable apparently:
	http://sources.redhat.com/ml/bug-automake/2002/msg02066.html

	* www/name-account.html: add Ramesh, Raul,
	fix. misc. bits, more sorting action.

	* bin/scale-icons: fix compound brokenness
	caused by my lack of brain.

2004-03-16  Michael Meeks  <michael@ximian.com>

	* bin/build-ooo: build not enable win32.

	* bin/setup.in elif(ant) not elsif.

2004-03-15  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/build-instsetoo-lang.diff,
	* patches/OOO_1_1/ximian-splash.diff:
	bin pointless BUILD_SPECIAL conditional.

	* bin/build-ooo: unpack / work on
	'scaled-icons.tar.gz'

	* patches/OOO_1_1/vba-sc-export.diff: refine.

	* configure.in: check for less stuff on win32.

	* patches/OOO_1_1/vba-sc-export.diff: 1st hackish
	pass at exporting macro references.

	* bin/setup.in, configure.in, bin/build-ooo:
	add several win32 conditionals.

2004-03-12  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1_1/apply,
	  patches/OOO_1_1/sw-kildare-fix.diff: remove; in rc2

2004-03-12  Michael Meeks  <michael@ximian.com>

	* bin/setup.in (BUILD_SPECIAL): give up and set
	this to get a product build.

	* patches/OOO_1_1/recent-files.diff: fix FMR.

	* patches/OOO_1_1/vba-sc-import.diff:
	re-order load so macros evaluate on load.

	* patches/OOO_1_1/vba-not-comments.diff,
	* patches/OOO_1_1/vba-sc-import.diff,
	* patches/OOO_1_1_1/apply: do a better job;
	still need to re-order VBA vs. Sheet load to
	get working references.

	* (Macro reference to Name conversion bug)
	* sc/source/filter/excel/excform8.cxx:
	aStack << aPool.Store( pRNameBuff[n] );
	* sc/source/filter/excel/excimp8.cxx:
	(ImportExcel8::Name) - throws EXC_NAME_VB away.
	* sc/source/core/tool/token.cxx:
	(ScTokenArray::AddName) - creates an ocName.
	List tracking / sync done via. pRNameBuff
	* sc/source/filter/excel/namebuff.cxx:
	(RangeNameBuffer::Store) -> pScRangeName
	the 'RangeNameBuffer' is an unused / dummy
	placeholder for 'Count'.

	* test/calc/macros.xls: add.

	* www/hackers-guide.html: make it slighty more
	foolproof.

2004-03-12  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/sc-biffdump.diff,
	* patches/OOO_1_1_1/apply: fix non-portability.

	* www/hackers-guide.html: fix debug console bit;
	add biffdump help.

2004-03-11  Michael Meeks  <michael@ximian.com>

	* broken splash etc.: BUILD_SPECIAL is not getting
	set in 1.1.1 builds (for reasons unknown)

2004-03-11  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/vba-scanner-fix.diff,
	* patches/OOO_1_1/vba-large-files.diff,
	* patches/OOO_1_1_0/apply: fixes for macro import.

2004-03-11  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1/norwegian-translation.diff,
	  patches/OOO_1_1/extra-languages.diff,
	  patches/OOO_1_1_1/apply: add yet only parts for 1.1.1 of the
	  norwegian translations

2004-03-11  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/win32-berkleydb.diff,
	* patches/OOO_1_1_1/apply: add; de-javaize
	win. build.

	* www/index.html: add planet OO.o

	* doc/macros.txt: more findings.

2004-03-10  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/evo-addrbook.diff,
	* patches/OOO_1_1_1/apply: Make the evo addressbook
	merge behave itself.

2004-03-10  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1/wizard-webwizard.diff,
	  patches/OOO_1_1_1/apply: remove again, not yet full worked out;
	  patch breaks x86 versions...

2004-03-09  Michael Meeks  <michael@ximian.com>

	* doc/macros.txt: yet more research.

2004-03-09  Chris Halls <halls@debian.org>

	* patches/OOO_1_1_0/apply, patches/OOO_1_1_1/apply,
	  patches/OOO_1_1/bridges-sparc-alignment: Fix
	  alignment of long/doubles on Sparc from IZ#24059
	* patches/OOO_1_1_0/apply, patches/OOO_1_1_1/apply:
	  build-sparc-assembler filed as IZ#26255

2004-03-09  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1_1/apply: add CalcFixes to Common
	Add Win32 set, split 'Common' to 'LinuxCommon' and
	a truly common set.

2004-03-08  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1_0/apply, patches/OOO_1_1_1/apply,
	  patches/OOO_1_1/config-switches.diff,
	  patches/OOO_1_1_0/config-switches.diff,
	  patches/OOO_1_1/system-x11-extensions.diff: use
	  Xrender.h, render.h and renderproto.h from system
	* patches/OOO_1_1/wizard-webwizard.diff,
	  patches/OOO_1_1_1/apply: add patch from Kevin B. Hendricks
	  declarding needed variable which is needed on !i386...

2004-03-04  Michael Meeks  <michael@ximian.com>

	* doc/macros.txt: more research.

2004-03-04  Dan Williams  <dcbw@redhat.com>

	* etc/Makefile.am: make sure redhat-autoresponse.conf is
	  packaged up.

2004-03-04  Michael Meeks  <michael@ximian.com>

	* configure.in: default to /usr/lib/ooo-1.1

	* test/calc/problems.xls: problematic spreadsheet.

	* patches/OOO_1_1/sw-kildare-fix.diff,
	* patches/OOO_1_1_1/apply: back-port crasher MS export fix.
	
2004-03-04  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1_1/apply: re-enable system-neon,
	bin the 'NoJava' section.

2004-03-04  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1_0/config-get-correct-path.diff: add.
	* patches/OOO_1_1/config-get-correct-path.diff: bin
	* patches/OOO_1_1_1/apply: drop get-correct-path; up-stream.

	* patches/OOO_1_1_0/module-buildset.diff: rotate old version.
	* patches/OOO_1_1/module-buildset.diff: update for 1.1.1

	* patches/OOO_1_1_0/print-psprint-rehash.diff: rotate to here.
	* patches/OOO_1_1/print-psprint-rehash.diff: upd. for 1.1.1

2004-03-03  Michael Meeks  <michael@ximian.com>

	* configure.in: bump version.

	* patches/order: mark 1.1.1 buildable / canonical.

2004-03-04  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1/system-neon.diff,
	  patches/OOO_1_1_0/config-switches.diff,
	  patches/OOO_1_1_1/config-switches.diff,
	  patches/OOO_1_1_0/apply, patches/OOO_1_1_1/apply: add
	  patch for building with system neon (<< 0.24 for now!!),
	  add --with-system-neon, honour --without-system-neon because
	  we need neon << 0.24 and we have to override --with-system-libs
	  when we don't have it. (TODO: add this to all system lib stuff)

2004-03-03  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1/set-locale-c.diff,
	  patches/OOO_1_1_1/apply:: move to OOO_1_1_0 only, integrated
	  in 1.1.1rc

2004-03-03  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1_0/crash-bindings.diff: re-backport fix.

2004-03-03  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* patches/OOO_1_1_0/apply, patches/OOO_1_1_1/apply,
	patches/OOO_1_1/sd-save-image-context-menu.diff: Save as menuitem
	for image context menus in impress #13816, GNOME #127556

2004-03-03  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/sw-dont-beep.diff: prune crazy
	beeping debug in writer.

2004-03-02  Michael Meeks  <michael@ximian.com>

	* beep mania: sw/source/core/layout/paintfrm.cxx
	(SwLayoutFrm::Paint): 

2004-03-02  Jan Holesovsky <kendy@suse.cz>

	* introduced --with-ccache-allowed configure switch to be able to use
	  ccache if necessary
	* set CCACHE_DIR only when it's empty

2004-03-01  Michael Meeks  <michael@ximian.com>

	* doc/macros.txt: initial research.

2004-03-02  Michael Meeks  <michael@ximian.com>

	* Version 1.1.51

2004-03-01  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/sc-fn-eng.diff: add fixed
	multinomial prototypes.

2004-02-29  Rene Engelhard  <rene@debian.org>
	
	* patches/OOO_1_1_0/speed-bitmap-render.diff,
	  patches/OOO_1_1_0/print-scale-fix.diff,
	  patches/OOO_1_1_0/rsc-no-crash.diff,
	  patches/OOO_1_1_0/svtools-build-fix.diff,
	  patches/OOO_1_1_0/gui-beep-less.diff,
	  patches/OOO_1_1_0/solenv-set-solar-java-only-if-unset.diff,
	  patches/OOO_1_1_0/gnome-desktop-force.diff:
	  oops, add removed patches still need for 1.1.0 to
	  patches/OOO_1_1_0/*
	* patches/OOO_1_1/print-scale-fix.diff: remove here, too, not
	  just in apply..
	* patches/OOO_1_1_0/disable-odk-build.diff: add old version
	  for 1.1.0 here

2004-03-01  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/print-fontconfig.diff: Do the
	Type1 AFM metrics read as well as the fontconfig
	bits; relegate fontconfig to a pure 'list of fonts',
	rely on the existing fontcache for speed.

	* patches/OOO_1_1_1/apply, patches/OOO_1_1_0/apply,
	* patches/OOO_1_1/valgrind-alloc.diff: Patch from
	Julian Seward to make valgrinding easier.

2004-03-01  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* www/name-account.html: add drbyte, some more details.

2004-02-28  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1_1/apply,
	  patches/OOO_1_1/speed-bitmap-render.diff,
	  patches/OOO_1_1/print-scale-fix.diff,
	  patches/OOO_1_1/rsc-no-crash.diff,
	  patches/OOO_1_1/svtools-build-fix.diff,
	  patches/OOO_1_1/gui-beep-less.diff,
	  patches/OOO_1_1/solenv-set-solar-java-only-if-unset.diff,
	  patches/OOO_1_1/gnome-desktop-force.diff:
	  removed, in cws_srx645_ooo111fix3
	* patches/OOO_1_1/gui-font-scale.diff: remove salgdi.cxx hunk;
	  in cws_srx645_ooo111fix3
	* patches/OOO_1_1_0/apply, patches/OOO_1_1_1/apply,
	  patches/OOO_1_1/set-locale-c.diff: gcc got more translated,
	  parsing fails in gccinstlib.pl, set LC_MESSAGES to C (#25997)
	* patches/OOO_1_1_1/sd-export-html.diff,
	  patches/OOO_1_1_1/disable-odk-build.diff: forward-port to mws_srx645
	* patches/OOO_1_1_1/apply, patches/OOO_1_1/extra-langauges.diff:
	  add support for HEBREW, HINDI and THAI to set_soenv.in,
	  HEBREW builds but somehow doesn't work yet

2004-02-27  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/sc-xl-io.diff: fix paths.

	* patches/OOO_1_1/print-fontconfig.diff: fix font
	caching (doh) - should improve cold startup time.

	* patches/OOO_1_1/sc-fn-eng.diff: fix multinomial.

2004-02-26  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1_1/apply, patches/OOO_1_1_0/apply,
	* patches/OOO_1_1/sc-singleton-intersect.diff:
	another silly.

2004-02-26  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1/disable-odk-build.diff: update for
	  OOo 1.1.1b/cws_srx645_ooo111fix3
	* patches/OOO_1_1/111a-right-version.diff: remove; obsolete now

2004-02-26  Michael Meeks  <michael@ximian.com>

	* sc/source/ui/src/scfuncs.src: seems to tie
	ocOffset -> SC_OPCODE_OFFSET (via compiler.hrc)
	-> ExtraData.

	* patches/OOO_1_1/sc-xl-io.diff: minor error value
	improvement, to be continued ...

2004-02-20  Raul Siddhartha  <rsiddhartha@novell.com>

	* www/index.html: Edited OO.o Community
	Engagement term to the OO.o Development Statistics

2004-02-26  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1_1/apply, patches/OOO_1_1_0/apply,
	* patches/OOO_1_1/sc-fn-eng.diff: fix silly bugs.

	* bin/linkoo: add date, analysis bits.

2004-02-25  Michael Meeks  <michael@ximian.com>

	* bin/l10n-status: much more beef.

2004-02-24  Michael Meeks  <michael@ximian.com>

	* www/l10n/ooo-1.1.0.html: add temporary output.

	* bin/l10n-status: more work (--html)

	* www/l10n/bar-*.gif: add for status.

	* bin/l10n-status: add - 1st rough-cut.

	* www/name-account.html: add jj.

2004-02-20  Dan Williams <dcbw@redhat.com>

	* bin/setup.in: --enable-symbols=yes for RHFedora

2004-02-20  Raul Siddhartha  <rsiddhartha@novell.com>

	* www/index.html: Added link to the 
	OO.o Community Engagement page

2004-02-20  Michael Meeks  <michael@ximian.com>

	* www/name-account.html: more surname sorting,
	cleanup, addition of more data.

2004-02-20  Utomo  <utomo@hotbox.ru>

	* www/name-account.html: substantial updates.

2004-02-17  Dan Williams <dcbw@redhat.com>

	* patches/OOO_1_1_0/apply
	  Stop using pagein-speedup-2.patch since it has
	  compile problems, and Michael wants to rethink
	  the implementation.

	* bin/build-ooo
	  Only enable multi-process building for > 2 CPUs,
	  since it obscures errors somewhat for those that
	  aren't used to it.

2004-02-16  Dan Williams <dcbw@redhat.com>

	* patches/OOO_1_1/pagein-speedup-2.diff:
	  Since the prototype for readahead() got added
	  to glibc headers, need to sync prototype with the
	  headers and see what breaks in older builds if
	  anything.

2004-02-13  Dan Williams <dcbw@redhat.com>

	* configure.in
	  bin/build-ooo
	  bin/setup.in

	  Add new configure option, "--with-num-cpus=x", to let
	  people use build.pl's parallel build functionality.

2004-02-13  Dan Williams <dcbw@redhat.com>

	* patches/OOO_1_1/gtk-themeing.diff
	  patches/OOO_1_1_0/gtk-themeing.diff

	  Instead of creating a GtkMenuItem widget, also
	  create a GtkMenu, embed the menu item inside the
	  menu, then pull the style background color from the
	  menu item and the text prelight color from the
	  menu item's label, rather than both from the item.
	  This fixes behavior of themes like Mist which expect
	  the label to be in a menu item in a menu.

2004-02-13  Michael Meeks  <michael@ximian.com>

	* www/name-account.html: update Will L.

	* www/sdk-tutorial.diff: bin it, apparently badly
	out of date.

2004-02-12  Michael Meeks  <michael@ximian.com>

	* bin/build-ooo, download: update to new ooo-icons,
	a handful of new icons / fixed mappings.

2004-02-12  Dan Williams <dcbw@redaht.com>

	* patches/OOO_1_1/gui-i18n-default-font.diff:
	  Make the fprintf() on success enclosed by
	  #ifdef DEBUG/#endif so it doesn't always print

	* ooo-wrapper.in: set LD_LIBRARY_PATH when running
	  setup, so that it knows about its own libraries.

2004-02-10  Dan Williams <dcbw@redhat.com>

	* patches/OOO_1_1/recent-files.diff: oops, correct
	  some usage of gint/gboolean that slipped through
	  from my gnome.org version of this patch.

2004-02-10  Michael Meeks  <michael@ximian.com>

	* www/hackers-guide.html: Add section 6.13 on
	debugging.

	* patches/OOO_1_1/debug-helper.diff,
	* patches/OOO_1_1_[01]/apply: add, helps with
	debugging OO.o.

	* www/images/*: add.

	* bin/linkoo: add '--product' option, re-write existing
	links, and check/prefer non product directories if they
	exist.

2004-02-09  Michael Meeks  <michael@ximian.com>

	* sot/source/sdstor/*: location of incoming OLE2
	stream/storage pieces. pwrt. stgstrms.cxx.

2004-02-09  Dan Williams <dcbw@redhat.com>

	* patches/OOO_1_1/recent-files.diff: instead of
	  blocking to grab lock on ~/.recently-used, try to
	  grab the lock 4 times with a small timeout in between
	  attempts, and if not successful then fail.  Also clean
	  up some compiler warnings by casting.

2004-02-06  Michael Meeks  <michael@ximian.com>

	* bin/package-ooo: move the 'clean' phase much higher
	so we don't remove install-dict, after installing it,
	bin bogus non-installation options.

	* bin/Makefile.am: drop --clean, not useful.

	* 'Autocorrect' - type-name for as-you-type toggle with
	markup issues.
	* svx/inc/svxacorr.hxx (ChgAutoCorrWord) ->
	* sw/source/core/edit/acorrect.cxx (ChgAutoCorrWord)
	
	* patches/OOO_1_1/config-get-correct-path.diff: handle
	paths with floating '::' bits inside them properly.

2004-02-06  Amit Shrivastava <samit@novell.com>

	* patches/OOO_1_1/sc-show-sensitize.diff: Merge
	Enter can't move cursor and makes selection in sc
	with the patch to avoid build breakage. Removed
	patches/OOO_1_1/sc-cursor-move-fix.diff. 
	* patches/OOO_1_1_0/apply: Remove sc-cursor-move-fix.diff. 

2004-02-05  Dan Williams <dcbw@redhat.com>

	* bin/ooo-wrapper.in: back out of mistaken commit of
	  some experimental upgrade code

2004-02-05  Dan Williams <dcbw@redhat.com>

	* configure.in: allow RHTaroon and RHShrike targets
	  to use an older libart, since they get patched up
	  later.

2004-02-03  Amit Shrivastava <samit@novell.com>

	* patches/OOO_1_1/sc-cursor-move-fix.diff: fixed bug - 
	Enter can't move cursor and makes selection in sc.

2004-02-02  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/pagein-speedup-2.diff,
	* patches/OOO_1_1_0/apply,
	* patches/OOO_1_1_1/apply: Rob Love's take on paging
	stuff in in advance.

2004-02-02  Carlos Alberto  <cvences@yahoo.com>

	* www/users-faq.html: add section on setting up a cups
	PDF printer.

2004-01-29  Michael Meeks  <michael@ximian.com>

	* patches/gtk/*: start of gtk+ toplevel back-port,
	unfortunately taken between some rather exotic
	branches resulting in an incomplete diff.

	* patches/OOO_1_1_0/flash-compile-fix.diff,
	* patches/OOO_1_1_0/apply: Fix compile issue,
	thanks to Rafel Roszak's.

	* patches/OOO_1_1_1/apply: add here, untested.

2004-01-28  Dan Williams <dcbw@redhat.com>

	* patches/OOO_1_1/gui-i18n-default-font.diff
	* patches/OOO_1_1_0/apply
	    Make sure that the system UI font used can actually
	  display characters in the current LANG, otherwise fall
	  back to a font that can.  (uses fontconfig)

2004-01-27  Chris Halls  <halls@debian.org>

	* patches/OOO_1_1_0/psprint-handle-no-solar-java.diff:
	  Patch did not completely apply, rediffed.

2004-01-27  Anil Bhatia <banil@novell.com>
                                                                                
	* patches/OOO_1_1/recent-files.diff: fixed bug -
        .recently-used not created if absent.

2004-01-27  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1/config-switches.diff,
	  patches/OOO_1_1_0/config-switches.diff: move curl and nas checks
	  after the X checks and make it use -L$XLIB -lXt as extra libs
	  argument, check only for the libdb.so symlink when we
	  do not give a version manually and print the "checking..."
	  message later;make set_soenv actually set DB_JAR
	* patches/OOO_1_1/system-db.diff, patches/OOO_1_1_0/system-db.diff:
	  preprocess 3 xmhelp Java files (for now with cpp, $(CPP) somehow
	  does not work..) to actually set DB_TXNID to "null," or remove it.
	  Fixes build with Java (hopefully; I tested all 4 cases with
	  1.1.1a...); remove hardcoded setting of DB_JAR, take it from the
	  environment

2004-01-25  Michael Meeks  <michael@ximian.com>

	* Version 1.1.50

2004-01-24  Michael Meeks  <michael@ximian.com>

	* sfx2/source/appl/appinit.cxx (aLateInitTimer):
	a 250ms timeout; started quite early, is this a
	startup slow-down ?

2004-01-24  Anil Bhatia <banil@novell.com>

	* patches/OOO_1_1/recent-files.diff: removed
	usage of rtl_ in the interface exposed by recent-files.hxx

2004-01-22  Dan Williams <dcbw@redhat.com>

	* patches/OOO_1_1_0/gtk-themeing.diff
	  patches/OOO_1_1/gtk-themeing.diff

	  After further investigation, the colors
	    retrieved should be:
		bg[GTK_STATE_SELECTED]
		fg[GTK_STATE_PRELIGHT]

2004-01-21  Michael Meeks  <michael@ximian.com>

	* patches/apply.pl (list_patches): upd.
	(checkTerminal): make sure people don't use a daft set.

2004-01-21  Dan Williams <dcbw@redhat.com>

	* setup.in: spacing fixes

	* patches/OOO_1_1_0/gtk-themeing.diff,
	* patches/OOO_1_1/gtk-themeing.diff:
	  The colors retrieved should be:
		bg[GTK_STATE_SELECTED]
		text[GTK_STATE_SELECTED]
	  rather than bg/fg GTK_STATE_PRELIGHT.

2004-01-20  Dan Willaims <dcbw@redhat.com>

	* download: change build->download in the help section

	* bin/ooo-wrapper.in, etc/redhat-autoresponse.conf:
	  Normalize directories between Ximian and RH installs,
	  use /usr/lib/ooo-1.1 as base install, and for Red Hat
	  installs use ~/.rhopenoffice1.1 as the home prefs dir

2004-01-17  Rene Engelhard  <rene@debian.org>

	* 111a-right-version.diff: fix instsetoo/util/openoffice.list
	  to identify itself correctly as 1.1.1a

2004-01-17  Michael Meeks  <michael@ximian.com>

	* COPYING: add LGPL/SISSL text & pre-amble.

	* configure.in: check for zlib.h #x52734#

	* bin/build-ooo: re-enable the Java workarounds.

	* www/hackers-guide.html: re-phrase to clarify from drbyte.

2004-01-16  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1/recent-files.diff: we use assert(),
	  #include <assert.h>, fixes build failure on powerpc

2004-01-13  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1/system-curl.diff: #define TRUE and FALSE in
	  ucb/source/ucp/ftp/ftpurl.hxx to fix building with Debian
	  unstable's new curl pre-release *sigh*

2004-01-14  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* www/index.html: update roadmap and codelines links.

2004-01-13  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/config-get-correct-path.diff: fixup
	for Java case.

2004-01-12  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* patches/OOO_1_1_0/Makefile.am, patches/OOO_1_1_1/Makefile.am:
	add ${wildcard *.patch}.
	
2004-01-12  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1_1/apply,
	* patches/OOO_1_1_0/apply: re-disable gui-symbol-replace.diff,
	circular dependency problem.

2004-01-11  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* patches/OOO_1_1/redhat-use-old-libart.patch: convert -p1 -> -p0.
	Fixes RHTaroon, RHShrike sets.

	* patches/OOO_1_1/redhat-default-fonts.patch: copy to
	patches/OOO_1_1_0, update for 1.1.1a. Fixes RHFedora set.

	* patches/OOO_1_1/odk-handle-no-solar-java.patch,
	* patches/OOO_1_1/unzip_cleanup.diff: integrated upstream in 
	1.1.1a; move to patches/OOO_1_1_0.

	* patches/OOO_1_1_1/apply: remove upstreamed patches, fixes Ximian
	set for 1.1.1a.

2004-01-10  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* bin/scale-icons (scale_dirs): add res/hung and res/slovenian.

2004-01-09  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1/config-switches.diff,
	  patches/OOO_1_1_0/config-switches.diff:
	  actually set MYSPELL_LIBS for non-system-myspell builds,
	  thanks Martin

2004-01-09  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1_0/apply: file recent-files up-stream

	* patches/order: clean / add 1.1.1

	* configure.in: add patches/OOO_1_1_1 Martin forgot.

	* patches/OOO_1_1/recent-files.diff: applied Anil's
	fix, Dan verified it.

	* www/quilt.html: upd. for stdout rehash.

	* patches/apply.pl (export_series): write to stdout.
	re-factor argument walking / extraction / path bits.

2004-01-09  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* patches/OOO_1_1: copy patches that have to change for OOo
	1.1.1a to patches/OOO_1_1_0, rediff for OOo 1.1.1a:	
	config-aclocal.diff, config-switches.diff, gtk-themeing.diff,
	gui-menu-fixes.diff, gui-toolbox-large-icons.diff,
	print-dialog.diff, sd-export-html.diff,
	solenv-set-solar-java-only-if-unset.diff, svtools-build-fix.diff,
	system-db.diff, system-freetype.diff, valgrind-clean.diff
	
	* patches/OOO_1_1: move patches that are included in OOo 1.1.1a to
	patches/OOO_1_1_0:
	evo-i18n.diff, glyph-cache-speedup.diff, gui-vcl-fix-borders.diff,
	i18n-search-all.diff, init-desktop.diff,
	javaunohelper-handle-no-solar-java.diff,
	jni-uno-handle-no-solar-java.diff, jurt-handle-no-solar-java.diff,
	jvmaccess-handle-no-solar-java.diff, officecfg-xsltproc.diff,
	ooo111-general-io-error-sxi.diff,
	psprint-handle-no-solar-java.diff, readlicense-oo-xsltproc.diff,
	ridljar-handle-no-solar-java.diff, scp-handle-no-solar-java.diff,
	setup2-handle-no-solar-java.diff, setup-in-bindmount.diff,
	sj2-handle-no-solar-java.diff, svg-handle-no-solar-java.diff,
	sw-export-bg-style.diff, system-vera-fonts.diff, system-zlib.diff,
	use-unzip-not-jar.diff xsltfilter-handle-no-solar-java.diff
	xsltvalidate-handle-no-solar-java.diff

	* patches/OOO_1_1_1: create, copy of OOO_1_1_0.

	* patches/OOO_1_1_1/apply: remove upstreamed patches.

	* patches/Makefile.am: add OOO_1_1_1 SUBDIR.

2004-01-09  Michael Meeks  <michael@ximian.com>

	* download, bin/build-ooo: switch to new ooo-icons.

2003-11-27 Anil Bhatia <banil@novell.com>
                                                                               
        * patches/OOO_1_1_0/apply,
        * patches/OOO_1_1/gui-symbol-replace.diff:
        Removed the build circular dependency svx <--> vcl.

2004-01-08  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* www/ooo-build.html: more links for the patch editor.

	* patches/OOO_1_1/system-myspell.diff: sort hunks.

2004-01-08  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/config-get-correct-path.diff: fixup.

	* www/ooo-build.html: add docs on rotating patch
	sets to new versions.

2004-01-07  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1/system-altlinuxhyph.diff: fix typo
	  s/HYPHEN/HYPH/

2004-01-07  Rene Engelhard  <rene@debian.org>
	
	* patches/OOO_1_1/system-{altlinuxhyph,myspell}: conditionalize
	* patches/OOO_1_1_0/apply: move ^ to Common set
	* patches/OOO_1_1/config-switches.diff: add
	  --with-system-altlinuxhyph and -myspell

2004-01-07  Michael Meeks  <michael@ximian.com>

	* www/index.html: mention people I forgot, add
	link to ooo-build.html.

2004-01-07  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* www/ooo-build.html: (2.3) Display the section number.  Add -p
	argument to diff examples to include the name of the C functions
	changes are in.  Link to quilt.html.

2004-01-07  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/recent-files.diff: prune bogus
	'else' case.

2004-01-07  Amit Shrivastava <samit@novell.com>

	* www/ooo-build.html: added NB for 
	cvs diff problem section 2.2 .

2004-01-07  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* www/quilt.html: add.

	* patches/OOO_1_1/config-switches.diff: reorder hunks of
	configure.in to be in one place.

	* patches/OOO_1_1/gui-font-scale.diff: ditto for saldisp.cxx.

2004-01-07  Michael Meeks  <michael@ximian.com>

	* Version 1.1.48

2004-01-06  Michael Meeks  <michael@ximian.com>

	* build/OOO_1_1_0/svtools/source/config/recent-files.cxx
	(addGroup): add ::std:: modifiers, perhaps fixing
	portability issue cf. other instances.

	* patches/OOO_1_1/sc-show-senstize.diff: fix
	inline brokenness, causing no symbol export to
	link to RowHidden.

2004-01-06  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1/config_switches.diff: add missing
	  -o -n "$with_system_libs" to freetype check; fix typo
	  s/BAS/NAS/

2004-01-06  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/sc-show-sensitize.diff: add
	back missing blank-lines.

	* patches/OOO_1_1_0/apply: apply
	no-splash-takeover to everyone, file it up-stream.
	(Misc): re-enable recent files.

	* bin/setup.in (LANGS): build CZECH, SLOVAK,
	FINN for everyone.

2004-01-06  Amit Shrivastava <samit@novell.com>

	* patches/OOO_1_1/sc-show-sensitize.diff
	* patches/OOO_1_1_0/apply: Sensitize show
	in spreadsheet row/col depending on the 
	selection.
	 
2004-01-06  Chris Halls   <halls@debian.org>

	* www/name-account.html: add pl, ssa, sparcmoz
	  and corrections to dcbw, ause

2004-01-05  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/ms-filter-convert.diff,
	* patches/OOO_1_1_0/apply: fix an inexplicable default.

2004-01-05  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1/system-myspell.diff: patch for build with
	  system libmyspell
	* patches/OOO_1_1/system-altlinuxhyph.diff: patch for build with
	  system altlinuxhyph
	* patches/OOO_1_1_0/apply: apply above patches for the Debian set
	  and stlport-includes-fixes.diff in the Common set; move
	  system-sane.diff back to the Common set since it is a
	  configure switch anyhow *blush*
	* patches/OOO_1_1/stlport-includes-fixes.diff: fixes some includes
	  of stlport headers

2003-12-28  Rene Engelhard  <rene@debian.org>
	
	* patches/OOO_1_1/config-switches.diff:
	  - fix system sane check and subsitution; rename switch
	    to --with-system-sane-headers
	  - add --with-system-libs flag taking all --with-system-*,
	    but _not_ -headers
	  - fix AC_OUTPUT

2003-12-22  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1/system-curl.diff: use system curl
	* patches/OOO_1_1/config-switches.diff: add --with-system-curl
	* patches/OOO_1_1_0/apply: add system-curl.diff

2003-12-22  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1_0/apply: move system-sane.diff into own
	  section (SystemSane) for now and apply it for DebianBase
	  only now, since I am not sure everyone wants it ;)

2003-12-21  Rene Engelhard  <rene@debian.org>
	
	* patches/OOO_1_1/sensible-browser: sensible-browser does not
	  necessarily (konqueror would make ;) ) sense for a file manager;
	  remove this part of the patch

2003-12-21  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1/config-switches.diff: check for pam_appl.h
	  with AC_CHECK_HEADER instead of test -f and make it an
	  error instead warning if it is not there, see IZ #23772,
	  make check errors not mention specific package names

2003-12-19  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1/x-www-browser-alternative.diff: rename into
	* patches/OOO_1_1/sensible-browser.diff: and call sensible-browser
	* patches/OOO_1_1/system-sane.diff: disable sane project build and
	  therefore use system sane.h
	* patches/OOO_1_1/config-switches.diff: write --with-system-sane;
	  check for zlib.h with AC_CHECK_HEADER instead of AC_TRY_COMPILE
	* patches/OOO_1_1_0/apply: apply system-sane, disable recent-files
	  because it doesn't build, move sensible-browser.diff into an own
	  section and apply it only for Debian, not DebianWoody

2003-12-19  Dan Williams  <dcbw@redhat.com>

	* patches/OOO_1_1/config-switches.diff:
	  Correct FREETYPE_CLFAGS->FREETYPE_CFLAGS mistake
	  in freetype-config checking

2003-12-18  Chris Halls   <halls@debian.org>

	* patches/OOO_1_1_0/apply:
	  - Create a DebianBase patchset name and
	    reorgansie Debian and DebianWoody
	  - Move recent-files.diff into Misc section,
	    now that glib dependency has gone, 
	    thanks Anil
	  - Make *Only sections a little less disorganised
	  - Disable gui-symbol-replace.diff: circular
	    build dependency svx<-->vcl
	  - no-splash-takeover: RedHatOnly and DebianOnly
	* patches/OOO_1_1/path-home-documents.diff,
	patches/OOO_1_1_0/apply: use Mandrake's version
	of the patch, which defaults to ~/Documents if
	it exists and ~/ if not
	* patches/OOO_1_1/build-sparc-assembler.diff,
	apply: Use $(CC) for sparc assembler

2003-12-17  Dan Williams  <dcbw@redhat.com>

	* configure.in: correct AC_WITH->AC_ARG_WITH

2003-12-16  Dan Williams  <dcbw@redhat.com>

	* patches/OOO_1_1/recent-files.diff: make patch
	  actually work.
	* patches/OOO_1_1/config-switches.diff: make freetype
	  CFLAGS and LIBS autodetection work with freetype-config
	  when pkg-config/freetype2.pc can't be used
	* ChangeLog: update my stupid copy/paste of changelog

2003-12-15  Michael Meeks  <michael@ximian.com>

	* TODO: add secondary tasks for Jayant / Raul.

	* bin/install-dict.in: bin Twig nonsense fooling
	with the XML setup, no longer necessary.

	* www/hackers-guide.html: fix for checkout -dP
	from Alexander Neundorf

2003-12-15  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1/config-switches.diff: fix nas check
	  to use the right variable for the include-path for the
	  /usr/X11R6/include case

2003-12-11  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1/x-www-browser-alternative.diff: Debian-only
	  patch to use the x-www-browser alternative for HTTP/HTTPS/..
	* patches/OOO_1_1/xinerama-pic-on-all-archs.diff: Debian-only
	  patch to use libXinerama_pic.a on all archs
	* patches/OOO_1_1/system-nas: conditionalized patch to build with
	  system libaudio
	* patches/OOO_1_1/system-db: conditionalized patch to build with
	  system db
	* patches/OOO_1_1/use-system-db-4-0.patch,
	  patches/OOO_1_1/use-system-db-4-1.patch,
	  patches/OOO_1_1/xmlhelp-db-4-1.patch: remove
	* patches/OOO_1_1/berkeleydb-handle-no-solar-java.diff: removed,
	  merged into system-db.diff
	* patches/OOO_1_1/system-freetype.diff: new conditional patch for
	  system freetype using system libs and headers directly
	* patches/OOO_1_1/redhat-use-system-ft.patch,
	  patches/OOO_1_1/gui-ft-dynlink-system.patch
	  patches/OOO_1_1/freetype-2_1_7-include.diff: remove, obsolete
	  with system-freetype.diff
	* patches/OOO_1_1/config-switches.diff: implement
	  --with-system-freetype, --with-system-nas,
	  --with-system-db --with-db-version= etc.;
	  do a full check for -lz too.
	* patches/OOO_1_1/nswrapper-mozilla-not-netscape.diff:
	  run mozilla, not netscape, taken from SuSE
	* patches/OOO_1_1_0/apply:
	  - apply new patches; remove "old" DB and freetype stuff.
	  - Move odk-java-wizpanel.diff away from Misc to ODKFixes;
	    applying this patch fails on Debian ince there isn't an odk/
	    directory ;(
	  - add xinerama-pic-on-all-archs.diff to XineramaPIC and add it
	    only to Debian, not to DebianWoody
	* bin/setup.in: add --with-system-freetype to CONFIGURE_FLAGS;
	  additionally add --with-system-db for RHFedora

2003-12-11  Michael Meeks  <michael@ximian.com>

	* bin/linkoo: add vcl toolkit plugin bits.

	* doc/*: added a load of old (but perhaps helpful)
	docs from various feature implementation / investigations.

	* templates/*: add 2 templates from Tigert.

2003-12-11  Chris Halls  <halls@debian.org>

	* patches/OOO_1_1/print-fontconfig.diff:
	We must use X fonts if fontconfig support is
	not enabled (needed for Debian Woody backport)
	
	* patches/OOO_1_1/config-nosymbols.diff,
	patches/OOO_1_1_0/apply: Backport fix from 1.1.1 to
	allow combination of --enable-crashrep and 
	--disable-symbols switches in configure

	* patches/OOO_1_1_0/apply: Add a DebianWoody patchset 
	that does not include FontBitsDynlinkFT

2003-12-10  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/sd-export-html-thumbnails.diff:
	first pass at creating pretty thumbnails a-la
	MagicPoint.

2003-12-09  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/sd-export-png.diff: bin,
	included in other patches.

	* www/index.html: add 'New' tag for OO.o, no-where
	can the link be found otherwise.

	* patches/Makefile.am (EXTRA_DIST): actually
	distribute the ld speedup patch so we build from
	tar.gz [doh].

	* patches/OOO_1_1_0/pagein-speedup.diff,
	* patches/OOO_1_1_0/apply: knock a few ms off
	startup time in the form of seeks.

2003-12-10 Anil Bhatia <banil@novell.com>
                                                                                
	* patches/OOO_1_1/recent-files.diff: ported 
	away from glib.

2003-12-04  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/crash-bindings.diff: back-port
	Mathias' patch from 1.25.78.1 instead of my fix.

	* www/hackers-guide.html: add Kevin's string
	printing hint.

2003-12-03  Michael Meeks  <michael@ximian.com>

	* www/*: add mailing list links.

2003-12-01  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/gui-rename-dlg.diff: update for
	sw/ case as well.

2003-11-27 Anil Bhatia <banil@novell.com>

	* patches/OOO_1_1/gui-symbol-remove.diff: remove
	* patches/OOO_1_1_0/apply,
	* patches/OOO_1_1/gui-symbol-replace.diff: 
	This patch replaces the symbols specified in .src file
	with corresponding image at run time.

2003-11-26  Michael Meeks  <michael@ximian.com>

	* bin/build-ooo: don't source *.sh || exit 1; the
	source expr. always fails on RH 7.3: magic.

2003-11-26  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* patches/OOO_1_1/sd-export-no-spell-check.diff
	patches/OOO_1_1_0/apply: disable on-the-fly spell checking
	during export. #21440.

2003-11-23  Dan Williams  <dcbw@redhat.com>

	* patches/OOO_1_1/odk-java-wizpanel.diff
	  patches/OOO_1_1_0/apply:
	  Fix up some Java bits of ODK so they compile
	  correctly when Java is used.

	* patches/OOO_1_1/allow-no-jdk.diff: regenerate
	  to fix diff hunk errors

2003-11-23  Dan Williams  <dcbw@redhat.com>

	* patches/OOO_1_1/xmlhelp-db-4-1.patch: fix Java bits
	  for db4.1

2003-11-23  Dan Williams  <dcbw@redhat.com>

	* configure.in: add --with-jdk-home option that
	  allows you to specify a JDK on your current system
	  rather than use the downloaded one.  Sets the
	  JDK_HOME variable on ./configure

	* bin/build-ooo: various changes to see whether the
	  user specified --with-jdk-home and use that as
	  opposed to the downloaded JDK tarball.

	* bin/setup.in: add JDK_HOME to PATH if it exists,
	  and add --with-jdk-home=$JDK_HOME to the OOo
	  configure script options through CONFIGURE_OPTIONS
	  if user specified --with-jdk-home at build-ooo
	  configure time

2003-11-24  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/allow-no-jdk.diff: bin the
	ant check / warning in the no-java case.

2003-11-22  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/gui-alpha-hyper-toolbar.diff,
	* patches/OOO_1_1_0/apply: fix an image issue.

2003-11-21  Michael Meeks  <michael@ximian.com>

	* sc/source/core/tool/interp1.cxx (ScVar): about
	the worst implementation possible.

2003-11-18  Dan Williams  <dcbw@redhat.com>

	* bin/setup.in: build for Czech, Slovak, and Finnish
	  for Red Hat distros.

2003-11-18  Dan Williams  <dcbw@redhat.com>

	* patches/OOO_1_1/apply,
	* patches/OOO_1_1/redhat-splash.diff:
	  Allow for a Red Hat vendor splashscreen and about.
	  Actual bmps forthcoming.

2003-11-18  Chris Halls  <halls@debian.org>

	* patches/OOO_1_1/solenv-set-solar-java-only-if-unset.diff:
	  fix Java-less builds on Linux/sparc (needed '*' in
	  SOLAR_JAVA*=TRUE)

2003-11-18  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1_0/apply,
	  patches/OOO_1_1/freetype-2_1_7-include.diff: make vcl
          build with freetype 2.1.7

2003-11-17  Dan Williams  <dcbw@redhat.com>

	* patches/OOO_1_1/apply,
	* patches/OOO_1_1/no-splash-takeover.patch:
	  Don't let the splash screen take over.

2003-11-17  Michael Meeks  <michael@ximian.com>

	* desktop/Makefile.am (EXTRA_DIST): fix
	desktop_in_files, (doh).

	* TODO: update tasks for Anil/Amit.

2003-11-14  Dan Williams  <dcbw@redhat.com>

	* bin/ooo-wrapper.in: add OOO_RH_DEBUG
	  env variable that enables debugging of the wrapper
	  script for Red Hat distributions by pointing 
	  stuff to the right places.

2003-11-14  Michael Meeks  <michael@ximian.com>

	* Branch xd2-ooo.

	* Version 1.1.47

	* bin/ooo-wrapper.in: fix up some bits.

2003-11-14  Dan Williams  <dcbw@redhat.com>

	* bin/ooo-wrapper.in: conditionalize for vendor,
	  ie conditionalize Ximian-specific stuff, generalize using
	  ./configure | setup environment variables when possible
	  or hardcode by vendor.  Includes user config directory,
	  gconf path strings, autoresponse file name, and file
	  default format.

	* bin/package-ooo: Add substitutions for ooo-wrapper.in
	  to support changes above, plus conditionalize the creation
	  of manpages a bit more.

2003-11-14  Michael Meeks  <michael@ximian.com>

	* bin/build-ooo: set FONTMUNGE_FILE

	* patches/OOO_1_1/init-sw.diff: remove
	* patches/OOO_1_1/apply,
	* patches/OOO_1_1/valgrind-clean.diff:
	back-port most of valgrind cws fixes, omit
	sw/inc/iodetect.cxx changes (iodetect.hxx)
	important bits, but file renamed.

2003-11-14  Amit Shrivastava <samit@novell.com>

	* patches/OOO_1_1/gui-menu-checkitems.diff,
	* patches/OOO_1_1_0/apply: disable rendering
	of icons when menu checkitems unchecked. It
	should be based on identifiers, but as of now its
	fine.
	 
2003-11-14  Michael Meeks  <michael@ximian.com>

	* font-munge: re-add.
	* bin/build-ooo: re-add munge / de-munge.
	* bin/Makefile.am: re-add font-munge (sigh).

2003-11-13  Dan Williams  <dcbw@redhat.com>

	* patches/OOO_1_1/setup2.noguierror.diff
	  patches/OOO_1_1_0/apply:
	  Don't try to throw up a VCL error dialog when setup was
	  run with the -nogui switch.  Segfaults otherwise in
	  SalFrameData::Init() trying to use uninited VCL.

	* bin/package-ooo:
	  Make wrapper script links not broken for RH, make sure
	  all scripts are symlinked to /usr/bin/ooffice.

2003-11-13  Michael Meeks  <michael@ximian.com>

	* vcl/unx/source/gdi/outdev3.cxx (GetDefaultFont)
	is not handling aliases / leading / trailing stuff
	right. Looks like the GetDevFontList is leaving them
	in - called with a NULL pOutDev in broken case, seeks
	on the default output device instead; mpFontCache->Get.

	* fonts: Tag: LAST_TRACED, bin all traced glyphs,
	problematic exporting to the EU from the US.

2003-11-12  Chris Halls <halls@debian.org>

	* doc/announce.txt: add debian-openoffice list to template

2003-11-12  Michael Meeks  <michael@ximian.com>

	* www/ooo-build.html: add notes on releasing.

2003-11-11  Michael Meeks  <michael@ximian.com>

	* Use 'export' in bin/Makefile.am: gives access to
	all configure env vars.

2003-11-12  Dan Williams  <dcbw@redhat.com>

	* patches/OOO_1_1_0/apply: Make Red Hat builds not pack all
	  languages either.  Had missed this second part to that
	  change earlier.

2003-11-12  Chris Halls <halls@debian.org>

	* patches/OOO_1_1/gui-fonts-kde.diff: 
	  - Respect the 'use system UI fonts' setting instead of always
	    assuming the user wants it.
	  - Check KDEDIR and KDEHOME for settings, thanks to Nikita V.
            Youshchenko for the help
	  - Add gui-scale-ruler hack here too

2003-11-12  Dan Williams  <dcbw@redhat.com>

	* bin/package-ooo: correctly copy RH icons

	* patches/OOO_1_1/svtools-build-fix.diff: add another missing dep

	* patches/OOO_1_1_0/apply: deliver KDE + GTK icons/mime-types for
	  Red Hat too, since we take care of the specifics during packaging.
	  Also move capitalization fix to Misc from FontBits (why it was there
	  I don't know).

2003-11-12  Chris Halls <halls@debian.org>

	* patches/OOO_1_1/gnome-desktop-force.diff: Haha..
	choose KDE, you get Gnome.  Choose Gnome, you get KDE.
	Caused by comparing EqualsIgnoreCase to 0, fixed.

2003-11-11  Dan Williams  <dcbw@redhat.com>

	* bin/package-ooo:
		- conditionalize Ximian bits for ximian only
		- Add post-install Red Hat bits for KDE mime types and icons
		- Adjust some locations and names for Red Hat installs
		- Don't strip executables on Red Hat since that's done by RPM
		- Remove commented-out SUSE-specific hack
		- Add steps to correctly deliver Red Hat desktop files and icons

	* etc/redhat-autoresponse.conf: whack ximian-only install location,
	  this could be better handled in the future to work with one file
	  for both Xim/RH.  TODO.

2003-11-11  Dan Williams  <dcbw@redhat.com>

	* ChangeLog: update my commit dates to be correct for the 11th.

	* configure.in: add --with-vendor switch for easier determination
	  of vendor-specific stuff when a vendor has multiple --with-distro=
	  possibilities.  Everyone should now set --with-vendor

	* setup.in: export VENDORNAME and OOOINSTALLDIRNAME

2003-11-11  Michael Meeks  <michael@ximian.com>

	* Version 1.1.46

2003-11-11  Michael Meeks  <michael@ximian.com>

	* fonts/Makefile.am, configure.in, Makefile.am:
	add fonts directory.

2003-11-11  Dan Williams  <dcbw@redhat.com>

	* bin/setup.in: change from $OOOINSTALLDIRNAME to
	  @OOOINSTALLDIRNAME@ so that it actually works...

2003-11-11  Dan Williams  <dcbw@redhat.com>

	* bin/setup.in: fix syntax error introduced by my earlier
	  ooo install dir change

2003-11-11  Jakub Steiner <jimmac@ximian.com>

	* fonts/OpenSymbol.sfd: another copy of the number bullets;
	  various triangles and lines.
	 
2003-11-11  Michael Meeks  <michael@ximian.com>

	* Tested: applies cleanly to RHFedora & Ximian
	from a clean source package.

	* bin/font-munge, bin/Makefile.am,
	* bin/build-ooo: bin evil font munging: makes
	life more easily reversible.

	* patches/OOO_1_1/font-de-bitstreamize-en.diff,
	* patches/OOO_1_1_0/apply: bin loads of ugly and
	metrically broken bitstream mappings (for en. at
	least), don't clobber valid/better mappings as
	redhat-default-fonts.patch does - needs i18nizing,
	and merging with the RH patch really.
	
	* patches/OOO_1_1/font-andy.diff,
	* patches/OOO_1_1_0/apply: add the andy font to the
	known world.

	* patches/OOO_1_1/gui-metric-fonts.diff: re-build /
	shrink with a better understanding of font matching.

	* bin/font-munge: bin, we don't need it.
	* vcl/source/gdi/fontcfg.cxx handles 'mt' and 'amt'
	suffix removal. Just need comicsans -> 'andy' mapping.
	Check what happens if none of the fallbacks exist,

	* patches/OOO_1_1/desktop-integration.diff: 
	remove the clobbering of 'autosave every'.

	* patches/OOO_1_1/doc-retitle.diff,
	* patches/OOO_1_1_0/apply: update title bar if doc
	title to set to nothing.

2003-11-11  Chris Halls <halls@debian.org>

	* patches/OOO_1_1/gui-font-scale.diff:
	Window::ImplPointToLogic has a reverse
	(ImplLogicToPoint) which was not patched, fixed.

	* patches/OOO_1_1_0/apply: MenuFixes managed to drop out
	of the Debian patchset somehow; moved to Common

	* patches/OOO_1_1/gnome-desktop-force.diff: Pull Philip's version
	from vclpp1r3 that adds 'none' and uses OString methods.

	* patches/OOO_1_1/gui-font-default-size.diff: Default size now 9,
	based on comparisons between official version and patched version.

2003-11-10  Jakub Steiner <jimmac@ximian.com>

	* fonts/OpenSymbol.sfd: three more glyphs

2003-11-10  Dan Williams  <dcbw@redhat.com>

	* configure.in: add a new switch --with-installed-ooo-dirname that
	  allows one to set the name of the directory where OOo is installed,
	  for example /usr/lib/<installed-ooo-dirname>.  Defaults to
	  "ooo-$OOO_VERSION" if not specified for Ximian compatibility.

	* bin/setup.in: deal with OOINSTALLDIRNAME from above change, plus
	  conditionalize some more Ximian-specific bits

2003-11-10  Michael Meeks  <michael@ximian.com>

	* bin/build-ooo, download: update to icons 1.1-6

2003-11-10  Dan Williams  <dcbw@redhat.com>

	* bin/build-ooo: first, don't re-untar the sources when you've
	  just untarred them already.  second, don't clobber non-build
	  related .dpr files like ones in odk.

2003-11-09  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* patches/OOO_1_1/ooo111-general-io-error-sxi.diff,
	patches/OOO_1_1_0/apply: Fix a General I/O Error, IZ #19381,
	extracted from cws_srx645_softdist01, seems to fix Debian bug
	#208687.

	* patches/apply.pl (export_series): export-series ->
	export-series-to, strip OOO_1_1_0/../ when exporting.

2003-11-06  Chris Halls  <halls@debian.org>

	* patches/OOO_1_1/i18n-search-all.diff,
	  patches/OOO_1_1/apply: Fall back to any l10n language
	  pack available instead of crashing when user's choice is
	  not available.  Long standing Debian bug#171623.
	* patches/OOO_1_1/gui-font-default-size.diff: set to 10pt,
	  which gives fonts the same size as the official OOo on
	  a display with correct DPI settings

2003-11-06  Dan Williams  <dcbw@redhat.com>

	* patches/OOO_1_1_0/apply: more condensing of sections. Also
	  split out the FreeType patches for Debian/Ximian since RH
	  uses a slightly different patch that is incompatible with
	  the deb/xim one.  Also add sections for linking against
	  the Berkeleydb installed on the system, either 4.0 or 4.1
	  and add patches to those sections.  Also, apply the odk-no-java
	  patch to Xim/RH only because Debian doesn't ship ODK.

	* patches/OOO_1_1/odk-handle-no-solar-java.patch:
	  disables building of Java pieces when SOLAR_JAVA is not set

	* patches/OOO_1_1/redhat-nautilus-icons.patch:  some VFS
	  patches for RH desktop integration with Nautilus

	* patches/OOO_1_1/redhat-neon-sysmacrosh.patch: work around
	  an odd bug that caused conflicting defines on some RH systems

	* patches/OOO_1_1/redhat-use-old-libart.patch: support libart
	  2.3.11 and higher by cut & pasting the missing art_svp_minus()
	  function and its helper into poly2.cxx.  Only used on
	  RH 9 and RHEL 3 systems which ship with libart_lgpl < 2.3.13

	* patches/OOO_1_1/redhat-use-system-ft.patch: link against the
	  system's freetype.  Differs from Xim/Deb patch in that the libs
	  are _NOT_ copied to solver, but directly linked against.  There
	  were issues with RPM packaging and libfreetype that caused RPMs
	  build with copied libs to fail to install

	* patches/OOO_1_1/use-system-db-4-0.patch
	* patches/OOO_1_1/use-system-db-4-1.patch
	     Link against the system's berkeleydb rather than build internal
	  one.

	* patches/OOO_1_1/xmlhelp-db-4-1.patch: when building against the
	  system's berkeleydb, slight changes are necessary for xmlhelp due
	  to API changes between 4.0 and 4.1 regarding transactions

	* patches/OOO_1_1/xmlhelp-optimize-linkage.patch: optimize linkage
	  of xmlhelp, since the C++ library of berkeleydb already contains
	  all the symbols that xmlhelp will need, so don't link against the
	  standard berkeleydb C library

	* patches/OOO_1_1/module-buildset.diff: build ODK for Xim/RH systems
	  since the ODK no-java patch is here now

2003-11-06  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/gnome-desktop-force.diff: extract
	Philipp's OOO_FORCE_DESKTOP = cde/kde/gnome thing instead.

2003-11-05  Dan Williams  <dcbw@redhat.com>

	* bin/setup.in: enable debug symbols for Red Hat builds

	* patches/OOO_1_1/parallel-build-fix.patch: remove some sections
	  that had a hardcoded revision# that were causing patching issues

	* patches/OOO_1_1_0/apply: re-RedHatOnly the default fonts fix, and
	  consolidate some more patches.

2003-11-05  Dan Williams  <dcbw@redhat.com>

	* patches/OOO_1_1/asm-fixes.patch: fix some assumptions about register
	  contents and clobbering

	* patches/OOO_1_1/parallel-build-fix.patch: update build.pl to r1.93
	  which makes parallel builds NOT SUCK

	* patches/OOO_1_1/redhat-default-fonts.patch: make default fonts on
	  RH builds match what's shipped with the system

	* patches/OOO_1_1/svx-freeze-fix.patch: File->New->Spreadsheet froze
	  in some situations with certain versions of GCC from Red Hat,
	  probably an optimization error.  Workaround fixes that.

	* bin/setup.in: support for Red Hat builds when running OOo's configure

	* patches/OOO_1_1/svtools-build-fix.diff: add missing dep

	* patches/OOO_1_1_0/apply: consolidate some sections, add Red Hat
	  build support and RH-only patches

2003-11-05  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1_0/apply: un-comment the layout
	and gtk-integration stuff, but put them in new un-used
	sections.
	Switch RedHatOnly -> Misc to pull in that set for Debian,Ximian.

2003-11-05  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1/datasources_types_add_mysql.diff,
	  patches/OOO_1_1_0/apply: add fix for missing datasource entries
	  for MySQL; thanks Josep Monés i Teixidor

2003-11-04  Jakub Steiner <jimmac@ximian.com>

	* fonts/OpenSymbol.sfd: traced macintosh kbd symbols - U+2318,
	  U+2324, U+2325, U+2326 and U+232B.
	
2003-11-04  Michael Meeks  <michael@ximian.com>

	* www/index.html: some news.

	* fonts/package: implement to help our build system.

	* fonts/opens___.ttf: re-generate.

	* patches/OOO_1_1/gui-scale-ruler.diff,
	* patches/OOO_1_1_0/apply: scale the ruler more pleasantly.

	* svtools/source/control/ruler.cxx (ImplInitSettings):
	gets font size from GetToolFont() for the ruler; also
	used for calendar, groupset, headbar, tabbar, statusbar.

2003-11-03  Jakub Steiner <jimmac@ximian.com>

	* fonts/OpenSymbol.sfd: rough trace of U+27A0, U+27A1 and U+E017

2003-11-03  Jakub Steiner <jimmac@ximian.com>

	* fonts/OpenSymbol.sfd: few glyphs from Netdings

2003-11-03  Jakub Steiner <jimmac@ximian.com>

	* fonts/OpenSymbol.sfd: yet more glyphs from Lindings

2003-11-03  Jakub Steiner <jimmac@ximian.com>

	* fonts/OpenSymbol.sfd: more glyphs from Lindings
	* fonts/opens___.ttf: up-to-date render

2003-11-03  Michael Meeks  <michael@ximian.com>

	* svx/source/tbxctrls/tbcontrl.cxx: combo box
	scaling is grotesque, as is ruler rendering at
	larger font sizes.

	* patches/OOO_1_1/gnome-desktop-force.diff,
	* patches/OOO_1_1_0/apply: allow the user to use
	OOO_GNOME_DESKTOP=1 to force detection of Gnome.
	Disable gui-appear.diff for now.

	* patches/OOO_1_1/gui-metric-fonts.diff:
	hack out LingDings / NetDings - OpenSymbol is
	the way ahead.

	* patches/OOO_1_1/app-compatible.diff,
	* bin/ooo-wrapper.in: use OOO_MS_DEFAULTS
	instead of 'COMPATIBLE' to tweak default as per
	Mandrake's changes.

	* www/hackers-guide.html: add a -dP to the
	initial checkout to avoid confusion.

2003-10-31  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1/solar-use-fork.diff,
	  patches/OOO_1_1_0/apply: use fork in tools/source/solar/solar.c
          to make it working with 2.5/2.6 kernels.., thanks Ken Foskey.

2003-10-31  Jakub Steiner <jimmac@ximian.com>

	* fonts/OpenSymbol.sfd: fix metrics of a few glyphs.
	
2003-10-31  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/svtools-build-fix.diff,
	* patches/OOO_1_1_0/apply: add.

	* www/hackers-guide.html: add a bit about not running make
	in the toplevel after you've built it.

2003-10-31  Jakub Steiner <jimmac@ximian.com>

	* fonts/OpenSymbol.sfd: used TrueType-common scale (em size of
	  2048). Will be easier to paste stuff from Netdings and
	  Lindings. Also added a cap line guide.

2003-10-31  Michael Meeks  <michael@ximian.com>

	* fonts/symbols.xls: add - it's not clear that
	this is really useful; but ... [ remove
	LingDings.ttf, NetDings.ttf before use I guess ].

2003-10-30  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1_0/apply: add bug numbers for
	tomorrow's commits.

	* patches/OOO_1_1_0/sw-bullet-not-field.diff,
	* patches/OOO_1_1/apply: bin some annoying greyness.

	* dug at irritating bullet shading 
	* sw/source/ui/app/apphdl.cxx /FN_VIEW_MARKS/
	(lcl_SetViewMarks): sets VIEWOPT_FIELD_SHADINGS
	* sw/source/ui/config/ciewopt.cxx: maps to
	svtools::WRITERFIELDSHADINGS & (IsFieldShadings)

	* bin/Makefile.am: package font-munge.

	* discovered the ~/.xopenoffice1.1/.lock thing -
	some cunning locking action going on somewhere.

2003-10-30 Anil Bhatia <banil@novell.com>

	* patches/OOO_1_1/gui-symbol-remove.diff: replaced
        symbols with images in textanim.src.

2003-10-30 Anil Bhatia <banil@novell.com>

	* patches/OOO_1_1/gui-symbol-remove.diff: replaced
	symbols with images in envlop.src, column.src, 
	cnttab.src.

2003-10-30  Michael Meeks  <michael@ximian.com>

	* bin/re-root (scan_dirs($$)): only scan
	sub-directories under CVS control.

2003-10-29  Michael Meeks  <michael@ximian.com>

	* Version 1.1.45

2003-10-29  Michael Meeks  <michael@ximian.com>

	* fonts: add new directory with improved font
	files, and crucial text/patchable .sfd.

	* patches/OOO_1_1/sw-ms-bullet-export.diff,
	* patches/OOO_1_1_0/apply: fix bullet export bug.

	* patches/OOO_1_1_0/apply: fix MinimalOnly
	semantics, and add disable-odk for minimal foo.

	* bin/setup.in: fix up --enable-java flag.

	* intltoolize with a more recent intltool, so
	bonobo/ will configure right.

	* configure.in: check for libxslt.

2003-10-28  Michael Meeks  <michael@ximian.com>

	* patches/pagein-speedup.diff: some research on
	reducing the pagin cost at cold startup.

	* doc/symbol-font.txt: add for future reference.

	* patches/OOO_1_1/sw-default-bullet.diff,
	* patches/OOO_1_1_0/apply: make the default bullet
	size more friendly.

	* patches/apply.pl: re-write patch sub-setting action,
	far more elegant / cunning now.

	* patches/OOO_1_1_0/apply: re-work syntax / add
	'Minimal' and 'Common' recursive sub-sets.

2003-10-27  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* www/ooo-build.html: escape angle brackets in sample ChangeLog.

	* www/name-account.html: add Rene; use umlaut in "Joerg".

2003-10-27  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1_0/apply: create a new Minimal
	sub-set for testing vs. reports of raw OO.o's behavior.

	* sw/source/filter/ww8/wrtw8num.cxx (SubstituteBullet):
	uses StarSymbolToMSMultiFont
	* sw/source/filter/ww8/ww8par3.cxx (AdjustLVL): imports
	font name "symbol", with RTL_TEXTENCODING_SYMBOL.

	* www/ooo-build.html: add re-rooting the openoffice
	part with a new account.

2003-10-25  Michael Meeks  <michael@ximian.com>

	* www/name-account.html: fix some names thanks to Colin Charles.

	* www/ooo-build.html: fix contributing link thanks to Robin Cook.

2003-10-24  Michael Meeks  <michael@ximian.com>

	* vcl/source/gdi/fontcvt.diff: dug at Will's patch;
	it seems 0x2022 gets mapped on export to 0xb7 ('Symbol')
	which then doesn't re-import correctly. By hacking this
	out of aSymbolExtraTab2 we get the same import as export.
	It looks like there is simply nothing to reverse
	the ExtendedConvertTable 'aggressive' stuff for
	non-perfect import.

	* bin/linkoo: fix libi18n path.

2003-10-24  Chris Halls  <halls@debian.org>

	* patches/OOO_1_1/setup-in-bindmount.diff: The
	  issue has been fixed upstream using realpath(),
	  so take that version instead.

2003-10-24  Michael Meeks  <michael@ximian.com>

	* www/name-account.html: add new Novell people.

	* www/hackers-guide.html: beef up section 4. on running OO.o

	* www/ooo-build.html: add lots of blurb on committing.

2003-10-24  Jayant Balraj Madavi <mjayant@novell.com>

	* patches/OOO_1_1/gui-rename-dlg.diff,
	* patches/OOO_1_1_0/apply: fix rename ergonomics.

2003-10-24  Michael Meeks  <michael@ximian.com>

	* bin/re-root: fix several bugs.

2003-10-23  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/wm-dialog-utility.diff,
	* patches/OOO_1_1_0/apply: use the TYPE_UTILITY
	for utility dialogs ...

2003-10-22  Michael Meeks  <michael@ximian.com>

	* bin/re-root: the start of a utility to re-root
	an OO.o CVS tree to allow it to be easily switched
	to another server / user.

2003-10-23  Chris Halls  <halls@debian.org>

	* patches/OOO_1_1/gui-font-default-size.diff,
	  patches/OOO_1_1_0/apply: Now Michael has fixed the font
	  display, the default size of 8pt is too small - set to 12pt.
	  
2003-10-23  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* patches/apply.pl (main): undo wrong merging of ifs. Comment.
	Bug spotted by Rene.

2003-10-22  Rene Engelhard  <rene@debian.org>
	
	* patches/OOO_1_1/config-switches.diff: extend dmake check
	  with a check whether the found dmake is the right dmake

2003-10-23  Chris Halls  <halls@debian.org>

	* patches/OOO_1_1/gui-fonts-kde.diff: Use ToInt32() instead
	of OString->double->long casts.

2003-10-22  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* patches/OOO_1_1_0/apply (Ximian): remove fontconfig-hack.diff
	here, too.

	* patches/OOO_1_1/icon-render.diff: 
	* patches/OOO_1_1/inst-destdir.diff: 
	* patches/OOO_1_1/sd-export-html.diff: rediff (tab vs. spaces).

2003-10-22  Chris Halls  <halls@debian.org>

	* patches/OOO_1_1/gui-fonts-kde.diff,
	  patches/OOO_1_1_0/apply: use KDE font sizes
	  and weights; distinguish between menu & general
	  font setting.

2003-10-22  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* patches/apply.pl (list_patches): extract from apply_patches.
	(export_series): print a list of patches, for use with quilt.
	(main): remove RC3 patch compat. code, we ship only OOO_1_1
	patches, accept --export-series argument.

	* bin/linkoo: remove dupped check.

2003-10-22  Chris Halls  <halls@debian.org>

	* bin/linkoo: make jvm*.res optional - javaless
	builds do not have this.  Die gracefully if
	no write access to destination directory.

2003-10-21  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1/config-switches.diff: add detection whether
	  we need to build dmake
	* patches/OOO_1_1/print-fontconfig.diff: add missing
	  -DFONTCONFIG_FONTS
	* patches/OOO_1_1/fontconfig-hack.diff: remove

2003-10-21  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/fontconfig-hack.diff,
	* patches/OOO_1_1_0/apply: add this - it sucks,
	but it makes it build. We're missing a slew of
	-DFONTCONFIG_FONTS stuff in vcl etc.

2003-10-18  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/print-cups.diff: use libgnomecups instead
	of libgnomecups-1.0 [ check this - very odd ].

2003-10-15  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1/system-zlib.diff,
	  patches/OOO_1_1/print-fontconfig.diff,
	  patches/OOO_1_1/padmin-nofontconfig.diff: conditionalize
	* patches/OOO_1_1/config-switches.diff:
	  add --with-system-zlib / --with-fontconfig for configure
	* patches/OOO_1_1/psprint-handle-no-solar-java.diff: update
	  for new makefile.mk (see above)
	* bin/setup.in: add --with-system-zlib and --with-fontconfig
	  to CONFIGURE_OPTIONS

2003-10-15  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/i18n-rehash.diff:
	include the right headers & fix snafu in
	UNO Locale setup - sorry guys.

2003-10-14  Michael Meeks  <michael@ximian.com>

	* bin/setup.in: fix bogus comparion foo.

	* patches/OOO_1_1/i18n-rehash.diff,
	* patches/OOO_1_1_0/apply: add new files /
	re-work all locale entry points: much cleaner.

	* patches/OOO_1_1/i18n-use-locale.diff,
	* patches/OOO_1_1/i18n-use-lang.diff: bin.

	* Tag: BEFORE_LOCALE_REHASH.

	* patches/OOO_1_1/i18n-sal.diff: sal,osl
	changes necessary to get the locale mess
	straightened out.

2003-10-14  Chris Halls  <halls@debian.org>

	* bonobo/README, bonobo/configure.ac,
	bonobo/data/ooo-bonobo-control-ui.xml,
	bonobo/data/ooo-bonobo.in: Add final end
	of lines

2003-10-14  Michael Meeks  <michael@ximian.com>

	* bin/build-ooo (PKG_VER): fix build forkage.
	* bin/package-ooo: fix odk disable.

	* patches/OOO_1_1_0/apply (_Ximian, _Debian),
	markup functional patch-sets.
	re-enable bitmap compositing speedup.

	* patches/apply.pl: re-enable actual applying (doh)

	* patches/apply.pl (apply_patches): create new
	functional patch sub-setting logic.

	* bin/build-ooo: do a build in instsetoo, and
	pass --dlv_switch link to save lots of space.

2003-10-13  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1_0/apply: disable
	speed-bitmap-render; it (re)uses the wrong GCs.

	* xmlhelp/ testing reveals we can do a straight
	substitution in pictures.jar/txt for .pngs with
	no problem.

	* po/POTFILES.skip: stop me getting E-mailed.

	* patches/OOO_1_1/module-buildset.diff,
	* patches/OOO_1_1_0/apply: disable odk build here
	instead of in conflicting disable-odk.diff.

	* bin/package-ooo: disable ODK install.

	* patches/OOO_1_1_0/apply: disable odk build,
	non-free contents of ODK & not de-javaized nicely.

	* patches/OOO_1_1/speed-bitmap-render.diff,
	allocating / freeing new ones (round-trips) per
	bitmap render.

2003-10-10  Michael Meeks  <michael@ximian.com>

	* configure.in, patches/Makefile.am: prune RC3/4
	stuff.

	* patches: Tag LAST_RC3_4.

	* configure.in, bin/build-ooo, bin/setup.in: make
	java conditional.

2003-10-09  Michael Meeks  <michael@ximian.com>

	* bin/setup.in (CONFIGURE_OPTIONS): add --disable-java.

	* patches/OOO_1_1_0/apply: add Josh' patch set.

2003-10-09  Martin Kretzschmar  <martink@ximian.com>

	* patches/OOO_1_1/evo-i18n.diff: fix patch.

	* evo-i18n.diff: evolution addressbook data source
	encoding/escaping fixes #20958. Needs evolution fix.

	* patches/OOO_1_1_0/apply: apply evo-i18n.

2003-10-09  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/gui-startup-style.diff,
	* patches/OOO_1_1_0/apply: disable the stylelist
	on first startup.

	* style-list on 1st start: down to SfxTemplateDialog
	passing SfxResId(DLG_STYLE_DESIGNER) and SfxNavigator
	initializing via a different path (?)

	* download, bin/build-ooo: icons-5 (more corners gone)

2003-10-08  Martin Kretzschmar  <martink@ximian.com>

	* bin/scale-icons: add a --backupdir option (works, but not useful
	on its own).

2003-10-08  Michael Meeks  <michael@ximian.com>

	* grabbed L10NHelp.zip from 
	http://documentation.openoffice.org/online_help/index.html
	and started reading ...
	picture.txt -> picture.db containing mappings of
	xlink:href="65980" into the jar filename.
	Finally found 'etc/picture.txt' - the map.

	* TODO: re-arrange for Martin.

	* bin/ooo-wrapper.in: operate on $Version correctly.

	* etc/autoresponse.conf: add 1.1 trailing version.

2003-10-08  Martin Kretzschmar  <martink@ximian.com>

	* doc/filepicker.txt: add.

2003-10-07  Josh Triplett  <josh.trip@verizon.net>

	* Support building without a JDK.

	* allow-no-jdk.diff:  If java is disabled with --disable-java,
	  don't look for a JDK, but do look for xsltproc, and set
	  XSLTPROC in set_soenv.

	* solenv-set-solar-java-only-if-unset.diff:  Set the SOLAR_JAVA
	  variable conditionally with "*=".

	* readlicense-oo-xsltproc.diff:  Use xsltproc to replace java
	  for xml transforms in readlicense_oo.

	* officecfg-xsltproc.diff:  Use xsltproc to replace java for
	  xml transforms in officecfg.

	* berkeleydb-handle-no-solar-java.diff:  If SOLAR_JAVA is
	  not set, don't pass --enable-java to the configure script,
	  and don't expect the jar when finished.

	* ridljar-handle-no-solar-java.diff:  If SOLAR_JAVA is not
	  set, don't attempt to zip up the compiled java files,
	  since they will not be built.

	* jurt-handle-no-solar-java.diff:  Don't build jpipe with
	  SOLAR_JAVA not set.

	* jvmaccess-handle-no-solar-java.diff:	Don't build jvmaccess
	  with SOLAR_JAVA not set.

	* jni-uno-handle-no-solar-java.diff:  Don't build jni_uno
	  with SOLAR_JAVA not set.

	* javaunohelper-handle-no-solar-java.diff:  Don't build
	  javaunohelper with SOLAR_JAVA not set

	* psprint-handle-no-solar-java.diff:  Don't use jvmaccess to
	  get JDK font path with SOLAR_JAVA not set.

	* sj2-handle-no-solar-java.diff:  When SOLAR_JAVA is not
	  set, replace java applet support with stubs that throw
	  an exception.

	* setup2-handle-no-solar-java.diff:  Don't build jvmsetup or
	  use jvmaccess for java-related setup with SOLAR_JAVA not set.

	* scp-handle-no-solar-java.diff:  Don't ship various
	  java-related files that will no longer be built, but ship
	  the stubbed out libj from sj2 because setup fails without it.

	* svg-handle-no-solar-java.diff:  Disable SVG import support
	  with SOLAR_JAVA not set, since it depends on compile-time
	  and run-time java support.

	* xsltvalidate-handle-no-solar-java.diff:  Disable java
	  components with SOLAR_JAVA not set.

	* xsltfilter-handle-no-solar-java.diff:  Disable java
	  components with SOLAR_JAVA not set.

	* desktop-handle-no-solar-java.diff:  Don't build javaldx
	  with SOLAR_JAVA not set, and check for javaldx in soffice.sh
	  before using it.

2003-10-07  Michael Meeks  <michael@ximian.com>
	
	* Version 1.1.44

2003-10-07  Michael Meeks  <michael@ximian.com>

	* download, bin/build-ooo: switch to OOO_1_1-4 icons.

2003-10-07  Martin Kretzschmar  <martink@ximian.com>

	* bin/setup.in, configure.in, autogen.sh: fix for bonobo/

2003-10-07  Michael Meeks  <michael@ximian.com>

	* download, bin/build-ooo: switch to OOO_1_1-3 icons.

	* bin/relocate (rewrite_dpcc): unlink dependencies
	which point to the wrong tree on relocate.

	* patches/OOO_1_1/gui-sw-scroll.diff,
	* patches/OOO_1_1_0/apply: make scroll-mice users happier.

2003-10-06  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1/system-zlib.diff,
	  patches/OOO_1_1/system-getopt.diff: use zlib/getopt from the
	  system, patches borrowed from Mandrake
	* patches/OOO_1_1_0/apply: apply system-zlib and system-getopt for
	  Debian & Ximian

2003-10-06  Michael Meeks  <michael@ximian.com>

	* the scrolling wheel annoyance is in part due to
	Help::IsQuickHelpEnabled returning true; can
	clobber it with false.

	* patches/OOO_1_1/gui-symbol-remove.diff: fixup
	mask colors.

	* bin/build-ooo: fix check for gcc/binutils,
	thanks to Robin Cook.

2003-10-06  Chris Halls  <halls@debian.org>

	* www/ooo-build.html: add 'staging ground' 
	section.

2003-10-06  Michael Meeks  <michael@ximian.com>

	* www/ooo-build.html: add this.

	* www/hackers-guide.html: bin why will HEAD
	never be buildable, update wrt. relocate tool.
	bin archaic OOO_STABLE_1 section, add "working
	with us".

	* patches/OOO_1_1/print-scale-fix.diff,
	* patches/OOO_1_1_0/apply: obvious patch from 
	Dan Williams on gsl-list.

	* patches/OOO_1_1/gui-symbol-remove.diff,
	* patches/OOO_1_1_0/apply: start to remove
	horrifyingly ugly symbols instead for nicer icons.

	* patches/OOO_1_1/i18n-use-lang.diff: add missing
	helpopt clobbering to patch; then add missing
	configmgr patch fixing.

2003-10-03  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/gui-tbxcust.diff: fix crasher bug
	with built-in icons.
	To fix the alpha problems we have to knobble
	sfx2/inc/imgmgr.cxx (ReplaceImage) to take a
	BitmapEx ( or even an Image ! ;-), also clobber
	* sfx2/source/toolbox/imgmgr.cxx's (ToolboxBitmap_Impl)
	and upwards; tbxcust.cxx only customer for 'ReplaceImage'
	'AddImage' unused & unimplemented.

2003-10-03  Martin Kretzschmar  <martink@ximian.com>

	* Makefile.am: include bonobo with AM_CONDITIONAL BONOBO.

	* autogen.sh: run bonobo/autogen.sh

	* configure.in: add --with-ooo-builddir argument.
	call bonobo/configure if --enable-bonobo.

2003-10-03  Michael Meeks  <michael@ximian.com>

	* www/hackers-guide.html: fix for IRC server
	from Colin Charles.

	* bin/build-ooo: conditionalize the gcc library
	copies etc. remove the bonobo configure stuff.

	* bin/ooo-wrapper.in: fix regex. typo.

	* patches/OOO_1_1/init-sw.diff,
	* patches/OOO_1_1_0/apply: more from Julian.

2003-10-02  Rene Engelhard  <rene@debian.org>
	
	* patches/OOO_1_1/debian-splash.diff: patch #else clause
	  instead of the #ifdef...

2003-10-02  Martin Kretzschmar  <martink@ximian.com>

	* patches/OOO_1_1/config-disable-mozilla.diff: don't install
	libmozab2 if WITHOUT_MOZILLA.

2003-10-02  Michael Meeks  <michael@ximian.com>

	* bin/ooo-wrapper.in: use $ConfigSuffix instead of
	$BinSuffix for ~/.xopenoffice1.1 etc.

	* Version 1.1.43

2003-10-02  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/gui-tbx-ctrl-bg.diff: fix snafu.

2003-10-01  Michael Meeks  <michael@ximian.com>

	* download, bin/build-ooo: switch to new ooo-icons
	release.

	* patches/OOO_1_1/gui-tbxcust.diff: re-do in a
	simpler, and more reliable way; avoiding the need to
	interpolate alpha ( difficult without BitmapColor ),
	works for me; scrolling needs re-testing with a sane
	build [ it seems like there is some re-draw bug in
	toolbox re-sizing anyway ]

	* patches/OOO_1_1/bmp32.diff: set alpha for the
	non-mask color to 255 so we don't disappear all
	non-32bit icons [ doh ]

	* patches/OOO_1_1/gui-tbx-ctrl-bg.diff: re-write for
	new alpha stuff.
	* patches/OOO_1_1_0/apply: move icon-composite,
	tbx-ctrl-bg up into the icon/alpha section.
	I presume the first missing 'A' is down to a missing
	icon in ooo-icons (somehow).

2003-10-01  Martin Kretzschmar  <martink@ximian.com>

	* configure.in:
	* bin/build-ooo: build bonobo component if configured with
	--enable-bonobo

	* bin/setup.in: add variables for bonobo subdir.

	* Makefile.am: include bonobo subdir in make dist, remove
	config.rpath from EXTRA_DIST.

2003-10-01  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/init-desktop.diff,
	* patches/OOO_1_1_0/apply: clobber some uninitialized
	values - patch from Julian Seward.

2003-10-01  Martin Kretzschmar  <martink@ximian.com>

	* patches/OOO_1_1_0/apply: gui-menu-wizard-translations.diff is
	IZ #20537.

2003-09-30  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/gui-tbc-ctrl-bg.diff: using
	this - we get icons for only 2 of the 3 icons.
	Re-write pending to render the icons more
	pleasantly.

	* patches/OOO_1_1/icon-masks.diff,
	* patches/OOO_1_1_0/apply: fix silly with icon
	backgrounds.

2003-09-29  Michael Meeks  <michael@ximian.com>

	* configure.in: drop the 1.1 binsuffix.

2003-09-30  Chris Halls  <halls@debian.org>

	* patches/OOO_1_1/build-sparc-boost.diff:
	  Fix atomic dec/inc on Sparc Linux.
	  
	* patches/OOO_1_1/setup-in-bindmount.diff: work
	  around 'absolute programpath cannot be found' when
	  running setup in a bind mount
	
	* patches/OOO_1_1_0/apply: Add above patches to
	  installation sets for Debian+Ximian

2003-09-30  Martin Kretzschmar  <martink@ximian.com>

	* patches/OOO_1_1/word-count.diff: import translations from
	Mandrake.

2003-09-30  Rene Engelhard  <rene@debian.org>

	* patches/OO_1_1/debian-splash.diff: supply modifications
	  for Debian in About dialog
	* patches/OOO_1_1_0/apply: apply debian-splash.diff for Debian :-)

2003-09-27  Rene Engelhard  <rene@debian.org>

	* patches/RC3/use-unzip-not-jar.diff,
	  patches/OOO_1_1/use-unzip-not-jar.diff: use unzip -o to force
	  overwriting existing files

2003-09-26  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/bmp32.diff: re-enable the
	MaskColor munging of old-style pixmaps.
	Copy the alpha mask in extra code, since CopyPixel
	won't do it for us.

2003-09-25  Michael Meeks  <michael@ximian.com>

	* bonobo/src/main.cxx: define hard-coded filename.

2003-09-25  Martin Kretzschmar  <martink@ximian.com>

	* patches/OOO_1_1/gui-menu-new-wizard-translations.diff:
	translate the File->New, File->AutoPilot menus.

	* patches/OOO_1_1_0/apply: add.
	
2003-09-25  Michael Meeks  <michael@ximian.com>

	* bonobo/autogen.sh: downgrade automake req.
	* bonobo/local-build.sh: add simple build script.

	* bin/linkoo (do_linkage): deal with
	iso*.res vs. ooo*.res

	* bin/build-ooo: copy -Rvf not -a to avoid odd
	hard-linking issue.

	* patches/OOO_1_1/bmp32.diff:
	* patches/OOO_1_1/gui-insensitive.diff: fix alpha silly.

2003-09-24  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1/disable-odk-build.diff: disable build
	  of the odk since it contains non-free stuff and we deleted
	  the dir from the .orig.tar.gz
	* patches/OOO_1_1_0/apply: apply disable-odk-build.diff for
	  Debian

2003-09-24  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/bmp32.diff: re-re-work alpha, this
	time we don't change the size of BitmapColor.

2003-09-24  Chris Halls  <halls@debian.org>

	* patches/OOO_1_1/padmin-nofontconfig.diff:
	  remove font management dialog from spadmin,
	  so it can be used with print-fontconfig applied.

	* patches/OOO_1_1_0/apply: Merge the rest of the
	  uncontroversial patches into Debian patchset, and
	  add comments why the remaining patches have been
	  left behind for now.

2003-09-24  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1_RC3/apply, patches/OOO_1_1_RC3/apply,
	  patches/OOO_1_1_0/apply:
	  apply use-unzip-not-jar.diff for Ximian and Debian
	* patches/OOO_1_1/use-unzip-not-jar.diff,
	  patches/RC3/use-unzip-not-jar.diff: use unzip for unpacking
	  the thesaurus files in dictionaries, not jar

2003-09-24  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/print-fontconfig.diff: bin
	silly warning, fix crasher bug.

2003-09-24  Martin Kretzschmar  <martink@ximian.com>

	* patches/OOO_1_1_RC3/apply: 
	* patches/OOO_1_1_0/apply: remove a bogus comment.

	* TODO:
	* patches/OOO_1_1/config-disable-mozilla.diff:
	* patches/OOO_1_1/config-switches.diff:
	* patches/RC3/config-disable-mozilla.diff
	* patches/RC3/config-switches.diff:
	fix disable-mozilla to use SCPDEFS as per config-switches.

2003-09-24  Martin Kretzschmar  <martink@ximian.com>

	* bonobo/*: import ooo-bonobo control.

2003-09-24  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/gui-appear.diff: re-add Federico's
	fix, and clobber another bogus raise.

2003-09-23  Michael Meeks  <michael@ximian.com>

	* bin/build-ooo: apply the binutils patch for local
	builds.

	* patches/ld-2.13.2.1.diff: back-ported.

	* audited vcl for memcpy usage - all seems safe wrt.
	BitmapColor.

2003-09-23  Michael Meeks  <michael@ximian.com>

	* Version 1.1.42 from here.
	
2003-09-23  Michael Meeks  <michael@ximian.com>

	* download, bin/build-ooo: update for new ooo-icons.

	* patches/OOO_1_1/ximian-splash.diff: switch
	to different icons for the intro etc. to make
	life easier for Debian.

	* patches/OOO_1_1/icon-render.diff: bin the
	SetCrop stuff, it's no longer necessary.

2003-09-22  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1/setup-ld-path.diff,
	* patches/OOO_1_1_0/apply: bin; merged upstream;
	all the others seem fine ...

	* patches/Makefile.am, patches/order,
	* configure.in: add new dir.

	* patches/OOO_1_1_0/apply: add.
	* patches/OOO_1_1/*: CVS copy from RC3/ this is
	for the ongoing _1_1 work.

	* patches/OOO_1_1_RC3/gui-toolbox-prelight.diff:
	extract compatible version from history.

2003-09-19  Michael Meeks  <michael@ximian.com>

	* patches/ld-speedup.diff: patch from Dirk Mueller,
	need to re-hash some bits to use it.

	* bin/ooo-wrapper.in: upd. debugging.

	* patches/OOO_1_1_RC4/apply: disable
	speedup-bootstrap-cache since Martin reports problems.

2003-09-18  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1_RC3/apply, patches/OOO_1_1_RC4/apply:
          do not apply unzip-cleanup.diff for Debian; makes powerpc
          build fail.

2003-09-18  Michael Meeks  <michael@ximian.com>

	* tested OO.o with LD_BIND_NOW: ~25% slower startup;
	a shame indeed.

	* xmlhelp/source/cxxhelp/provider/content.cxx: hard codes
	.gif, need to clobber all .gif assumptions in there.

	* Documentation build research;cf.
	http://documentation.openoffice.org/online_help/index.html
	icon images seem to differ by xlink:href="65640", xlink:href="65980"
	a 'unique id' per image; loads of ugly .gif files in
	* helpcontent/unx/common/english_us/picture.jar: here; hmm.
	Downloads from:  http://ftp.stardiv.de/pub/OpenOffice.org/contrib/helpcontent/readme.txt
	Also: ftp://ftp.linux.cz/pub/localization/OpenOffice.org/devel/1.1.0-RC4/build-9/build/Files
	
	* desktop/source/app/lockfile.cxx: managed to fall
	foul of this rather randomly, no idea why.

	* doc/accessibility.txt: add.

2003-09-17  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* doc/cuckooo.txt: notes on cuckooo.

2003-09-17  Michael Meeks  <michael@ximian.com>

	* patches/RC3/gui-appear.diff: fix the issue.
	
	* patches/RC3/gui-appear.diff: is this the cause
	of X#48521 - if you run 'soffice.bin' it works fine,
	soffice.bin + new->doc & soffice.bin -writer foo.doc
	however breaks nicely.
	Inconsistancy if you do soffice.bin -writer /tmp/a.doc
	you get 1 window with a.doc, the 2nd time you get an
	extra blank window.

	* patches/RC3/print-fontconfig.diff: fixed PDF
	export problems.

	* patches/RC3/print-fontconfig.diff: started hacking
	at this to get font sub-setting bits implemented.
	Need: SalGraphics::AddTempDevFont, CreateFontSubset,
	GetFontEncodingVector; still bin GetDevFontSubstList
	since it's for broken font substitution tables.
	=> add addFontFile, createFontSubset, getEncodingMap

2003-09-17  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* patches/RC3/speed-bootstrap-cache.diff: fix path to
	bootstrap.cxx.

2003-09-16  Michael Meeks  <michael@ximian.com>

	* patches/RC3/gui-splash-redraw.diff: fix header snafu.
	
	* patches/RC3/speed-bootstrap-cache.diff,
	* patches/OOO_1_1_RC4/apply: accelerate startup.

	* patches/RC3/gui-splash-redraw.diff,
	* patches/OOO_1_1_RC4/apply: fix splash re-render
	as previously.

	* bin/linkoo: link libspl (splash component).

	* patches/RC3/gui-image-load.diff: catch another
	Image constructor path, hurting alpha in sd
	navigator.

	* desktop/source/app/icon_resource_ooo.cxx: is
	where the (XPM) icons lurk for the window manager
	to use for this and that.

2003-09-15  Michael Meeks  <michael@ximian.com>

	* bin/build-ooo: fail on bogus un-patching.
	(OOO_ICONS_VER): switch to ooo-icons-RC3-5.

	* patches/RC3/icon-render.diff: interpolate alpha
	at the quality requested.

	* patches/RC3/gui-insensitive.diff: fix impimage
	GetMaskBitmap.

	* vcl/source/gdi/impimage.cxx: found GetMaskBitmap
	brokenness via. HasGreyPalette helper.

	* patches/RC3/bmp32.diff: make GetAlphaMask const.
	* patches/RC3/icon-render.diff: grab alpha from
	BitmapEx( bitmap, color ) constructor.

	* patches/RC3/gui-toolbox-prelight.diff: make
	prelighting work again - don't move icons on
	pre-light & improve the effect.

2003-09-13  Michael Meeks  <michael@ximian.com>

	* patches/RC3/bmp32.diff: add bmpcore.hxx prototype.

	* patches/RC3/bmp32.diff: add GetAlphaMask prototype.

2003-09-12  Michael Meeks  <michael@ximian.com>

	* patches/RC3/crash-mapmode.diff,
	* patches/OOO_1_1_RC4/apply: guard against really
	strange incoming mapmodes from the resources.

	* patches/RC3/gui-image-load.diff,
	* patches/OOO_1_1_RC4/apply: add; fixing load issues.

	* patches/RC3/gui-icon-composite.diff: shrink
	drastically.

	* patches/RC3/gui-insensitive.diff: manage the
	alpha parts, and rendering more carefully.

	* patches/RC3/icon-render.diff: re-work to use
	the standard alpha mask code / bin toolbox hack.

	* patches/RC3/icon-render.diff: re-work for more
	thorough alpha mask stuff.

2003-09-11  Michael Meeks  <michael@ximian.com>

	* patches/RC3_030729/*: bin it all.

2003-09-10  Michael Meeks  <michael@ximian.com>

	* patches/RC3/rsc-no-crash.diff,
	* patches/OOO_1_1_RC4/apply: add.

	* doc/alpha-rework.txt: notes on getting the alpha
	toolbar stuff working nicely & up-streamed.

	* svx/source/dialog/hyperdlg.cxx: problems with alpha
	* svx/source/dialog/iconcdlg.cxx: via this widget
	* svtools/source/contnr/ivctrl.cxx (DrawEntryWidget): to this.

2003-09-10  Michael Meeks  <michael@ximian.com>

	* doc/announce.txt: add to help me.

2003-09-09  Michael Meeks  <michael@ximian.com>

	* offmgr/source/offapp/ooo.src -> ooo64501.res which
	gets renamed into iso64501.res by the installer to
	cause maximum confusion.
	So ... sxNNNNN is the StarOffice prefix, but soNNNNN
	is the OO.o prefix; we need to install our new/data etc.
	icons over the 'so' prefixed ones; tedious renaming
	action required.

2003-09-09  Michael Meeks  <michael@ximian.com>

	* Version 1.1.40

2003-09-09  Michael Meeks  <michael@ximian.com>

	* patches/RC3/gui-vcl-fix-borders.diff: better
	patch from Philipp.

	* patches/OOO_1_1_RC4/apply: bin crashdump-disable,
	it's up-stream now.

	* configure.in, patches/Makefile.am,
	* patches/order, patches/OOO_1_1_RC4/*: add.

	* www/hackers-guide.html: add Julian's fixes.

	* patches/RC3/gui-ft-pt-not-pixel.diff:
	fix toDouble call to use working string class.

2003-09-08  Michael Meeks  <michael@ximian.com>

	* patches/RC3/setup-ld-path.diff: misc. fixes;
	thanks to Anders really.

	* bin/catch-endif: update to handle '\n' at EOF,
	also ignore whitespace post #endif, deal with C++
	vs. C comments appropriately.

2003-09-07  Rene Engelhard <rene@debian.org>

	* patches/OOO_1_1_RC3/apply: apply gui-icon-compsite.diff,
	  gui-tbx-ctrl-bg.diff, gui-tbx-new-size.diff and
	  gui-new-icons.diff on Debian, too

2003-09-05  Michael Meeks  <michael@ximian.com>

	* basctl/source/dlged: looks like StarBasic
	IDE inc. GUI dialog editor. Problem is - it
	covers a rather pitiful sub-set of the base
	widgets; no tab dialog [etc.]

	* patches/RC3/gui-tbx-palette.diff,
	* patches/OOO_1_1_RC3/apply: make the default
	palette size more sensible; ie. no scroll-bar.

	* patches/RC3/gui-vcl-fix-borders.diff,
	* patches/OOO_1_1_RC3/apply: fix the click
	elsewhere->popdown issue (& presumably others).

	* vcl/source/window/winproc.cxx (ImplHandleMove):
	poke here for aweful popup behavior. Called from
	ImplWindowFrameProc, called from HandleResizeTimer
	timeout ( mbMoved && ! mbSized ). strangeness in
	(HandleReparentEvent) magic '-1's.
	Removing the magic '-1's on the Left/Top decoration
	calculation makes it work as expected...

	* www/mgp-users.html: add bit on how to setup
	backgrounds etc.

2003-09-04  Kenneth Rohde Christiansen  <kenneth@gnu.org>

	* patches/RC3/word-count.diff: Danish "translation" for the "Word
	Count" menu item: "Statistik."

2003-09-03  Michael Meeks  <michael@ximian.com>

	* Version 1.1.39.

2003-09-03  Michael Meeks  <michael@ximian.com>

	* src/README: add to keep directory alive on update -Pd.

	* src/ooo-icons*: cvs remove; stale anyway, we should
	use 'download' for these instead.

	* patches/order: tag OOO_1_1_RC3 as buildable.

	* patches/RC3/doc-defaults.diff: remove the MS format
	setup, we do this with the COMPATIBLE env. var now
	in app-compatible.diff - thanks to Martin for the fix.

	* patches/RC3/gui-toolbox-large-icons.diff,
	* patches/OOO_1_1_RC3/apply: re-work / re-apply.

2003-09-02  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1_RC3/apply: add startup-fix.

	* patches/RC3/crashdump-disable.diff: fix another
	irritating FULL -> full product check.

	* patches/RC3/startup-fix.diff: fix a plethora of
	problems that screw up startup notification for the
	2nd application.

	* patches/RC3/crashdump-disable.diff: add
	newlines at EOF for scp patches.

2003-09-01  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* patches/RC3/word-count.diff: add French "translation" of "Word
	count", "Statistiques", stolen from Abiword. For other languages
	use "Word count" (they'd use "Woerter zaehlen" otherwise).

2003-08-30  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* patches/RC3/icon-render.diff: fix build.

2003-08-29  Michael Meeks  <michael@ximian.com>

	* patches/RC3/print-generic-gui.diff,
	* patches/RC3/print-cups.diff,
	* patches/RC3/vfs-offapi.diff,
	* patches/OOO_1_1_RC3/apply: re-work / re-enable
	everything.

	* patches/RC3/gui-ft-use-system-font.diff,
	* patches/RC3/desktop-integration.diff: re-work.
	
	* patches/RC3/gui-font-antialias-size.diff,
	* patches/RC3/gui-startup-declutter.diff,
	* patches/RC3/icon-render.diff,
	* patches/RC3/gui-appear.diff: re-make for fuzz 1.
	* patches/OOO_1_1_RC3/apply: disable a number of
	Ximian only patches for re-factoring ...

2003-08-29  Chris Halls  <halls@debian.org>

	* patches/OOO_1_1_RC3/apply: add gui-beep-less
	to Debian/Ximian patchsets

2003-08-29  Michael Meeks  <michael@ximian.com>

	* patches/RC3/stlport-defeat-include.diff:
	re-make for OOO_1_1_RC3.
	
	* patches/RC3/config-disable-mozilla.diff:
	use SCPDEFS.

	* patches/apply.pl: reduce fuzz to one line to
	avoid crashdump pain happening again. Only
	bump fuzz for the new version.

	* patches/RC3_0303729/crashdump-disable.diff:
	move it here, and re-hash
	* patches/RC3/crashdump-disable.diff: this for
	OOO_1_1_RC3.

	* configure.in: set version to 1.1.0 for
	OOO_1_1_RC3, not '1.1'

	* bin/ooo-wrapper.in: bin the --with-lang flag,
	bin the dictionary fiddling mess, bin the 'work'
	symlinkage, simplify arg passing in wrapper,

	* configure.in: bin version conditionals.

2003-08-28  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1_RC3/apply: add
	crash-bindings.diff & misc. controversial bits.

	* bin/build-ooo: revert font munging script
	before trying to revert patches.
	Don't build a separate tcsh script, but use
	Chris' .Set.sh, and do the source / build
	in-line

	* Version 1.1.38

	* bin/build-ooo: run autoconf in dmake for
	OOO_1_1_RC3's security fix.

	* patches/RC3/crash-bindings.diff,
	* patches/RC3_030729/apply: fix evil bindings
	crasher with Format->Character.

	* patches/RC3/build-instsetoo-lang.diff: re-make,
	everything seems to apply nicely now.

	* patches/RC3_030729/build-instsetoo-lang.diff,
	* patches/RC3_030729/Makefile.am: add.

	* Makefile.am: add emacs.el.

2003-08-28  Chris Halls  <halls@debian.org>

	* AUTHORS,
	* NEWS,
	* doc/README,
	* patches/RC3_030729/Makefile.am,
	* www/detailed-build-guide.html,
	* www/mgp-users.html,
	* www/users-faq.html,
	Add final end of line to keep diff happy

2003-08-27  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* www/hackers-guide.html (FAQ): "Why does the code look so ugly?"

	* emacs.el: elisp for nicer code display.
	
2003-08-27  Michael Meeks  <michael@ximian.com>

	* patches/RC3_030721/*, patches/order,
	* patches/OOO_1_0_3/*: prune staleness.

	* patches/RC3/layout-vcl-window.diff,
	* patches/RC3/layout-vcl-layout.diff,
	* patches/RC3/layout-test.diff: update to latest
	code - the demo works quite nicely it seems.

	* download, bin/build-ooo, bin/setup.in,
	bin/package-ooo: bin OOO_1_0_3 cruft.

	* Tag: LAST_OOO_1_0_3

2003-08-27  Chris Halls  <halls@debian.org>

	* patches/RC3/sw-export-bg-style.diff export 
	'no color' background to .doc #18671
	* OOO_1_1_RC3/apply: add to Debian & Ximian

2003-08-26  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* patches/RC3_030729/apply: 
	* patches/OOO_1_1_RC3/apply: zoom-combobox is IZ#11354

	* bin/scale-icons (scale_dirs): add res/catalan.

2003-08-26  Michael Meeks  <michael@ximian.com>

	* patches/RC3/layout-vcl-layout.diff,
	* patches/RC3/layout-vcl-window.diff: add initial
	hacked up layout impl. for re-factoring.

	* patches/RC3/layout-rsc.diff: upd. for new props.

	* patches/RC3/layout-ids.diff: add more structured
	properties.

	* patches/RC3/glib-integration.diff: don't be a
	busy-loop if we have no timeouts (doh).

2003-08-26  Michael Meeks  <michael@ximian.com>

	* Version 1.1.37
	
2003-08-26  Michael Meeks  <michael@ximian.com>

	* man/Makefile.am, Makefile.am, configure.in: add.

	* NEWS: upd.

	* doc/Makefile.am, doc/README: distribute.

	* patches/Makefile.am: prune OOO_1_0_3 and old RC3
	directories from distribution, pkg. 'order'

	* Version 1.1.36

	* bin/build-ooo: pass misc. flags to cut down the gcc
	build to speed things up: thanks to Nick Hudson.

	* patches/RC3/disable-mozilla.diff: remove, stale.

2003-08-25  Michael Meeks  <michael@ximian.com>

	* patches/RC3/layout-test.diff: add a devel-test to
	svtools/workben.

2003-08-23  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1_RC3/apply: apply compile-msgbox-gnome.diff
	for Debian
	* patches/RC3/compile-msgbox-gnome.diff: add

2003-08-25  Michael Meeks  <michael@ximian.com>

	* patches/RC3/layout-rsc.diff: add a sub-entry count
	on WriteRc - to allow hierarchical read.

	* patches/RC3/gtk-integration.diff: fix typo.

2003-08-25  Michael Meeks  <michael@ximian.com>

	* bin/relocate: add tool for re-locating live OO.o
	build trees - re-writes .Set.sh.

2003-08-22  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* bin/linkoo: link getstyle-gnome, msgbox-gnome.

2003-08-22  Michael Meeks  <michael@ximian.com>

	* patches/RC3/layout-rsc.diff: some layout related
	changes to the resource compiler; still need to
	output flattened RSC_LAYOUT information in a block.

2003-08-22  Rene Engelhard  <rene@debian.org>

	* patches/OOO_1_1_RC3/apply: use gtk-themeing.diff for Debian, too
	
2003-08-22  Michael Meeks  <michael@ximian.com>

	* bin/catch-endif: we need to run this over the
	whole OO.o source tree at some stage.

2003-08-21  Michael Meeks  <michael@ximian.com>

	* patches/RC3/layout-ids.diff: add.

	* doc/layout*.txt: add for now.

	* patches/apply.pl (apply_patches): try to
	improve patch number allocation.

	* patches/RC3/gtk-integration*: split, actually
	enable gdk locking, and improve it.

	* bin/package-ooo: fix pkgconfig install issue.
	* desktop/Makefile.am: fix .desktop install issue.

	* bin/snapshot-build: add loop for snapshot building.
	* configure.in: add SNAPSHOT_TAG, munge it into
	* ooo.spec.in: this on every configure.

	* po/Makefile.am: add; just dist. the files.
	* desktop/Makefile.am: add the .desktop generation rule.
	* intltool*: add.
	* Makefile.am: ditto.
	* configure.in: expunge all traces of gettext,
	generate intltool myself.

2003-08-21  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* patches/RC3_030729/apply:
	* patches/OOO_1_1_RC3/apply: update comments.

	* TODO: upd.

	* patches/RC3/zoom-combobox.diff: Add the zoom combobox to the
	default functionbar (top toolbar).  Had to copy the definition of
	SID_ATTR_ZOOM to sfx2.  What a hack.  And I'm not the first one to
	do this, grep for SID_SVX_START in sfxsids.hrc :-(.  Remove the
	other zoom combobox from the page preview toolbar in writer.

2003-08-20  Abel Cheung  <maddog@linux.org.hk>

	* configure.in: Added "de" "es" "no" "sq" "zh_TW" to ALL_LINGUAS.

2003-08-20  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* patches/OOO_1_1_RC3/apply: fix typo.

2003-08-20  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "sv" to ALL_LINGUAS.

2003-08-20  Michael Meeks  <michael@ximian.com>

	* patches/RC3/crashdump-disable.diff: fix product
	checks in crashdump - most odd.

	* bin/package-ooo: make some effort to install
	the odk somewhere, pending replies on udk-devel.
 
	* Makefile.am: build the desktop files before bin/

	* autogen.sh: run gettextize - this is a hazard,
	it does a recursive find on all of OO.o

2003-08-20  gettextize  <bug-gnu-gettext@gnu.org>

	* Makefile.am (SUBDIRS): Add m4.
	(ACLOCAL_AMFLAGS): New variable.
	(EXTRA_DIST): Add config.rpath.
	* configure.in (AC_OUTPUT): Add po/Makefile.in,

2003-08-20  Michael Meeks  <michael@ximian.com>

	* patches/RC3/udk-fixes.diff: bin this, apparently it
	all lives in odk/ now.

2003-08-20  Carlos Perelló Marín <carlos@gnome.org>

	* configure.in: Added intltool checks.
	* Makefile.am: Added intltool scripts
	* desktop/*.desktop: Renamed as .in to use intltool to manage the
	translations
	* desktop/Makefile.am: Added the intltool rules.
	
2003-08-20  Michael Meeks  <michael@ximian.com>

	* Packaging the UDK: we need to checkout udk_src
	in our source archive as well as OpenOffice ...
	io/ needs building.
	* patches/RC3/udk-fixes.diff: start unwinding this
	mess; problems with libcppuhelpergcc3.so symlinkage.

	* patches/RC3/gui-beep-less.diff,
	* patches/RC3_030729/apply: add for TigerT.

	* doc/print-integration.txt: add.

	* patches/RC3/config-get-correct-path.diff: another
	incidence of $ds instead of $ps fixed.

2003-08-19  Michael Meeks  <michael@ximian.com>

	* patches/RC3/sd-export-html-theme.diff: add the
	missing source: doh.

	* configure.in: add a check for broken aliasing [duh]

	* patches/RC3/gtk-integration.diff: complicate the
	solarmutex / salinst.cxx locking scheme to integrate
	with gdk's global lock - a first pass.

	* patches/RC3/glib-integration.diff: instantiate
	the YieldMutexReleaser in the right place; get the
	timeout calculations right.

2003-08-19  Chris Halls  <halls@debian.org>

	* patches/apply.pl: Get smart when applying patches.
	Compare patches that have already been applied with
	the original, and if changed, unapply old copy and 
	reapply new version.  Detect and unapply patches that 
	have been removed from the patchset.

	* patches/RC3/zoom-combobox.diff: Deliver new header
	from svx so it is available in starmath

2003-08-19  Michael Meeks  <michael@ximian.com>

	* patches/RC3/sd-export-html-upd.diff: bin duplicate.
	* patches/RC3/sd-export-html.diff: same fix

2003-08-19  Chris Halls  <halls@debian.org>

	* patches/OOO_1_1_RC3/apply: Add a few more patches
	into Debian set and sync up with RC3_030729/apply

2003-08-19  Michael Meeks  <michael@ximian.com>

	* patches/RC3/sd-export-html-upd.diff: add missing
	header section.
	
	* doc/gtk-integration.txt: add; (sigh).

	* patches/RC3/config-get-correct-path.diff: use $ps,
	not $ds to re-join path (doh)

2003-08-18  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* patches/RC3/zoom-combobox.diff: fix sw build (sorry), add sc,
	sd, starmath bits.

	* bin/linkoo: link starmath library.

2003-08-18  Michael Meeks  <michael@ximian.com>

	* patches/RC3/gtk-integration.diff: it seems we
	have to hold mpSalYieldMutex over all XEvent type
	methods.

	* patches/RC3/sd-export-html-descr.diff,
	* patches/RC3_030729/apply: add the new icon
	description - fixing #46921.

	* download, bin/build-ooo: use ooo-icons-RC3-3.

	* patches/RC3/sd-export-html-theme.diff,
	* patches/RC3/sd-export-html.diff,
	* patches/RC3_030729/apply: deprecate sd-export-png.diff,
	included in -export-html.diff; bin daft gallery use in
	html export; improve HTML export process.

2003-08-18  Chris Halls  <halls@debian.org>

	* patches/RC3/deliver-compare.diff: In headbau_if_newer,
	don't try to read file from solver if it doesn't exist yet.
	Fixes 'readline() on closed filehandle' and related errors.

2003-08-18  Michael Meeks  <michael@ximian.com>

	* patches/RC3/build-instsetoo-lang.diff: allow
	specifying the target lang to fully pack with
	BUILD_MINIMAL=33 (eg.).

	* bin/build-ooo: set BUILD_MINIMAL to avoid a massive
	instsetoo

2003-08-17  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* patches/RC3/zoom-combobox.diff: change SvxZoomToolBoxControl to
	work with SvxZoomItems.
	Simplified: doesn't introduce FN_WRITER_ZOOM any longer.  Disabled
	RCS keyword expansion.  (zoom box hidden by default again, will fix
	this soon.)

2003-08-17  Chris Halls  <halls@debian.org>

	* patches/RC3/bmp32.diff: Fix const error detected by
	stricter g++ 3.3.1

2003-08-17  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* patches/RC3/zoom-combobox.diff: fix encoding problems, bad
	indentation.  The (re)source files don't even have an encoding,
	only something like ``legacy-mixed''.  Create a copy of
	SwPreviewZoomControl in svx: SvxZoomToolBoxControl, use that
	( only in sw).
	
2003-08-17  Chris Halls  <halls@debian.org>

	* patches/apply.pl: Copy applied patches into 
	applied_patches, and apply them in reverse order
	when unapplying.  Try to tidy up the output a little.

	* patches/RC3/build-instsetext.diff: Bring back Debian
	version, which allows install set selection using 
	'insetsetext=nn,nn' until I've found out how Michael's is
	supposed to be used.

	* patches/OOO_1_1_RC3: Carry on adding patches to Debian
	set.  gui-toolbox-large-icons commented out - doesn't
	apply cleanly to RC3.

2003-08-16  Michael Meeks  <michael@ximian.com>

	* bin/setup.in: put jdk first in path, so we don't use
	gcc's "jar" which can't do '-u'.

2003-08-15  Michael Meeks  <michael@ximian.com>

	* patches/RC3/htmltheme.diff: the beginnings of the 
	html export, theme re-write.
	
	* www/users-faq.html: add bits about gallery defines.

	* Poked at the gallery again, stupid binary file format cf.
	* extras/source/gallery/gallery_system/*
	* svx/source/gallery2/

	* patches/RC3/glib-integration.diff: only wait on bWait.

2003-08-14  Michael Meeks  <michael@ximian.com>

	* patches/RC3/system-vera-fonts.diff: fix silly.

2003-08-15  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* patches/RC3/gui-toolbox-cleanup.diff: hide the URI box.

	* patches/RC3_030729/apply: enable it.

	* patches/RC3/zoom-combobox.diff: show the zoom control by
	default.

2003-08-14  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* TODO: update.

	* patches/RC3_030729/apply: add zoom-combobox.diff.

	* patches/RC3/zoom-combobox.diff: a zoom combobox for
	writer's tool bar.

2003-08-14  Michael Meeks  <michael@ximian.com>

	* patches/RC3/gtk-integration.diff: add
	missing makefile / header bits.

	* patches/RC3/config-disable-mozilla.diff:
	disable the moz/zipped bits too.

2003-08-14  Chris Halls  <halls@debian.org>

	* patches/OOO_1_1_RC3/apply: oops, accidentally
	lost some patches in the Debian set; add back in

2003-08-14  Michael Meeks  <michael@ximian.com>

	* patches/RC3/sd-export-png.diff: bin duplicate
	section lurking in the middle.

	* patches/RC3/glib-integration.diff: add
	missing SalXLib fields.

2003-08-14  Chris Halls  <halls@debian.org>

	* patches/apply.pl: Test all patches at once
	before applying/unapplying

	* patches/OOO_1_1_RC3/apply: add sd-export-png.diff
	to both patchsets

2003-08-14  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_1_RC3/apply: shuffle, to include
	more bits in the Ximian version.

	* patches/RC3_030729/apply: add config-aclocal.diff,
	icu-no-rpath.diff, and setup-no-langcheck.diff
	we get the right macro set (AM_PATH_PYTHON etc.).

	* patches/RC3/sd-export-png.diff: export either as
	.png or .jpeg, update the GUI, export the buttons as
	.png or .jpeg as per user selection & never as .gif.
	* patches/RC3_030729/apply: enable it.

	* goodies/source/filter.vcl/*: a load of graphic
	export filters each with 2 methods:
	(GraphicExport, DoExportDialog). Used by
	* svtools/source/filter.vcl/filter/filter.cxx: this.
	tagged by GFF_GIF, GIF_SHORTNAME, IMP_GIF.
	a quick text search for GetExportFormat shows many instances.
	* sd/source/filter/html/pubdlg.cxx: pwrt. here.

2003-08-14  Chris Halls  <halls@debian.org>

	* patches/apply.pl: unapply patches by using patch -R in
	  reverse order.  Round-tripping works now.  Each patch is
	  tested using --dry-run to make sure it is either completely
	  applied or not at all.

2003-08-14  Michael Meeks  <michael@ximian.com>

	* patches/RC3/sd-export-png.diff: the beginning of
	png export.

	* goodies/source/filter.vcl/*: a load of graphic
	export filters each with 2 methods:
	(GraphicExport, DoExportDialog). Used by
	* svtools/source/filter.vcl/filter/filter.cxx: this.
	tagged by GFF_GIF, GIF_SHORTNAME, IMP_GIF.
	a quick text search for GetExportFormat shows many instances.
	* sd/source/filter/html/pubdlg.cxx: pwrt. here.

	* patches/RC3/config-disable-mozilla.diff,
	* patches/RC3_030729/apply: add.

	* configure.in: disable the checks for mozilla bits.

	* patches/RC3_030729/apply: bin system-mozilla.diff as
	a bad joke.

	* patches/RC3/config-switches.diff: add --enable-mozilla
	switch to configure [that we will never pass]
	
	* patches/RC3/system-vera-fonts.diff: bin
	whitespace fumbling at the end.
	
	* bin/latest-patchset: re-write to use patches/order.

	* patches/order: add - a tree description file.

	* patches/OOO_1_1_RC3/Makefile.am: add.
	* patches/Makefile.am: upd.
	* configure.in: add autoconf bits for 1_1_RC3.

	* patches/RC3_030729/apply: add config-switches.diff.

	* bin/setup.in: add --disable-rpath.

2003-08-14  Chris Halls  <halls@debian.org>

	* patches/OOO_1_1_RC3/apply: new set for offical release tarballs

	* Add patches from Debian packaging:

	* patches/RC3/config-switches: add --with-python, --disable-rpath
	  and move in --without-fonts options

	* patches/RC3/config-aclocal.diff: update aclocal, for AM_PATH_PYTHON

	* patches/RC3/debug-ooo.diff: set OOO_DEBUG variable to start
	  soffice.bin with e.g. gdb or strace

	* patches/RC3/disable-lzwc.diff: hack to bin patentented LZW
	  compression algorithm for .GIFs.  Needed for Debian

	* patches/RC3/dmake-tempnam.diff: fix dmake tempfile vulnerability

	* patches/RC3/icu-no-rpath.diff: ICU was patched to include rpaths,
	  bin it to comply with Debian policy

	* patches/RC3/setup-no-langcheck.diff: On upgrade, setup checks that
	  the install language matches, bin it because we're using langpacks

	* patches/RC3/spell-sv-HTML.diff: Fix small typo in Swedish
	  translation

	* patches/RC3/stlport-dynamic-link.diff: Don't link setup statically
	  to stlport library since we run setup during packaging when
	  libstlport is available

	* patches/RC3/system-python.diff: Initial work to use the system
	  python instead of the OOo internal version.  This needs more work:
	  the internal build drops the version suffix and that causes problems

	* patches/RC3/system-vera-fonts.diff: (updated) move config switch to
	  separate patch, don't even unpack the fonts into the solver, don't
	  pack them for setup.
	
	* patches/apply.pl: Die if PATCHPATH is not set in apply

2003-08-14  Michael Meeks  <michael@ximian.com>

	* patches/apply.pl: bin the %copy mess, it was a bad
	idea anyway, add the PATCHPATH= concept, revert patches
	in reverse order.

	* patches/RC3_030729/apply: add PATCHPATH bits.

	* patches/RC2*: bin.
	
	* Tag: patches/*: LAST_RC_2

2003-08-13  Michael Meeks  <michael@ximian.com>

	* bin/package-ooo: do the real installing action later,
	pre-process man pages, and build referring pages,
	but not for Debian - where these are separate.

	* man/openoffice.1.in: add Rene Engelhard's nice man 
	page (under the JCA).

	* bin/setup.in: add --without-fonts.

	* patches/RC3_030729/apply: add system-vera-fonts.diff.

	* patches/RC3/gtk-integration.diff: re-work,
	clean-up and prettify - seems to work quite
	nicely (so far).
	
2003-08-13  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* patches/RC3/system-vera-fonts.diff: configure option to remove
	internal Bitstream Vera fonts from the install set.  config_office
	parts originally by Chris Halls.  Definition of SCPDEFS must be
	moved out of the makefile.mk, says Chris.

	* patches/RC3/word-count.diff: enable word count for read-only docs,
	move it to the Documents Group, fix German translation.

2003-08-13  Michael Meeks  <michael@ximian.com>

	* bin/build-ooo: disable gcc/binutils builds if we
	passed --with-system-gcc.

	* configure.in: add --with-system-gcc, enable it by
	default for --with-distro=Debian.

2003-08-12  Michael Meeks  <michael@ximian.com>

	* patches/RC3/glib-integration.diff: split out.

	* patches/RC3/gtk-integration.diff: need to tie down
	* vcl/unx/source/app/salinst.cxx (AnyInput): odd. called b
	* vcl/source/app/app/svapp.cxx (AnyInput) (INPUT_TIMER) etc.
	SalXLib::Insert summary:
	* vcl/unx/source/app/i18n_im.cxx: pending==queued, == simple poll
	* vcl/unx/source/app/nassound.cxx: pending==queued == AuEventsQueued
	* vcl/unx/source/app/rptpsound.cxx: cut & paste; pending == poll.
	* vcl/unx/source/app/saldisp.cxx: pending~=queued; == XEventsQueued etc.
	ergo - we have to implement a custom GSource for the sake of NAS (?)
	GSource::'check' => 'pending' [?] 
	GSource::'dispatch' => 'HandleNextEvent' [?]
	inefficient to do a poll per file descriptor - grim; hmm.
	binning the SalXLib API altogether the only real option;
	* must cope with queued non/fd. events though - so need to
	hook 'prepare' / 'check' anyway.

	* bin/ooo-wrapper.in (SyncFormat, AddFormatNode),
	(OutputXML): bin in favour of the COMPATIBLE env.
	var - de-Twig'd today.

	* patches/RC3/app-compatible.diff: use the
	'COMPATIBLE' env. var to enable MS export by
	default.

	* patches/RC3_030729/apply: enable the locale bits.

	* patches/RC3/i18n-use-locale.diff: the start of
	a re-hash using LANG instead of 'DefaultLocale'

	* patches/RC3/i18n-cleanup.diff: bin some cruft

2003-08-12  Anders Carlsson  <andersca@codefactory.se>

	* bin/setup.in:
	Set CCACHE_DIR after BUILDDIR, so we won't have
	ccache trying to create its files in /.ccache.
	
2003-08-12  Michael Meeks  <michael@ximian.com>

	* unfortunately, this screws up the DefaultLocale
	hackery - this also needs ignoring.
	Interesting files where 'DefaultLocale' shows up:
	* sw/source/ui/app/appopt.cxx: patched.
	* svtools/source/misc/lingucfg.cxx: patched.
	* svtools/inc/linguprops.hxx: UPN_DEFAULT_LOCALE ->
	* linguistic/source/lngopt.cxx: patched.

	* bin/ooo-wrapper.in: bin 1.0.N support,
	completely axe nasty i18n XML hackery.

	* patches/RC3/i18n-use-lang.diff: upd.
	* patches/RC3_030729/apply: use it.

	* Tag: LAST_WRAPPED_LANG.

2003-08-11  Michael Meeks  <michael@ximian.com>

	* patches/RC3/i18n-use-lang.diff: start of patch
	to bin the (daft) non-use of LANG to determine the
	UI (etc.) language to use.

	* desktop/source/app/ssoinit.cxx (GetLanguageType),
	* unotools/source/config/configmgr.cxx's: poked
	at misc. LOCALE paths.
	Other interesting ooLocale key reads from:
	* stoc/source/javavm/javavm.cxx,
	* xmlhelp/source/treeview/tvread.cxx: these.
	It seems useful tools for conversion lurk
	* tools/source/intntl/isolang.cxx: here.

	* patches/RC3/config-get-correct-path.diff,
	* patches/RC3_030729/apply: add, remove
	config-path-unbreak.diff (a more feeble version)

	* poked the mailing lists wrt. evo. / LDAP
	support / exposure in the next version - the
	mozilla work is too broken by half.

2003-08-09  Michael Meeks  <michael@ximian.com>

	* patches/RC3/gui-metric-fonts.diff: fix typo
	closing tag.

2003-08-08  Michael Meeks  <michael@ximian.com>

	* bin/font-munge, bin/build-ooo: add to munge in
	our custom XD2 fonts as well.

	* patches/RC3/gui-metric-fonts.diff,
	* patches/RC3_030729/apply: try to get this right.

	* README: add mailing list link.

	* bin/package-lang: prefer to copy files from the
	solver if we can.

	* patches/RC3/build-instsetoo-lang.diff,
	* patches/RC3_030729/apply: add instsetoo changes
	necessary for this.

	* patches/RC3/build-lang-no-pack.diff: shave off all
	the copied zip files as well.
	
	* src/ooo-icons-RC3-2.tar.gz: upd. to this.

	* patches/RC3/build-lang-no-pack.diff: add Chris Halls'
	patch adding an -O option to avoid generating huge
	lang-packs from Debian; under JCA.

	* NEWS, README: upd.

	* patches/no-sucking-cursor.diff: stale, remove.

2003-08-08  Michael Meeks  <michael@ximian.com>

	* Version 1.1.35

	* configure.in: default prefix to /usr

	* bin/package-ooo: replace the ooo-wrapper symlinkage.

	* bin/Makefile.am: bin cruft.

2003-08-07  Michael Meeks  <michael@ximian.com>

	* bin/linkoo: link lots of connectivity libraries.

2003-08-07  Michael Meeks  <michael@ximian.com>

	* Version 1.1.34

2003-08-07  Michael Meeks  <michael@ximian.com>

	* Makefile.am: prune mysterious config.rpath

	* configure.in, bin/setup.in: use @OOO_VERSION@ not
	@VERSION@ to avoid confusing automake.

	* patches/RC3_030729/apply: file lots of patches in IZ.

	* patches/RC3/print-error.diff,
	* patches/RC3_030729/apply: re-hash so it doesn't segv.

	* patches/RC3/gui-sc-delete.diff,
	* patches/RC3_030729/apply: make the delete key happy again.

	* gui-sc-delete.diff: we include the new icons.

	* patches/RC3/word-count.diff,
	* patches/RC3_030729/apply: add word count feature.

	* word-count: sw/source/ui/uiview/viewling.cxx:
	Can get an SfxShell, SwWrtShell, SwEditWin.
	cf. sw/source/ui/inc/docstdlg.hxx; 
	Need to invoke: SwDocShell::CreateDocumentInfoDialog
	class SwGlobalDocShell : public SwDocShell
	class SwWebDocShell: public SwDocShell
	class SwDocShell: public SfxObjectShell, SfxInPlaceObject, SfxListener
	class SfxShell: public SfxBroadcaster
	class SfxObjectShell: public SfxShell, virtual public SvPersist
	SfxObjectShell has the virtual: CreateDocumentInfoDialog ...
	class SwView: public SfxViewShell
	class SfxViewShell: public SfxShell, public SfxListener

2003-08-06  Michael Meeks  <michael@ximian.com>

	* patches/RC3_030729/gui-menu-check-render.diff,
	* patches/RC3_030729/gui-menu-check-images.diff,
	* patches/RC3_030729/apply: add back Industrial -
	style check menu rendering.

	* patches/RC3_030729/user-desktop-install.diff,
	* patches/RC3_030729/apply: remove builtin KDE/Gnome
	integration from the default install set.

	* patches/RC3_030729/path-home-documents.diff,
	* patches/RC3_030729/apply: re-hash the ~/Documents save
	patch.

	* 'standard directory' grokking for file selector; ->
	SvtPathOptions().GetWorkPath(); -> GetPath(PATH_WORK) ->
	Office.Common/Path/Default.
	* /officecfg/registry/schema/org/openoffice/Office/'Work' & 'Default'
	points to $(work)

	* bin/install-dict.in: tweak.

	* bin/package-lang: bin bogus rpm generation.

	* configure.in, bin/setup.in, package-ooo: bin SUDO,
	accept --prefix and DESTDIR options - this was really
	tedious, bin bogus rpm building mess.

	* ooo.spec.in, ooo1.1.spec.in: bin old/nasty/stale.

	* bin/setup: prune cruft.

	* bin/build-ooo: pass --distro=$DISTRO

	* patches/apply.pl: accept a --distro=Debian type
	commandline option ...

	* www/users-faq.html: add bits from Debian's guide.

	* download, bin/build-ooo: update to ooo-icons-RC3-2.

	* www/users-faq.html: add with various tips.

2003-08-05  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* bin/linkoo: die if link target is a relative path.

2003-08-05  Michael Meeks  <michael@ximian.com>

	* www/index.html: update news.

	* www/hackers-guide.html: describe how to use
	'ooo-build'.

	* www/detailed-build-guide.html: split much of the
	legacy of pain out into here.

	* patches/RC3/vfs-uno-register.diff: bin the
	scp/source/player/player.scp bits; apparently all we
	need is a SPECIAL_UNO_LIB_FILE nowadays (?)
	
	* patches/RC3_030729/apply: bin gui-templ-icon.diff
	bit; seemingly organize->templates bg icon rendering is
	fine in 1.1; bin the no-send-to-menu.diff stuff.

	* patches/RC3/gui-icon-composite.diff: merge in the
	gui-fixed-image fixes, (tools->options, 3d effects etc.)

	* patches/RC3/vfs-uno-uri.diff: add 'ncp' for
	Novell share browsing.

	* TODO: upd.

	* patches/RC3/external-programs.diff: bin, obsolete.

	* patches/RC3/gui-ft-use-system-font.diff,
	* patches/RC3/capitalization.diff,
	* patches/RC3/doc-defaults.diff: re-generate
	doing unnecessary change to add enough context to
	apply sloppily to the right place.

2003-08-04  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* www/name-account.html: add my @openoffice.org account.

	* desktop/ximian-openoffice-web.png: icon for ooweb,
	from Jimmac's site.

	* desktop/ximian-openoffice-template.png: 
	* desktop/ximian-openoffice-math.png: icons for fromtemplate
	and oomath, derived from -web.png.
	
2003-08-04  Michael Meeks  <michael@ximian.com>

	* patches/RC3_030729/unzip-cleanup.diff,
	* patches/RC3_030729/apply: add a map file to
	avoid exporting crazy symbols on Unix.

2003-07-31  Michael Meeks  <michael@ximian.com>

	* patches/RC3/word-count.diff: part implement.
	
	* www/index.html: more news.

	* patches/RC3/unzip-rewrite.diff: fix logic silly
	parsing unzip output.
	
	* TODO: add some plans.

	* patches/RC3/gui-ft-use-system-font.diff: fix for
	i18n; and over-fuzzy apply it seems.

2003-07-30  Michael Meeks  <michael@ximian.com>

	* Version 1.1.33

	* patches/RC3_030729/buildable: builds for me.

	* patches/RC3_030729/apply: bin boost-gcc/libsn-quiet
	and push these back to prev. tag.

	* bin/build-ooo: misc. cleans.

	* configure.in: add checks for ImageMagick etc.

	* bin/build-ooo: bin bogus util build.

	* configure.in: add --enable-devel option, dump the
	configuration at the end, + build instructions.

	* patches/RC3_030721/buildable: add.

	* bin/latest-patchset: check for a 'buildable'
	stamp in each patch directory, to return the latest
	known-buildable tree. To get the very latest use
	--devel.

	* bin/build-ooo (check-tarball): remove
	anachronistic bb_get stuff.

	* bin/package-ooo: install desktop files from the right place.

2003-07-30  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* bin/scale-icons (scale_dirs): add res/{czech,portbr,slovak}.

2003-07-29  Michael Meeks  <michael@ximian.com>

	* patches/Makefile.am: ship README / apply.pl

	* Version 1.1.31

	* bin/setup.in: export / setup WITH_SRC.
	* configure.in: better warnings.

	* Version 1.1.30

	* autogen.sh: update.

	* configure.in, bin/setup.in: handle DESTDIR,
	accept --with-src argument for build system.

	* patches/RC3/bmp32.diff: fixes for bigendian
	from Ed Peterlin.
	
	* configure.in,
	* bin/setup.in: rename from setup, pre-process
	in configure.

	* bin/build-ooo: unpack ooo-icons-XXX-Y.

	* download: impl. helper to assist downloading
	source archives; download ooo-icons as well.

	* configure.in: upd, to check for source in src/

	* bin/latest-patchset: add; prints the name of
	the latest patch set.

	* Makefile.am, configure.in, autogen.sh: start
	to use autotools.

	* src/ooo-icons-RC3-1.tar.gz: add icons in a
	digestible form.

	* desktop/*, etc/*: import.

	* HACKING, MAINTAINERS: add.

	* www/*: import.

	* patches/*: import.

	* bin/*: import into Gnome CVS.

2003-07-28  Michael Meeks  <michael@ximian.com>

	* patches/RC3/gcc-boost.diff: fix paths.

	* bin/setup: add --enable-crashdump=no

	* patches/RC3/crashdump-disable.diff,
	* patches/RC3_030721/apply: add.
	
	* patches/RC3/print-spadmin-disable.diff,
	* patches/RC3_030721/apply: add.

	* patches/RC3/boost-gcc.diff: upd. for commit.
	
	* patches/RC3/system-mozilla-no-moz.diff: bin, depr.
	* patches/RC3/system-mozilla-with-moz.diff: bin,
	folded into system-mozilla now.
	* patches/RC3/system-mozilla.diff: add scp bits.

	* patches/RC3/libsn-quiet.diff,
	* patches/RC3_030721/apply: add.

2003-07-22  Michael Meeks  <michael@ximian.com>

	* bin/package-ooo: fix BINSUFFIX problem wrt.
	.desktop files.

2003-07-21  Michael Meeks  <michael@ximian.com>

	* patches/RC3/desktop-integration.diff,
	* patches/RC3/system-mozilla.diff: update.

	* patches/RC3/gui-toolbox-large-icons.diff,
	* patches/RC3/config-path-unbreak.diff,
	* patches/RC3/gui-keybindings.diff: fixup.

	* patches/RC3/system-mozilla.diff: make it work
	with mozilla-1.4 as well ...

	* patches/RC3_030721/apply: add; remove
	system-libsn.diff; committed.

	* ooo-build-1.1.24.tar.gz-1: from here.

	* patches/RC2_030718/apply: revert system-mozilla
	it dies horribly with mozilla-1.4.X.

	* ooo-build-1.1.23.tar.gz-1: from here.

	* bin/build-ooo: check for mozilla-*.

	* ooo-build-1.1.22.tar.gz-1: from here.

2003-07-18  Michael Meeks  <michael@ximian.com>

	* patches/RC2/gui-control-layout.txt: add.

	* www/index.html: update.

	* patches/RC2/unzip-rewrite.diff: re-hash
	* patches/RC2/system-mozilla-with-moz.diff:
	disables 'moz' if it's there.

	* patches/RC2/system-libsn.diff: re-hash
	* patches/RC2/python-fix.diff: re-hash

	* patches/RC2_030718: add.

	* desktop/*1.1.desktop: fix .exec name.

	* bb-snaps/ximian-build.conf: package the right
	desktop files.

	* bin/package-ooo: install the right .desktop files.

	* patches/RC2/system-mozilla.diff: don't install
	anything if we're using the --with-mozilla flag,
	since that screws up our linking later.

2003-07-17  Michael Meeks  <michael@ximian.com>

	* patches/RC2/system-mozilla-no-moz.diff,
	* patches/RC2_030714/apply: don't build the 'moz'
	package if we can avoid shipping 40Mb of bloat.

	* www/*: rotate news, add patches/ link etc.

	* patches/RC2_030714/apply: re-order to avoid
	conflicts.

	* patches/RC2/system-mozilla.diff: add
	configure checks.

	* bin/setup: check gcc version and if it's too old,
	don't pass --with-mozilla, otherwise do.

	* patches/RC2/print-cups.diff: don't return if we can't
	get an SGENPRT - we can survive that quite well, cf. 'svdem'

	* ooo-build-1.1.21.tar.gz-1: from here.

	* www/name-account.html: extend.

2003-07-16  Michael Meeks  <michael@ximian.com>

	* patches/RC2_030714/apply: re-enable disable-mozilla
	for the next snap.

	* pushed RH7.3/8.0 and SS8.2 packages

2003-07-17  Michael Meeks  <michael@ximian.com>

	* ooo-build-1.1.20.tar.gz-1: from here.

2003-07-16  Michael Meeks  <michael@ximian.com>

	* patches/RC2_030714/system-mozilla.diff,
	* patches/RC2_030714/apply: try to use our system's
	mozilla, instead of disable-mozilla.diff

	* www/hackers-guide.html: add ourselves to the
	links page, add section 8.6: 'Finding where to hack'.

	* docs/mozilla.txt: add.

	* bin/build-ooo: move the libart / startup
	checks into the non OOO path.

	* Release bug -b 8451 for German bits; pushed the
	wrong package for SuSE [ forgot to update before
	re-build ], pushed the right for RH9, set off new
	8.2 and 7.3/8.0 builds.

	* patches/RC2_030714/apply: disable conflicting
	xinerama-extern-c.diff (for RH7.3).

	* patches/RC2_030714/system-libsn.diff: add guards
	for HAVE_LIBSN to our new bits.

2003-07-15  Michael Meeks  <michael@ximian.com>

	* package: package parent directories

	* patches/RC2_030714/apply: remove system-libart,
	committed.

	* patches/RC2_030707/~*: remove

	* patches/RC2/*: move lots of common stuff here to
	avoid constant dangerous CVS surgery.

	* patches/apply.pl (re_target): do sloppy matching of
	patch directory.

2003-07-15  Michael Meeks  <michael@ximian.com>

	* desktop/*1.1.desktop: add StartupNotify=true to
	all of these: nice.

	* ooo-build-1.0.16.tar.gz-1: from here (.ximian.N.16)

	* bin/setup: configure HEAD with --enable-libsn

	* bin/build-ooo: require libstartup-notification-1.0

	* patches/RC2_030707/system-libsn.diff,
	* patches/RC2_030707/apply: use libstartup-notification
	if we can to do startup notification.

	* bin/package-ooo: bin local lang-pack
	packaging; it stinks.

	* bin/ooo*.spec: add %define _internal_foo 0
	for RH9.

	* package: ship both .spec files always.

	* bb-snaps/ooo.product,
	* bb-snaps/build: add on advice from Dan, should
	make life simpler.

	* patches/RC2_030707/print-generic-gui.diff,
	* patches/OOO_1_0_3/print-generic-gui.diff:
	Translate the 'Add Printer' string, and add German
	version.

	* www/hackers-guide.html: fixes from Philipp L.

	* patches/OOO_1_0_3/help-support.diff,
	* patches/OOO_1_0_3/word-count.diff: upd. German bits.
	
	* desktop/*.desktop: add German translations
	from Stefan.

2003-07-14  Michael Meeks  <michael@ximian.com>

	* desktop/*.desktop: add X-GNOME-Bugzilla tags.

	* www/name-account.html: add.

2003-07-11  Michael Meeks  <michael@ximian.com>

	* ooo-build-1.1.19.tar.gz-1: from here.

	* bin/build-ooo: set HOME to non-empty, it seems our
	build system clobbers this => a non-building mess
	but only in BB; comment up the other bits.

	* patches/RC2_030707/gui-tbx-ctrl-bg.diff,
	* patches/RC2_030707/apply: fix pink bg. on font b/g
	color selectors in toolbar - amazingly a code clean.

	* Chasing the SID_ATTR_CHAR_COLOR control - with broken
	pink b/g; cf. svx/source/tbxctrls/tbcontrol.cxx's
	IMAGE_COL_TRANSPARENT -> COL_LIGHTMAGENTA.

	* ooo-build-1.1.18.tar.gz-1: from here.

	* patches/HEAD_030620: bin; tagged HEAD_030620_LAST.

	* bin/build-ooo: fix version check syntax.

	* ooo-build-1.1.17.tar.gz-1: from here.

	* patches/RC2_030707/system-libart.diff: upd. to use
	the system libart.

	* patches/RC2_030707/gpc-libart.diff: remove.

	* bb-snaps/ximian-build.conf: require the
	new libart_lgpl.

	* patches/RC2_030707/print-padmin-disable.diff: remove
	* patches/RC2_030707/module-buildset.diff: add, bin crashrep
	* patches/RC2_030707/apply: upd.

	* pushed new libart_lgpl packages for RH 9.0,
	SuSE 8.2 in our ooo-snapshot channel.

	* bin/build-ooo: check for new libart_lgpl.

2003-07-10  Michael Meeks  <michael@ximian.com>

	* bb_snaps/libart_lgpl: Add - we need the just-released
	version.

	* patches/RC2_030707/gui-font-size-unbreak.diff,
	* patches/RC2_030707/apply: fix this mess.

	* ooo-build-1.1.16.tar.gz-1: from here.

	* bin/build-ooo: bin link map installation.

	* ooo-build-1.1.15.tar.gz-1: from here.

	* patches/RC2_030707/gui-new-icons.diff: fix typo.

2003-07-09  Michael Meeks  <michael@ximian.com>

	* patches/RC2_030707/system-libart.diff: move in as-yet
	un-committed bits from libart_lgpl - this sucks.
	Mailed bits to Alex to fix this up, we'll need a new
	release.
	
	* fixed the libbonoboui monkeytalk issue #44542

	* patches/RC2_030707/print-padmin-disable.diff,
	* patches/RC2_030707/print-fontconfig.diff: upd.

	* patches/RC2_030707/apply: use system-libart, not gpc-libart.

	* patches/RC2_030707/system-libart.diff: re-work Federico's
	code into a more upstream-able form.

	* bin/setup (CONFIGURE_OPTIONS): set this here, and add
	--enable-libart for HEAD etc.

	* package: switch versioning logic about.

	* patches/RC2_030707/gui-new-icons.diff: re-hash for Unix \n.
	* patches/RC2_030707/defeat-stlport-include.diff: shrink.
	* patches/RC2_030707/no-sucking-cursor.diff: bin; upstream.

	* pushed new .ximian.N.15 stable packages with
	#45556 fixed, built overnight, installed, tested -
	bug fixed.

2003-07-08  Michael Meeks  <michael@ximian.com>

	* docs/action-plan4.txt: a plan of another tac.

	* patches/HEAD_030620/vfs-uno-uri.diff,
	* patches/OOO_1_0_3/uno-uri.diff: fix crasher silly #45556

	* bin/scale-icons: scale res/arab

	* bin/build-ooo: switch tag logic to allow RC_foo.

2003-07-07  Michael Meeks  <michael@ximian.com>

	* docs/org-chart.txt: add Stefan's phone number.

2003-07-06  Federico Mena Quintero  <federico@ximian.com>

	* tests/log-vpath.diff: Patch for tools/source/generic/poly2.cxx
	to keep a log of intersected ArtVPaths.

2003-06-27  Michael Meeks  <michael@ximian.com>

	* patches/HEAD_030620/gtk-integration.diff: mostly
	working gtk+ X event mainloop integration, some
	synthesized event ordering issues.
	
	* Committed all our 1.0.3 work to cvs, XD2 branch
	except the libart-lgpl bits.

	* Poked at symbol reduction in svx:
		*Impl*, *Imp*, *OCX_* ? - need OCX_Control,
		XColorList ? XBitmapTable ? XOutputDevice ?

	* Committed the icons:
	for a in *; do cvs commit -m 'XD2 - high color icons + alpha under JCA' $a ; done 2>&1 | tee /tmp/cmt-log
	
	* bin/oostripimpl.pl: add simple Impl symbol stripper.

	* patches/HEAD_030620/gui-window-layout.diff: provide
	dummy implementations of the virtual methods.

2003-06-26  Michael Meeks  <michael@ximian.com>

	* patches/HEAD_030620/gui-window-layout.diff,
	* patches/HEAD_030620/apply: add - the (ABI breaking)
	beginnings.

	* patches/HEAD_030620/xmlscript-fix.diff: fix yet again,
	this time - for the last time ! - finally I understand,
	the $Log is being expanded by CVS as we commit, breaking
	the patch, and screwing up the next applier.

	* patches/HEAD_030620/gtk-integration.diff: implement
	a first pass at a semi-working mainloop integration scheme.

	* docs/loop-integration.txt: more investigation.

	* ooo-build-1.1.15.tar.gz: upload from here.
	
	* patches/HEAD_030620/xmlscript-fix.diff: fix yet more
	brokenness generated by CVS - argh.

2003-06-25  Federico Mena Quintero  <federico@ximian.com>

	* patches/OOO_1_0_3/mail-with-evolution.diff: Do not trim the URI
	method, now that there is a patch for Evolution to support
	"file://".

2003-06-25  Michael Meeks  <michael@ximian.com>

	* docs/loop-integration.txt: add.

	* ooo-build-1.1.14.tar.gz-1: from here.

	* patches/HEAD_030620/python-fix.diff,
	* patches/HEAD_030620/apply: fix upstream python bug.

	* patches/HEAD_030620/lingu-fixes.diff,
	* patches/HEAD_030620/apply: fix more brokenness.

2003-06-24  Michael Meeks  <michael@ximian.com>

	* patches/HEAD_030603/*: remove.

	* cvs tag -Fb XD2 to OOO_1_0_3 snapshot re-rooted except for:
	User mmeeks doesnt have <Tag> access to apiwww
	User mmeeks doesnt have <Tag> access to udkwww
	User mmeeks doesnt have <Tag> access to xmlwww

	* ooo-build-1.1.12.tar.gz-2: from here.

	* patches/HEAD_030620/xmlscript-fix.diff: fix the
	complete brokenness generated by CVS - argh.

	* patches/HEAD_030620/xmlscript-fix.diff,
	* patches/HEAD_030620/apply: fix more evilness here.

	* bin/ooo-wrapper.in: add $BinSuffix to the
	cmdline argument re-routing.

	* ooo-build-1.1.11.tar.gz-2: from here.

	* patches/HEAD_030620/instsetoo-fix.diff,
	* patches/HEAD_030620/apply: don't horribly screw-up
	the installed ~/.sversionrc.

	* patches/HEAD_030620/unzip-rewrite.diff: re-add
	setup2/mow/source/loader's glib linkage.
	
	* patches/HEAD_030620/apply: fix idiocy.

	* patches/HEAD_030620/th_en_US_thes.zip, th_en_US_words.zip,
	dictionaries-US-makefile.mk: add - broken in CVS.

	* bin/setup, bin/build-ooo: bin '$QUIET' / add Anders'
	machine's setup.

	* patches/apply.pl: add the '%copy' command; HEAD is
	so broken we can't even patch it right.

2003-06-23  Michael Meeks  <michael@ximian.com>

	* patches/HEAD_030620/apply: disable xmlscript-fix.diff,
	weirdly it seems to be ok in the build system source
	archive - or at least differently broken.

	* gtk-integration.diff: add the start of some gtk+ mainloop
	integration goodness.

	* ooo-build-1.1.10.tar.gz-1: from here.

	* On RH9 we need to get BB to add:
	  %define _use_internal_dependency_generator 0
	otherwise it simply refuses to use our __find_foo
	scripts to prune bogus deps.

	* patches/HEAD_030620/gui-autocomplete.diff: upd.

	* patches/HEAD_030620/print-psprint-rehash.diff: upd.

	* patches/HEAD_030620/xmlscript-fix.diff: re-add a
	great swathe of missing stuff.

	* fixed bb_do bug with missing newline in __find_provides.

2003-06-20  Michael Meeks  <michael@ximian.com>

	* patches/HEAD_030620/apply: #15335 is fixed; all
	patches now apply cleanly.

	* patches/HEAD_030620/print-psprint-rehash.diff: upd.

	* patches/HEAD_030620/*: more re-working.

	* www/index.html: Updates from Aaron.

	* dug out export SAL_NOOPENGL=true for David, turns
	off OpenGL query/init/use in OO.o

	* www/index.html: add link to slides.

	* www/mgp-users.html: upd.

	* bin/build-ooo: set LD_ASSUME_KERNEL the jdk flakes
	without this on NPTL systems (apparently).

	* bin/setup: bin nasty TARGETID stuff.

	* patches/HEAD_030620/libodbc-soname.diff,
	* patches/HEAD_030620/debug-disable.diff: fixed upstream.
	* patches/HEAD_030620/unzip-rewrite.diff: bin
	  glib APP1STDLIBS add in setup2/mow/source/loader
	* patches/HEAD_030620/boost-gcc.diff: upd.
	* patches/HEAD_030620/apply: disable spell-ximian.

2003-06-19  Michael Meeks  <michael@ximian.com>

	* patches/HEAD_030603/capitalization.diff,
	* patches/HEAD_030603/apply: add for Dave.

	* bin/ooo-wrapper.in: update argument building from
	symlink name, so that selecting 1.1 components works.

2003-06-13  Michael Meeks  <michael@ximian.com>

	* pushed first snapshot to 'ooo-snapshot'
	channel for rh9.

	* ooo-build-1.0.9.tar.gz-1: from here [ .ximian.N.14 ]

2003-06-13  Michael Meeks  <michael@ximian.com>

	* bin/ooo-wrapper.in, etc/autoresponse.conf
	* etc/autoresponse1.1.conf: switch to ~/.xopenoffice
	to fix #44581.

	* pushed new ooo & ooo-dictionaries across all platforms.

2003-06-12  Michael Meeks  <michael@ximian.com>

	* ooo-build-1.0.8.tar.gz-1: from here.

2003-06-12  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_0_3/gui-autocomplete.diff: fix stupid
	crasher bug; <tab> in new file dialog.

	* bin/build-ooo: make it more useful for other people.

	* bin/install-dict.in: large-scale re-hash, we now bin
	the XML config and list, and build it again from scratch
	so it's fool-proof; also so we can run it on ooo upgrade.

	* patches/OOO_1_0_3/glyph-cache-speedup.diff: bin the
	XRender glyph free business.
	
	* bin/build-ooo: repair some bit-rot.

	* tests/oowriter/NotZedForm.doc: from #44274, some
	overflow problem in editable fields.

	* bb-snaps/ximian-build.conf: add new missing bits.

	* package: include autoresponse1.1.conf.

	* bb-snaps/ximian-build.conf: re-do the nasty
	recursive RPM include workarounds

2003-06-11  Michael Meeks  <michael@ximian.com>

	* bin/setup: pass the tag in via BUILD_VERSION;
	and use it to build 1.1 snaps.

	* patches/HEAD_030603/apply: submit more patches
	to bugzilla.

2003-06-10  Michael Meeks  <michael@ximian.com>

	* patches/HEAD_030603/gui-ft-use-system-font.diff,
	* patches/HEAD_030603/gui-ft-pt-not-pixel.diff,
	* patches/HEAD_030603/apply: fix some bogons in the
	font sizing / defaults system to get decent font sync
	again.

2003-06-09  Federico Mena Quintero  <federico@ximian.com>

	* package: Take in an optional TAG argument.  Create
	ooo-build-1.0.x for the stable branch, or ooo-build-1.1.x for
	HEAD.

2003-06-09  Michael Meeks  <michael@ximian.com>

	* www/index.html: announce XD2.

2003-06-07  Michael Meeks  <michael@ximian.com>

	* tests/Warnings.sxc: irritating warnings on
	re-calc / entry

2003-06-05  Federico Mena Quintero  <federico@ximian.com>

	* patches/HEAD_030603/recent-files.diff: Ported to HEAD.

2003-06-05  Michael Meeks  <michael@ximian.com>

	* patches/HEAD_030506: remove, stale & crufty.

	* bin/nothing: make it work properly ( no idea why
	the perl script doing the same thing didn't work )

	* bin/setup: knobble version to '1.1' since this is
	what is demanded by soffice.bin - if this is rendered
	1.1.0 in ~/.sversionrc then you get to run the installer
	instead.

	* chasing down a vicious bootstrap error;
	(Desktop::SetBootstrapError) -> BE_PATHINFO_MISSING
	(OfficeIPCThread::EnableOfficeIPCThread) -> IPC_STATUS_BOOTSTRAP_ERROR
	unotools (Bootstrap::locateUserInstallation) -> 
	(initUserInstallationData): it flakes in here; it seems
	the rtl::Bootstrap's getFrom ->
	rtl_bootstrap_get_from_handle returns true and '' for the key.

	* patches/HEAD_030603/apply: remember to apply it.

	* www/hackers-guide.html: update with comments from
	Anders.

	* bin/ooo-wrapper.in: revert the conditional
	-nogui bits.

	* patches/HEAD_030603/setup-nogui.diff: add, fixes
	the -nogui option.

	* patches/HEAD_030603/gui-toolbox-large-icons.diff:
	use the new key, and not the crufty old one lying
	around.

2003-06-04  Michael Meeks  <michael@ximian.com>

	* patches/HEAD_030603/gui-new-icons.diff: fix silly.

2003-06-04  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_0_3/word-count.diff: the start of
	Duncan's word-count wibnie.

	* patches/HEAD_030603/stlport-defeat-include.diff:
	make this more pleasant; don't define BUILD at all,

	* patches/HEAD_030603/gui-ft-set-hint.diff: upd.

	* patches/HEAD_030603/gui-new-icons.diff.
	* patches/HEAD_030603/help-support.diff,

	* patches/HEAD_030603/bug-buddy.diff: re-work.

	* patches/HEAD_030603/glyph-cache-speedup.diff:
	re-make (due to up-stream dithering).
	
	* patches/HEAD_030603/gui-font-scale.diff: upd.

	* patches/HEAD_030603/fix-toolkit.diff: fixed
	upstream now.

	* patches/HEAD_030603/disable-mozilla.diff:
	re-make to cope with new evoab bits.

2003-06-03  Federico Mena Quintero  <federico@ximian.com>

	* patches/HEAD_030506/xinerama-extern-c.diff: New patch to wrap
	Xinerama.h with extern "C", for RHL7.3.

	* patches/HEAD_030506/apply: Added the above.

2003-06-03  Michael Meeks  <michael@ximian.com>

	* the -net setup / install seems highly broken
	for reasons unknown.

	* bin/ooo-wrapper.in: only pass -nogui for 1.0,
	use different paths and extensions for Type
	detection XML files; bin lang hacks for 1.1.

	* bin/setup: set BINSUFFIX.

	* bin/ooo-wrapper.in: add bin-suffix bits.

	* bin/ooo1.1.spec.in: add.

	* etc/autoresponse1.1.conf: add.

	* desktop/*1.1.desktop: parallel installing
	.desktop files.

	* patches/HEAD_030506/glyph-cache-speedup.diff,
	* patches/HEAD_030506/apply: forward port.

	* patches/OOO_1_0_3/glyph-cache-speedup.diff,
	* patches/OOO_1_0_3/apply: remove an obvious
	performance silly, 

	* tag BEFORE_PARALLEL_INSTALL

2003-06-02  Michael Meeks  <michael@ximian.com>

	* patches/HEAD_030506/gui-toolbox-prelight.diff,
	* patches/HEAD_030506/apply: don't do extremely ugly
	things.

	* patches/HEAD_030506/bmp32.diff: special case
	(GetColorTransformedBitmap) for 32bit bitmaps so it gives
	sane results.

	* patches/HEAD_030506/gui-tbx-new-size.diff: fix the size
	of the 'new' button, and get the alpha scaling right.

	* sfx2/source/toolbox/tbxitem.c (SetImage) - update
	so we scale the images to the right size.

	* patches/HEAD_030506/help-support.diff: fix nasty.

	* docs/action-plan-post-xd2.txt: add.

	* patches/HEAD_030506/print-cups.diff: add the
	salprn.h bits.

2003-05-30  Federico Mena Quintero  <federico@ximian.com>

	* patches/OOO_1_0_3/recent-files.diff: We need only Glib, not the
	whole gnome-vfs linkage.

	* bin/build-ooo: Use j2sdk-1.4.1-01-linux-i586-gcc3.2.tar.bz2-2
	for HEAD.

2003-05-29  Michael Meeks  <michael@ximian.com>

	* patches/HEAD_030506/print-error.diff: re-make,
	causes a nice SEGV somehow (pause a printer, and
	then print to it to reproduce).

	* patches/HEAD_030506/gui-font-no-X.diff: merge into
	* patches/HEAD_030506/print-fontconfig.diff: this and
	re-hash substantially.

	* patches/HEAD_030506/print-cups.diff: re-work,
	and merge changes changes to HEAD.

	* patches/HEAD_030506/print-fontconfig.diff:
	large re-hash.

	* patches/HEAD_030506/print-psprint-rehash.diff,
	* patches/HEAD_030506/print-type42.diff: rework.

	* patches/HEAD_030506/print-padmin-disable.diff,
	* patches/HEAD_030506/print-generic-gui.diff,
	* patches/HEAD_030506/print-dialog.diff: rework.

2003-05-28  Michael Meeks  <michael@ximian.com>

	* patches/parallel-install.diff:
		* bin/ooo-wrapper.in: bin-suffixize the paths.
		* bin/package-ooo: push BINSUFFIX through
		this, to try to make parallel installable 1.1
		packages.
		* bin/ooo.spec.in: bin .desktop/.
	When we've branched; commit & fixup ooo-wrapper.in
	for /user/registry instead of user/config/registry
	and .xcu instead of .xml.

	* patches/OOO_1_0_3/gui-insensitive.diff: fix
	inefficiency.

	* patches/HEAD_030506/gui-tbx-cust.diff: add.

	* patches/HEAD_030506/gui-insensitive.diff: fix a
	massive inefficiency / memory bug (doh).

	* patches/HEAD_030506/gui-icon-composite.diff:
	forward port & coalesce some similar patches.

	* patches/HEAD_030506/help-support.diff,
	* patches/HEAD_030506/gtk-theming.diff,
	* patches/HEAD_030506/bmp32.diff
	forward porting action.

2003-05-27  Federico Mena Quintero  <federico@ximian.com>

	* bin/linkoo: Added liblng%%.so in the linguistic directory.

2003-05-27  Michael Meeks  <michael@ximian.com>
	
	* ooo-build-1.0.7.tar.gz-1: from here.

	* patches/OOO_1_0_3/gui-metric-fonts.diff: revert
	the previous mess, we clobber the OO.o 'sans' alias
	to include Bitstream Vera - but none of the other fonts.

	* patches/OOO_1_0_3/gui-metric-fonts.diff: screw
	virtually everyone's document fonts viewing so that
	the crazies can feel great about selecting 'Sans' in
	the font selector.

	* patches/OOO_1_0_3/quit-crasher.diff,
	* patches/OOO_1_0_3/apply: fix a particularly nasty
	quit race / crasher bug.

	* The filter bug; reference seems to be to freed heap,
	returned from sfx2/source/app/appmain.cxx (GetFilterMatcher)

	* patches/OOO_1_0_3/gui-templ-icon.diff,
	* patches/OOO_1_0_3/apply: add.

	* patches/OOO_1_0_3/gui-list-icon.diff,
	* patches/OOO_1_0_3/apply: add.

	* goodies/source/graphic/grfmgr2.cxx (ImplCreateOutput): 
	seems to have issues - but can we tweak this without
	screwing WYSIWYG icon rendering ? - almost certainly not.

	* patches/OOO_1_0_3/apply: disable autosave, this
	feature seems to suck rocks.

2003-05-27  Jakub Steiner <jimmac@ximian.com>

	* artwork/x-ooabout.bmp: touch up a little
	
2003-05-24  Michael Meeks  <michael@ximian.com>

	* ooo-build-1.0.6.tar.gz-1: from here.

2003-05-23  Federico Mena Quintero  <federico@ximian.com>

	* bin/install-dict.in (remove_list_entry): chmod the new file so
	that the user can read it, duh.
	(replace_xml_file): Likewise.

2003-05-23  Michael Meeks  <michael@ximian.com>

	* ooo-build-1.0.5.tar.gz-1: from here.

	* bin/package-ooo: install / setup install-dict.

	* bin/install-dict.in: substitute the path
	in directly, no point in passing it umpteen times,
	de-functionate some 'print's.
	(filetype): this looks completely broken for hyph_ru.dic
	etc. ditto for (get_hyph_list_entry) etc. which sucks.

	* install-dict: rename to install-dict.in.

	* patches/OOO_1_0_3/gui-sc-select-hdr.diff: use the
	Checked colour for the header highlighting too.

	* bin/linkoo: re-hash for HEAD.

	* TODO: update Federico's bits ;-)

	* patches/OOO_1_0_3/bmp32.diff: update alpha fill logic.
	http://primates.ximian.com/~michael/button_bg.png

	* patches/OOO_1_0_3/gtk-theming.diff: set CheckedColor
	not by magic arithmetic, but from bg[ACTIVE], as per
	GtkButtons.

	* patches/OOO_1_0_3/gui-button-icon.diff: use mnButtonState
	instead of bogus (different) nState

	* vcl/* it seems the DRAW_MONO flags, are used to special
	case the rendering to printer.

2003-05-22  Federico Mena Quintero  <federico@ximian.com>

	* package (@files): Added bin/install-dict.

	* bin/install-dict (read_config): Utility function to read
	Linguistic.xml.
	(replace_xml_file): Utility function to replace an XML file via a
	tempfile.
	(add_config_entry): Use the functions above.
	(remove_config_entry): New function to unfrob Linguistic.xml.
	(remove): Use remove_config_entry().
	(install): Cleanup.

2003-05-21  Federico Mena Quintero  <federico@ximian.com>

	* bin/install-dict (add_config_entry): New function to splice in a
	node for Linguistic.xml entries.
	(install): Cleaned up a bit, made it use add_config_entry().

2003-05-21  Michael Meeks  <michael@ximian.com>

	* ooo-build-1.0.4.tar.gz-1: from here.

	* patches/HEAD_030506/apply: disable build-no-dt-files.diff,
	since the installer starts to SEGV with that in-place.

2003-05-20  Federico Mena Quintero  <federico@ximian.com>

	* bin/install-dict: New script to tweak the configuration files
	for installing dictionaries, hyphenation tables, and thesauruses.
	Look at my new m4d Perl sk1llz!

2003-05-20  Michael Meeks  <michael@ximian.com>

	* bin/ooo-wrapper.in: mungo changes to make the
	gconf key /apps/ooo-ximian/default-format work nicely.

	* patches/HEAD_030506/gui-menu-fixes.diff: re-work,
	splitting out the pixmap rendered buttons.

	* patches/HEAD_030506/gui-metric-fonts.diff: need to
	merge this into the (configurable) registry now, to
	* officecfg/registry/data/org/openoffice/VCL.xcu,
	need to do some big seds in there.

	* patches/HEAD_030506/desktop-integration.diff:
	merge & re-hash mail-with-evolution.diff, and
	external-programs.diff into here. This still sucks
	without the evo. URI attachment re-work.
	
	* patches/OOO_1_0_3/mail-with-evolution.diff,
	* patches/OOO_1_0_3/external-programs.diff: use
	evolution-1.4 not 1.3 [!]

	* patches/HEAD_030506/splash-bg-render.diff: bin,
	this seems much improved in 1.1, also the
	XSetWindowBackgroundPixmap stuff, although nice is
	not so necessary now.

	* patches/HEAD_030506/build-no-dt-files.diff: re-hash.
	* patches/HEAD_030506/speedup-lang-cache.diff: copy over.
	* patches/HEAD_030506/bug-buddy.diff: port.
	* patches/HEAD_030506/enable-autosave.diff: re-work.

2003-05-19  Federico Mena Quintero  <federico@ximian.com>

	* patches/OOO_1_0_3/recent-files.diff: Argh, dereference the items
	in compare_timestamps_cb().  Added trim_old_items() to remove old
	items from the list, to keep the file to a reasonable size.

2003-05-19  Tuomas Kuosmanen  <tigert@ximian.com>

	* templates/resume.stw
	* templates/project-proposal.stw: Two templates, a project
	proposal and a resume, as per bug #42274

2003-05-19  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_0_3/help-support.diff: remove
	the monkeytalk bits ...
	
	* bin/scale-icons (handle_scaled): copy [ls]c_good
	over icons that 'convert' barfed on.

2003-05-16  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_0_3/bug-buddy.diff: add --appname
	to get working backtraces.
	
	* docs/quickstart.txt: move quickstart bits here

	* bin/ooo-wrapper.in: add --session-quickstart, that
	passes '-quickstart' to OO.o if gconf key is enabled,
	otherwise it simply quits. It seems the quick-starter
	can veto close requests - but not working well.
	re-factor the debugging case so I can never commit that
	by mistake again.

	* patches/OOO_1_0_3/enable-autosave.diff,
	* patches/OOO_1_0_3/apply: turn it on.

	* poked at the SuSE 8.2 build; had to clobber fontconfig,
	build and force-install it to get a compile.

2003-05-15  Federico Mena Quintero  <federico@ximian.com>

	* patches/OOO_1_0_3/mail-with-evolution.diff: Use INetURLObject
	rather than gnome-vfs to strip the method from the attachment URI.
	ByteString, UniString... they keep popping up; you can wear a
	different string class every day of the week!

2003-05-15  Michael Meeks  <michael@ximian.com>

	* ooo-build-1.0.2.tar.gz-1: from here.

	* patches/OOO_1_0_3/print-cups.diff: updates to use
	the users' (printer) paper size options [etc.]

	* docs/printing.txt: started chasing printing problems.

	* patches/HEAD_030506/help-support.diff: fix
	names so they don't clash with the new OO.o 'support'

	* patches/HEAD_030506/inst-destdir.diff: fix
	os.hxx decl.

2003-05-14  Michael Meeks  <michael@ximian.com>

	* patches/HEAD_030506/gui-insensitive.diff: fix
	a couple of sillies.

	* ooo-build-1.0.1.tar.gz-2: from here.

	* patches/OOO_1_0_3/ppt-import.diff: fix paths.
	
	* patches/HEAD_030506/help-support.diff: remove
	duplicate icon install.

	* Makefile: add.

	* ooo-build-1.0.1.tar.gz-1: from here.

	* patches/HEAD_030506/help-support.diff: add.

	* patches/HEAD_030506/gui-new-icons.diff: split
	out the new icons from help-support.diff and
	gui-sc-delete.diff.

	* patches/HEAD_030506/inst-destdir.diff: re-make.

	* patches/HEAD_030506/gui-appear.diff: bin the
	xComponentWindow->setFocus overrides, possibly
	more work required to avoid all 'raises'.

	* patches/HEAD_030506/gui-keybingings.diff: remake
	out of gui-sc-ctrl-1.diff, gui-all-open-F3.diff

	* bin/ooo-wrapper.in: don't clobber newer versions
	such as 1.1, and fix .sversionrc output.

2003-05-14  Federico Mena Quintero  <federico@ximian.com>

	* patches/OOO_1_0_3/external-programs.diff: We only need to unset
	LD_LIBRARY_PATH and MOZILLA_FIVE_HOME for gnome-url-show/galeon to
	work.  Removed the extra crud.

2003-05-14  Jakub Steiner <jimmac@ximian.com>

	* artwork/x-oointro-dev.png: 1.1 splash
	* artwork/x-oointro.bmp:
	* artwork/x-ooabout.bmp: add 'ximian edition patch

2003-05-14  Michael Meeks  <michael@ximian.com>

	* bin/scale-icons: add korean paths, tolerate
	non-existant paths in scaling with a warning.

	* patches/OOO_1_0_3/ppt-import.diff,
	* patches/OOO_1_0_3/apply: back-port fix for
	our org-chart ppt.

	* patches/OOO_1_0_3/crash-redline-export.diff,
	* patches/OOO_1_0_3/apply: add this for a customer.

	* patches/HEAD_030506/gui-insensitive.diff: needs
	some hefty re-work; a chunk of new code in there
	that looks very grim indeed.
	
	* patches/HEAD_030506/gui-toolbox-tristate.diff,
	* patches/HEAD_030506/vfs-uno-uri.diff: re-make

2003-05-13  Michael Meeks  <michael@ximian.com>

	* patches/HEAD_030506/vfs-uno-register.diff,
	* patches/HEAD_030506/vfs-ucp-setup.diff: re-make parts.

	* patches/HEAD_030506/debug-disable.diff,
	* patches/HEAD_030506/apply: bin the '-g' in there.

	* bin/build-ooo: re-enable icon work for HEAD.

	* patches/HEAD_030506/gui-font-no-X.diff: rework
	
	* patches/HEAD_030506/gui-ft-aa.patch: bin.

	* patches/HEAD_030506/gui-ft-21-compat.patch,
	* patches/HEAD_030506/gui-toolbox-large-icons.diff,
	* patches/HEAD_030506/gui-font-antialias-size.diff,
	* patches/HEAD_030506/gui-font-scale.diff: re-work.

	* patches/HEAD_030506/gui-toolbox.diff: re-hash,
	the triangle rendering may need more work.

	* patches/HEAD_030506/bmp32.diff: tweak, it remains
	to be seen how well this will interact with the grim
	new pre-lighting code.

	* patches/HEAD_030506/gtk-theming.diff: re-work,
	bin the vcl/unx/source/app/saldisp.cxx refresh part,
	much smaller and sweeter.

	* patches/HEAD_030506/debug-appinit.diff: re-work.

	* patches/HEAD_030506/doc-defaults.diff: re-work.
	
	* Config data moved from officecfg/data/**/*.xcd to
	* officecfg/registry/data/**/*.xcu,

	* patches/HEAD_030506/apply: bin splash-branding.diff,
	simply clobber their artwork in-situ.

	* patches/HEAD_030506/libodbc-soname.diff,
	* patches/HEAD_030506/unzip-rewrite.diff: touch up.

	* patches/HEAD_030506/apply: merge in 1.0.3 patches;
	bin: correct-gcc-lib-linking.diff, wm-class-prop.diff
	build-optimized-link.diff: remake, bin openoffice-asm.diff
	remove sfx2/source/appl/appl.cxx section from
	stlport-is-braindead.diff, rename stlport-defeat-include
	gui-menu-click-exit.diff: bin, seems to work fine.
	config-path-unbreak.diff: re-make for HEAD.
	dmake-errno.diff: bin, gui-tooltip-fix.diff: bin.
	gui-sc-select-hdr.diff: bin this - better in HEAD.

	* package (get_files): ditto.

2003-05-12  Federico Mena Quintero  <federico@ximian.com>

	* bin/install-dictionaries: Script to install our dictionaries
	into the RPM source directories.
	(DICTIONARIES): Removed dict/hyph tables that already come with
	the OOo distribution.

	* Created a 'dictionaries' branch in ximian-desktop/ooo/ as a
	playground.

	* [in ximian-desktop/ooo/ximian-build.conf in the "dictionaries"
	branch]: List the default dict/hyph/thes files explicitly rather
	than using share/dict/ooo.  Call install-dictionaries to extract
	them from zipfiles in the bb repository.  Create an
	"ooo-dictionaries" package.

2003-05-12  Michael Meeks  <michael@ximian.com>

	* patches/HEAD_030506/dbtreemodel.diff,
	* patches/HEAD_030506/apply: add missing file
	from HEAD.

	* new-ooo's 'source' runs as a 'cgi-script'.

	* sfx2/source/doc/objserv.cxx (SID_CLOSEDOC):
	seems to be the expected location of the close ->
	blank fix.

	* patches/HEAD_030506/boost-gcc.diff: disable
	daft asm/atomic.h include - always use pthreads.
	
2003-05-10  Michael Meeks  <michael@ximian.com>

	* ooo-build-1.0.0.tar.gz-1: from here

2003-05-09  Michael Meeks  <michael@ximian.com>

	* patches/HEAD_030506/boost-gcc.diff,
	* patches/HEAD_030506/apply: allow our gcc.

	* patches/OOO_1_0_3/print-type42.diff,
	* patches/OOO_1_0_3/apply: always print Type42
	bits; fixes some symbol issues.

	* patches/OOO_1_0_3/print-cups.diff: fix silly
	problem with tmp file creation, use a much safer
	tmpfile creation algorithem, and 
	
	* bin/build-ooo: use ln -sfn for overriding
	directory symlinks [what an odd default]

	* ooo-build-0.9.9.tar.gz-1: from here

	* patches/OOO_1_0_3/print-fontconfig.diff: use
	pkg-config instead of fontconfig-config, since this
	vanished in recent fontconfigs.

	* it seems from Dave's trace the print error is
	coming from ::psp::PrinterJob.EndJob.

2003-05-08  Michael Meeks  <michael@ximian.com>

	* ooo-build-0.9.8.tar.gz-1: from here

	* patches/OOO_1_0_3/import-doc.diff: add fix
	for Aaron's .doc import problem; apparently down
	to Wine exporting odd things.
	
	* Talked to Caolan wrt. Aaron's .doc issue;
	pulled sw/inc/iofilter.hxx sw/inc/shellio.hxx
	up to HEAD. also sw/source/filter/xml/wrtxml.[ch]xx,
	sw/source/filter/basflt/fltini.cxx (+lang hacks)
	sw/source/ui/app/docsh2.cxx: bin FILTER_XMLP bit.

	* patches/OOO_1_0_3/gui-sc-delete.diff,
	* patches/OOO_1_0_3/help-support.diff: add
	SID_PRINTPREVIEW to the oocalc image list.

	* www/hackers-guide.html: add .doc debugging tips
	from Caolan.

	* patches/OOO_1_0_3/print-cups.diff: quiet debug,
	print out the printer name on debug as well.

	* patches/OOO_1_0_2/*: remove.

	* tagged with 'LAST_WITH_OOO_1_0_2'

	* patches/HEAD_030506/fix-toolkit.diff,
	* patches/HEAD_030506/apply: a back-ported fix to 
	make it buildable.

2003-05-07  Federico Mena Quintero  <federico@ximian.com>

	* data/dictionary.lst: Added hyphenation and thesaurus files.

	* Upgraded to the latest XD2, un-screwed some things, reported
	bugs.

	* Started an 1_0_3 build; fails with the libgnomecups headers.

2003-05-07  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_0_3/crash-baside.diff,
	* patches/OOO_1_0_3/apply: fix Jimmac's Basic
	IDE crasher.

	* patches/OOO_1_0_3/bug-buddy.diff: do what we
	used to do in sane-segv.diff if
	GNOME_DISABLE_CRASH_DIALOG is true.
	
	* poked at the basic crasher Jimmac found.

	* tests/oowriter/Ximian_CV.doc: add doc file from
	Aaron.

	* bin/build-ooo: switch jdk on CVSTAG too, always
	symlink the jdk.

	* patches/HEAD_030506/gpc-libart.diff,
	* patches/HEAD_030506/apply: the polygon stuff
	moved into 'tools' in HEAD it seems.

2003-05-06  Michael Meeks  <michael@ximian.com>

	* patches/HEAD_030506/disable-mozilla.diff,
	* patches/HEAD_030506/apply: add; push pkg to bb.

	* bin/setup: switch no argument to V. 1.0.3, and
	some argument to 1.1.0

	* docs/layout.txt: some rambling layout thoughts.

	* ooo-build-0.9.7.tar.gz-1: from here

	* bin/ooo-wrapper.in (FontOfLanguage): bin unused.
	Update to handle the broken xpath impl. in RH 7.3's
	perl-XML-Twig, as well as newer ones.

2003-05-06  Federico Mena Quintero  <federico@ximian.com>

	* data/: New directory for miscellaneous data files that we need
	to include in our packages.

	* data/dictionary.lst: Dictionary file with all the languages we
	will ship.  Neener neener, only Spanish came with hyphenation
	support :)

2003-05-03  Michael Meeks  <michael@ximian.com>

	* rpmdiff/rpmdiff.c: some attempt at feature
	extraction from cpios.

2003-05-03  Jakub Steiner <jimmac@ximian.com>

	* artwork/x-ooabout.bmp:
	* artwork/x-oointro.bmp: get rid of the (c) just like on the
	  gnome session splash

2003-05-02  Michael Meeks  <michael@ximian.com>

	* ooo-build-0.9.6.tar.gz-1: from here

	* patches/OOO_1_0_3/print-cups.diff: fix broken patch.

	* ooo-build-0.9.5.tar.gz-1: from here

	* bin/scale-icons (handle_scaled): fix silly.

	* ooo-build-0.9.4.tar.gz-1: from here

	* patches/OOO_1_0_3/print-cups.diff: updates to the
	libgnomecups-0.1.3 ABI / API.

2003-05-01  Michael Meeks  <michael@ximian.com>

	* Nice - since we only grok the options at the end
	of the print (when we EndJob), we just need to
	use gnome_cups_printer_print_file, with the result
	of gnome_cups_printer_get_options, and we're done.

	* ~/.lpoptions grokking - this is where the
	'printer properties' are stored; cupsGetDests gets
	data from there (without locking). cupsSetDests
	sets them. Nothing calls that inside cups/.

	* patches/OOO_1_0_3/bug-buddy.diff,
	* patches/OOO_1_0_3/apply: add bug buddy SEGV
	reporting, and re-enable emergency backup on SEGV.
	
	* patches/OOO_1_0_3/print-error.diff,
	* patches/OOO_1_0_3/apply: warn the user when CUPS
	reports an error on cupsPrintFile nicely, in the
	async QPrinter.

	* grokked all SetErrorHdl/SetEndPrintHdl instances,
	sfx2/source/view/prnmon.cxx looks fine;
	basic/source/app/printer.cxx: and
	sw/source/ui/dbui/dbmgr.cxx: set EndPrint, but not
	Error, should be fine.

	* bin/scale-icons (handle_scaled): delete the crud
	symbol icons.

	* patches/OOO_1_0_3/bmp32.diff: interpolate the alpha,
	when interpolating.

	* patches/OOO_1_0_3/gui-tbxcust-alpha.diff,
	* patches/OOO_1_0_3/apply: scale the icon using the
	icon scaling code instead of nasty VirtualDevice mess.

	* sfx2/source/toolbox/tbxcust.cxx: aTbFunctionTb is
	an SfxCustomizeToolbox, derived from Toolbox; it seems
	the icons are not loaded with Alpha (somehow); they come
	from an SfxImageManager. via the 'SvStream >> Bitmap'
	operator. (vcl/inc/bitmap.hxx), which reads them fine.
	The problem is we try to re-size the icons, to the
	current icon size; resulting in horrific artefacts, and
	a loss of alpha (SfxUserBitmapDialog_Impl:609).

	* sfx2/source/view/prnmon.cxx (PrintErrorNotify):
	the AbortJob causes a nice segv; in the callback
	marshaller - somehow; can we not rely on the job to
	be aborted on error anyway ?

	* missing a load of bitmaps in share/config/symbol

	* bin/linkoo: add ulimit to the env script.

	* vcl/source/gdi/print.cxx (Printer::Error), signals
	on error, but not-called (?) sfx2/source/view/prnmon.cxx
	catches this; whereas EndPrint is called a lot [ should
	we trap errors there ? ] Need to audit all 'SetErrorHdl'
	methods & their handlers.
	
	* patches/OOO_1_0_3/vfs-content.diff: use GQueue
	instead of hacked-up GList * mess.

2003-04-30  Michael Meeks  <michael@ximian.com>
	
	* bin/ooo-wrapper.in: Don't create duplicate L10N
	sections if we need to create ooLocale; fixes nasty
	i18n bug.
	
	* ooo-build-0.9.3.tar.gz-1: from here.

	* bin/scale-icons: scale res/im* to 16x16.

	* svtools/source/misc/urihelper.cxx
	(FindFirstURLInText) seems rather complex and error
	prone itself; (#41920) It has a bus-load of changes
	to HEAD.

	* rpmdiff/rpmdiff.c (diff, gen_delta, tmp_file*): add.

	* ooo-build-0.9.2.tar.gz-1: from here.

	* rpmdiff/*: add prototype RPM delta generator,
	so far only splits gzipped data from the header &
	re-packs it all.

2003-04-29  Federico Mena Quintero  <federico@ximian.com>

	* docs/toolbar-ugly-A.txt: Description of how the ugly "A" icons
	get drawn.  I'm quite perplexed; why do they not 

	* patches/OOO_1_0_2/gui-toolbar-text-color.diff: First cut at
	fixing the "A" toolbar icons.  Doesn't work :(

2003-04-29  Michael Meeks  <michael@ximian.com>

	* vcl/source/gdi/impprn.cxx: it seems we loose
	the EndJob error status in here somewhere.

	* patches/OOO_1_0_3/icon-render.diff: clobber
	BitmapEx's that are 32bits deep - we know they
	have alpha on the bitmap, if not an AlphaMask /
	the right transparency type - another nasty hack.

	* patches/OOO_1_0_3/fixed-image.diff: add
	FixedBitmap support too.
	
	* svx/source/dialog/fontworks.cxx: what is wrong
	with the FixedBitmaps eg. FB_SHADOW_X, why do we
	get a black b/g.

	* patches/OOO_1_0_3/thread-yield.diff,
	* patches/OOO_1_0_3/apply: bin sched_yield, we
	never want to do this; and it makes OO.o massively
	more responsive on RH 9.0 [ O(1) scheduler ].

	* patches/OOO_1_0_3/*: CVS surgery to copy
	remaining bits from OOO_1_0_2.

2003-04-28  Michael Meeks  <michael@ximian.com>

	* setting 'always create backup copy' on save,
	_appears_ to invoke a code-path that warns about
	saving in .doc, vs. not having that on.

	* patches/OOO_1_0_2/uno-uri.diff: upate double
	checked locking pattern.
	
	* patches/OOO_1_0_2/vfs-provider.diff,
	* patches/OOO_1_0_2/vfs-content.diff: fix a locking
	nasty due to my non-understanding of function scope
	static constructors. Use URLObject to filter schemes
	we accept in the provider.

	* patches/OOO_1_0_3/print-1.0.3.1-fix.diff: add.

	* patches/OOO_1_0_3/apply: disable memmgr-no-throw.diff

	* patches/OOO_1_0_3/dmake-errno.diff,
	* patches/OOO_1_0_3/apply: fix errno bits on RH 9.0

	* The patches all appear to apply now ...

	* patches/OOO_1_0_3/default-document-path.diff: bin
	gnome-vfs using local path -> URI mess, fixed in the
	mainline it seems.

	* patches/OOO_1_0_3/no-send-to-menu.diff: update.

	* patches/OOO_1_0_3/no-path-1-clobber.diff: bin this.

	* patches/OOO_1_0_3/memmgr-no-throw.diff: re-work.

	* patches/OOO_1_0_3/apply: disable sm-thread.diff, it got
	back-ported.

	* patches/OOO_1_0_3/setup-no-gui.diff: param parsing re-work.

	* patches/apply.pl: fix arg collection bug.

	* bin/build-ooo: use $CVSTAG to generate
	src.tar.bz2 name.

	* patches/OOO_1_0_3: add for a quick porting pain
	evaluation.

	* patches/OOO_1_0_2/uno-uri.diff: bin wierd
	applications: throw-back & clean debug churn.

2003-04-25  Federico Mena Quintero  <federico@ximian.com>

	* Started a new build with the latest UCP stuff to look into UTF-8
	filenames.

	* Started changing the generated icons for text color.  U-gly.

	* Wasted lots of time on the GTK+ 1.2 file selector's completion
	code :(

2003-04-25  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_0_2/gui-autocomplete.diff,
	* patches/OOO_1_0_2/apply: add some simple-minded
	tab-completion functionality.

	* patches/OOO_1_0_2/print-cups.diff: calm
	warning wrt. no configured printers ...

	* panicked about the formula editor & fonts,
	discovered it was just me testing the fc-cache bug
	fix; everything is ok.

2003-04-24  Michael Meeks  <michael@ximian.com>

	* ooo-build-0.9.1.tar.gz

2003-04-24  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_0_2/vfs-*.diff: complete thread safety
	review, try to get URI escaping under control - it seems
	somewhat improved at least.

	* patches/OOO_1_0_2/vfs-content.diff: make 'create
	directory' work nicely.

	* svtools/source/contnr/fileview.cxx (CreateNewFolder) ->
	* unotools/source/ucbhelper/ucbhelper.cxx (MakeFolder) ->
	* ucbhelper/source/client/content.cxx (insertNewContent) ->
	* content.cxx (queryCreatableContentsInfo) - init Type.

	* bin/setup (LANGS): add CAT.

	* bin/openoffice-xlate-lang: add catalan.

2003-04-23  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_0_2/vfs-content.diff: do a seek
	immediately on open, some modules allow open (random),
	but then don't let you seek ;-) #39438

	* patches/OOO_1_0_2/vfs-content.diff: add a load of
	locking for thread safety + more cleanup.

	* patches/OOO_1_0_2/vfs-content.diff: make it do
	'inserts' right, implement XOutput 'open' datasink,
	clean cruft, bin warnings, stream to a tmpfile if
	can't seek, fix referencing issues.

2003-04-22  Federico Mena Quintero  <federico@ximian.com>

	* patches/OOO_1_0_2/gui-menu-fixes.diff: Do not paint radio/check
	markers if we are on an item with a submenu.  Fixes #41720.

2003-04-22  Michael Meeks  <michael@ximian.com>

	* Filed #41715 - nasty smb: issues.

	* Encouraged Ben to add KB FAQ item: "poke at
	  Tools->Options->Load/Save->General to save in OpenOffice format
	  by default."
	
	* patches/OOO_1_0_2/spell-ximian.diff,
	* patches/OOO_1_0_2/apply: add for DanW.

	* patches/OOO_1_0_2/gui-metric-fonts.diff: map jimmac's
	lingdings / netdings fonts to wingdings / webdings.

	* patches/OOO_1_0_2/print-cups.diff: add conditional debug.

2003-04-22  Michael Meeks  <michael@ximian.com>

	* ooo-build-0.9.0.tar.gz-1

2003-04-22  Michael Meeks  <michael@ximian.com>

	* package/bump version.

	* patches/OOO_1_0_2/vfs*: refresh.

	* made new ooo packages depend on ooo-fonts.

	* pushed ooo-fonts-1.0.0 to slec/rh73,80. (#41423)

2003-04-17  Michael Meeks  <michael@ximian.com>

	* add a conflicts section per old-style separate
	lang-pack to build system.

	* patches/OOO_1_0_2/vfs-content.diff,
	* patches/OOO_1_0_2/vfs-provider.diff,
	* patches/OOO_1_0_2/vfs-directory.diff,
	* patches/OOO_1_0_2/vfs-stream.diff: can now write / read
	docs to authenticated shares, as long as they are called
	'[Foo Baa]' ;-)

	* bin/linkoo (do_linkage): add optional links for ucpgvfs.

	* the autocorrection crasher is down to failing to get
	the component: "com.sun.star.io.TempFile" - this seems
	to be related to the abhortive build screwing it up.
	a re-build fixed it (and after all those hours)

2003-04-16  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_0_2/vfs-content.diff: imlement more of
	the setPropertyValues stuff, clean up misc. bits.
	
	* patches/OOO_1_0_2/vfs-directory.diff: ignore '.' and '..'

	* autocorrection crashing: svx/source/editeng/svxacorr.cxx

	* bin/linkoo: add misc. useful ucb bits.

	* patches/OOO_1_0_2/uno-uri.diff: switch back to
	not use the (internal) gnome-vfs method to list
	handled URI schemes; use hard-coded list instead: suck.

	* patches/OOO_1_0_2/vfs-provider.diff: init g_thread
	before using it.

	* patches/OOO_1_0_2/vfs-ucp-setup.diff: fix
	makefile 'SLOFILES' daftness, and another couple
	of build related boobs.
	
	* patches/OOO_1_0_2/help-support.diff: add / map
	insert field icons.

	* patches/OOO_1_0_2/gui-sc-delete.diff: add
	'SELECTALL' icon.

	* patches/OOO_1_0_2/vfs-content.diff,
	* patches/OOO_1_0_2/vfs-provider.diff: do GPrivate
	and gnome-vfs init in here, once.

	* patches/OOO_1_0_2/print-cups.diff: do a
	g_type_init as well as a cups init.

2003-04-15  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_0_2/uno-uri.diff: add the missing
	library linking piece.
	
	* we seem to be working on SLEC, with the
	perl-XML-Twig, the pkg-config --libs gtk+-2.0
	screwup stops getstyle-gnome doing the theming
	right though.

	* bin/scale-icons (handle_scaled): stop the
	massive flood of .orig files, stemming from a
	broken regexp.

	* patches/OOO_1_0_2/uno-uri.diff: hack out the
	genricising of the file UCP, and bin the
	Configuration.xcu patch.
	
	* patches/OOO_1_0_2/apply: disable gnome-vfs.diff,
	add all the vfs-* into this build (it's not finished
	yet though).

	* tagged BEFORE_UCP_SWITCH

	* patches/OOO_1_0_2/vfs-content.diff,
	* patches/OOO_1_0_2/vfs-provider.diff,
	* patches/OOO_1_0_2/vfs-directory.diff,
	* patches/OOO_1_0_2/vfs-stream.diff,
	* patches/OOO_1_0_2/vfs-ucp-setup.diff: split to make
	management easier.

	* Hacked away at the UCB - discovered the missing
	Authentication piece - very nice, authenticating
	beautifully now.

	* battled SLEC, created perl-xml-twig package to satisfy
	the ooo-wrapper deps. Dug into why we're not theming right,
	tested on SLEC - looking ~ok, modulo theming.

2003-04-14  Federico Mena Quintero  <federico@ximian.com>

	* patches/OOO_1_0_2/recent-files.diff: Use the MIME-type that the
	original SfxFilter carries around rather than figuring out our own
	MIME-type with gnome-vfs.

2003-04-14  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_0_2/vfs-provider.diff: authentication only
	working when you do things wrong - ie. leaking the interaction
	context [ the use of this code blows chunks ].
	Beefed up stream to implement an OutputStream as well, stubbed
	"insert", cleaned up lots of debug etc.

2003-04-11  Federico Mena Quintero  <federico@ximian.com>

	* patches/OOO_1_0_2/gui-menu-fixes.diff: Draw menu item check
	marks and radio button marks in the same way the Industrial theme
	does.

	* TODO: Removed the item above.

2003-04-11  Michael Meeks  <michael@ximian.com>

	* Make provider ignore 'private:' URIs it gets
	thrown, these are for internal use;

	* patches/OOO_1_0_2/vfs-provider.diff:
	authentication requests now seem to work; smb://
	browsing is pretty nice.

	* SLEC:
		+ pulled in ImageMagick, libjasper, libwmf,
		  from SuSE 8.1 (not in SLES/SELC)
		+ flex, bison, libpng-devel, pam-devel from SLES-8
		(sles-8 disappeared; then indent,autoconf from SuSE 8.1)
		+ fixed a load of build prereq problems
		+ manually fixed 'gmodule, glib, gobject, 
		+ ORBit2-devel not requiring ORBit2
		+ had to re-run ldconfig after installing ORBit2

2003-04-10  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_0_2/vfs-provider.diff: managed
	finally to get it to open a .desktop file from
	applications:// for me; horay.

	* bin/scale-icons: scale sc/res/imglst/navipi
	(handle_scaled): scan all things matching the
	regexps.

	* www/hackers-guide.html: s/mws_srx644/HEAD/

2003-04-09  Federico Mena Quintero  <federico@ximian.com>

	* patches/OOO_1_0_2/recent-files.diff: Made end_recent_item()
	remove the item correctly if it has no URI; also, fixed thinko
	when generating a "application/octet-stream" for untyped items.
	Made dlgass.cxx ignore items for which no filter exists.

2003-04-09  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_0_2/vfs-provider.diff: order the
	properties correctly, and propagate the property
	query set from the DynamicResultSet to the
	DataSupplier (obviously ;-).
	
	* chased down SvtFileView - the control doing the
	file listing in the selector.

2003-04-08  Michael Meeks  <michael@ximian.com>

	* Sander suggests the help is made from pre-canned
	stuff in the source tree. cf. nl.openoffice.org

	* patches/OOO_1_0_2/vfs-provider.diff: latest work.

	* docs/build-system.txt: add more on the
	rel-qa-submit pain.
	
	* ooo-build-0.5.7.tar.gz-2 from here

	* bin/linkoo: create an 'env' script in program/

2003-04-07  Federico Mena Quintero  <federico@ximian.com>

	* patches/OOO_1_0_2/recent-files.diff: Oops, remove sfx2 headers
	from recent-files.cxx.

2003-04-07  Michael Meeks  <michael@ximian.com>

	* managed to get the vfs provider registered,
	unfortunately the 'scp' module has dependency 'issues',
	the best solution is binning the lot each re-build, or
	building from clean.

	* vfs-provider.diff: add directory implementation; grief
	this code beings to look extremely sucky.

	* ooo-build-0.5.7.tar.gz-1 from here

	* patches/OOO_1_0_2/recent-files.diff: correct path on dlgass.cxx

2003-04-06  Federico Mena Quintero  <federico@ximian.com>

	* patches/OOO_1_0_2/build-no-dt-files.diff: Fixed the patch for
	unxbasic_cde.scp.  Goddamn CRLFs.

	* docs/radiomenus.txt: New file to document how radio menu item
	indicators get drawn.

	* Started on a patch that steals code from the Industrial theme
	source so that we can draw indicators in the same way.

	* Fixed some bugs from my list; couldn't duplicate the
	charset/font bug even after installing Cyrillic fonts and such.

2003-04-04  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_0_2/vfs-provider.diff: update,
	read/side property mapping in, and much cleaned.

	* bin/build-ooo: check for right libgnomecups.

	* bin/scale-icons (handle_scaled): pass in
	2 regexps instead of suffix, and have an 
	exception list. - not tested yet.

2003-04-02  Michael Meeks  <michael@ximian.com>

	* www/mgp-users.html: add a bit on styles.

	* patches/OOO_1_0_2/gui-fixed-image.diff,
	* patches/OOO_1_0_2/apply: set the fill for alpha
	blending on FixedImage - as used in the
	Tools->Options dialog.

2003-04-01  Federico Mena Quintero  <federico@ximian.com>

	* patches/OOO_1_0_2/recent-files.diff: Moved the filter detection
	code to dlgass.cxx so we don't have circular dependencies.  Sort
	the recent files list in descending order so the oldest items are
	purged when generating the File menu.  Fixes #40256.

	* bin/linkoo: Added libsd to be symlinked.

2003-04-01  Michael Meeks  <michael@ximian.com>

	* patches/OOO_1_0_2/build-no-dt-files.diff: don't
	allow the 'gnomeint' abomination to propagate itself,
	nor do a daft install thing on 'setup', some fun basic
	hacks.

	* discovered the source of #40267 in sysui/ a
	particularly stale/ugly set of code it seems.

	* bin/package-ooo: bin the separate ooo-sys RPM,
	so we have a coherent BB vs. hacked-up setup.

	* bin/ooo-sys.spec.in: kill.

	* bin/ooo.spec.in: merge in ooo-sys.spec.in

	* patches/OOO_1_0_2/vfs-uno-register.diff: some misc
	component related configuration bits - interesting
	how UNO registers its components etc.
	Register manually with 'regcomp' for testing.

	* bin/ooo-wrapper.in: if we clobber the version (if
	it's absent) mark the state as changed so we
	re-write it.

2003-04-01  Michael Meeks  <michael@server.home>

	* patches/OOO_1_0_2/vfs-offapi.diff: add the IDL

	* patches/OOO_1_0_2/recent-files.diff: fix the sfx2
	linking, it happens in <prj>/util/makefile.mk, cf. the
	existing patch ;-)

	* patches/OOO_1_0_2/vfs-offapi.diff: add the IDL
